commit 8e0622d86f6276b16f79526cfcf908328316b248
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Oct 19 00:21:38 2009 +0200

    Mark new release.

4	0	NEWS

commit 44973b1bf905484bd4b7c10541d5e4cbf2bb9be5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 18 22:58:34 2009 +0200

    Cleaned up makefiles.

11	14	src/components/ogre/Makefile.am
1	4	src/components/ogre/widgets/Makefile.am
1	2	src/components/ogre/widgets/adapters/Makefile.am
1	2	src/components/ogre/widgets/adapters/atlas/Makefile.am

commit 842d93246333268aab439528a79e32620b97afdd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 18 22:03:56 2009 +0200

    Fixed problematic make file.

2	9	src/components/ogre/scripting/bindings/lua/helpers/Makefile.am

commit 9932938e335536e0bb3e97eda1a19b87be1c8167
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 18 22:02:27 2009 +0200

    Fixed incorrect definitions and added missing schema definitions.

0	10	src/components/ogre/modeldefinitions/birch_mk1.modeldef
3	3	src/components/ogre/modeldefinitions/creatures.modeldef.xml
7	3	src/components/ogre/modeldefinitions/furniture.modeldef
1	1	src/components/ogre/modeldefinitions/male.modeldef
80	3	src/components/ogre/modeldefinitions/modeldefinition.xsd

commit 3fc09a72565fcfdbb5e259f589ded9cc76c8b078
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 18 16:36:43 2009 +0200

    Returned mistakenly removed subdir.

1	1	src/components/ogre/Makefile.am

commit 8df86972b7cd264f549ee574cb0a1c8bda7b1006
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 18 14:55:13 2009 +0200

    Removed unused Makefiles.

0	7	src/components/ogre/camera/Makefile.am
0	3	src/components/ogre/environment/Makefile.am
0	5	src/components/ogre/gui/Makefile.am
0	9	src/components/ogre/jesus/Makefile.am
0	6	src/components/ogre/mapping/Makefile.am
0	17	src/components/ogre/model/Makefile.am
0	8	src/components/ogre/sound/Makefile.am
0	16	src/components/ogre/terrain/Makefile.am
0	7	src/components/ogre/widgets/icons/Makefile.am

commit 929430ffa409781e03c5c2b0c273cf55b115fd9b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Oct 15 23:30:49 2009 +0200

    Moved the lua code to its own component, and make sure to initialize lua
    in the application so that linking correctly works.

1	0	configure.ac
1	1	src/components/Makefile.am
132	0	src/components/lua/LuaHelper.cpp
54	0	src/components/lua/LuaHelper.h
41	0	src/components/lua/LuaScriptingCallContext.cpp
73	0	src/components/lua/LuaScriptingCallContext.h
371	0	src/components/lua/LuaScriptingProvider.cpp
167	0	src/components/lua/LuaScriptingProvider.h
5	0	src/components/lua/Makefile.am
61	0	src/components/lua/luaobject.cpp
597	0	src/components/lua/luaobject.h
8	3	src/components/ogre/EmberOgre.cpp
2	1	src/components/ogre/GUIManager.cpp
2	2	src/components/ogre/authoring/EntityRecipe.cpp
0	57	src/components/ogre/scripting/LuaHelper.cpp
0	48	src/components/ogre/scripting/LuaHelper.h
0	41	src/components/ogre/scripting/LuaScriptingCallContext.cpp
0	73	src/components/ogre/scripting/LuaScriptingCallContext.h
0	411	src/components/ogre/scripting/LuaScriptingProvider.cpp
0	171	src/components/ogre/scripting/LuaScriptingProvider.h
1	6	src/components/ogre/scripting/Makefile.am
4	6	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
10	10	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
0	126	src/components/ogre/scripting/bindings/lua/helpers/LuaConnectorHelper.cpp
0	57	src/components/ogre/scripting/bindings/lua/helpers/LuaConnectorHelper.h
2	2	src/components/ogre/scripting/bindings/lua/helpers/Makefile.am
0	61	src/components/ogre/scripting/luaobject.cpp
0	597	src/components/ogre/scripting/luaobject.h
31	0	src/main/Application.cpp
2	2	src/main/Makefile.am

commit 13bd96d50b8b301e43c38609767c6d13b3b56bed
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Oct 15 22:21:36 2009 +0200

    Rearrange the linking so that most of "ogre" is contained in one lib.
    The structure here was never meant to reflect dependencies; it's purely
    a functional division.

0	7	configure.ac
108	4	src/components/ogre/Makefile.am
0	17	src/components/ogre/authoring/Makefile.am
4	4	src/components/ogre/camera/Makefile.am
1	16	src/components/ogre/environment/Makefile.am
14	14	src/components/ogre/model/Makefile.am
7	7	src/components/ogre/sound/Makefile.am
13	13	src/components/ogre/terrain/Makefile.am
2	24	src/components/ogre/widgets/Makefile.am
0	5	src/components/ogre/widgets/adapters/Makefile.am
0	11	src/components/ogre/widgets/adapters/atlas/Makefile.am
4	4	src/components/ogre/widgets/icons/Makefile.am
13	25	src/main/Makefile.am

commit d2bee6aff64ccd7fd79923d8604c2fc7137e9bbd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Oct 13 00:13:55 2009 +0200

    Check for older boost library names for better backwards compatability.

2	2	configure.ac

commit 2f295a0b402c9bc6552c60eeaed8eef53a9b10a7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Oct 8 22:40:09 2009 +0200

    Remember to disconnect after the delayed rendering.

1	0	src/components/ogre/widgets/ModelRenderer.cpp

commit a2adf9d792c5f24cf66c72c4678b66501f077d09
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Oct 8 22:39:25 2009 +0200

    Make sure that the rendering is performed even for models which use
    background loading.

34	8	src/components/ogre/widgets/ModelRenderer.cpp
57	49	src/components/ogre/widgets/ModelRenderer.h
97	97	src/components/ogre/widgets/MovableObjectRenderer.h
50	53	src/components/ogre/widgets/icons/IconRenderer.cpp
7	0	src/components/ogre/widgets/icons/IconRenderer.h

commit 069541d2c8f935093d299d26ba0c31c7ab464b26
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   Wed Oct 7 13:58:50 2009 +0100

    Add boost bind include, required by some versions.

1	0	src/framework/tasks/TaskExecutor.cpp

commit 30ea5ccd8e57d97cc02e5ca5002c6c753045f763
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Oct 6 23:00:02 2009 +0200

    Added docs.

3	0	src/components/ogre/model/ModelRepresentation.h

commit c59b5b768823280f996d92df2612df8a2ebda15a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Oct 6 22:59:38 2009 +0200

    Try to provide backwards compatability. This hasn't been tested on older
    versions of boost yet though.

1	1	src/framework/tasks/TaskQueue.cpp
7	1	src/framework/tasks/TaskQueue.h

commit 4bea2a5eff8f4772a2ab6de9815f7e8698e838dd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Oct 5 18:43:59 2009 +0200

    Reactivated the client side prediction code which tries to ignore
    movement updates which have originated from ourselves.

32	16	src/components/ogre/Avatar.cpp
40	11	src/components/ogre/Avatar.h

commit 4d797ccf59afe5482f5ddc79cb341e5e9feec85c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Oct 5 18:42:51 2009 +0200

    Added a backwards walking mode and parse this from a local velocity sent
    to the instance.

15	14	src/components/ogre/model/ModelRepresentation.cpp
10	5	src/components/ogre/model/ModelRepresentation.h

commit 9623f6c063e16873dd22ec023fb6c34fe61ec31b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Oct 5 18:41:50 2009 +0200

    The control delegate interface should also provide the velocity, so that
    this can be overridden in client side prediction functionality.

7	0	src/components/ogre/AvatarAttachmentController.cpp
3	0	src/components/ogre/AvatarAttachmentController.h
1	1	src/components/ogre/DelegatingNodeController.cpp
3	2	src/components/ogre/DelegatingNodeController.h
7	0	src/components/ogre/IEntityControlDelegate.h
1	1	src/components/ogre/NodeAttachment.cpp
2	1	src/components/ogre/NodeAttachment.h
1	1	src/components/ogre/NodeController.cpp
6	1	src/components/ogre/authoring/EntityMover.cpp
1	0	src/components/ogre/authoring/EntityMover.h
15	17	src/components/ogre/model/ModelAttachment.cpp
7	0	src/components/ogre/model/ModelAttachment.h

commit 8321abb69eb547ff3e0b8a3bb4936d1983dddf26
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Oct 5 18:39:26 2009 +0200

    Inherit from IVisualizable instead of copying the methods.

2	15	src/components/ogre/IGraphicalRepresentation.h

commit 482ae029995c0d7c6b6104c30b2d356e9a8929b4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 22:30:49 2009 +0200

    Moved the movement mode code to the ModelRepresentation where it better
    belong.

2	27	src/components/ogre/EmberEntity.cpp
2	63	src/components/ogre/EmberEntity.h
43	9	src/components/ogre/model/ModelRepresentation.cpp
62	7	src/components/ogre/model/ModelRepresentation.h
0	14	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
32	0	src/components/ogre/scripting/bindings/lua/ModelRepresentation.pkg
37	37	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit a38aa8e43d701c7166fa27520a4ae24293419304
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 16:47:04 2009 +0200

    Renamed IAttachmentControlDelegate to IEntityControlDelegate.

2	2	src/components/ogre/AttachmentBase.cpp
3	3	src/components/ogre/AttachmentBase.h
2	2	src/components/ogre/AvatarAttachmentController.h
3	3	src/components/ogre/DelegatingNodeController.cpp
4	4	src/components/ogre/DelegatingNodeController.h
2	2	src/components/ogre/EmberEntity.cpp
5	5	src/components/ogre/EmberEntity.h
0	64	src/components/ogre/IAttachmentControlDelegate.h
4	4	src/components/ogre/IEntityAttachment.h
64	0	src/components/ogre/IEntityControlDelegate.h
1	1	src/components/ogre/Makefile.am
3	3	src/components/ogre/NodeAttachment.cpp
4	4	src/components/ogre/NodeAttachment.h
1	1	src/components/ogre/NodeController.cpp
2	2	src/components/ogre/NodeController.h
2	2	src/components/ogre/WorldAttachment.cpp
2	2	src/components/ogre/WorldAttachment.h
2	2	src/components/ogre/authoring/AuthoringVisualization.cpp
3	3	src/components/ogre/authoring/AuthoringVisualization.h
1	1	src/components/ogre/authoring/EntityMover.cpp
5	5	src/components/ogre/authoring/EntityMover.h

commit 4f4a12c4ba7c1310170a45db210099e48f184a79
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 16:36:00 2009 +0200

    Make sure to clean up nicely if the entity is destroyed while being
    moved.

33	6	src/components/ogre/authoring/AuthoringHandler.cpp
37	2	src/components/ogre/authoring/AuthoringHandler.h
19	0	src/components/ogre/authoring/EntityMoveManager.cpp
34	10	src/components/ogre/authoring/EntityMoveManager.h
0	2	src/components/ogre/authoring/EntityMover.cpp

commit 89d7e0c7492bd94e23192ccb7ea32e03af05b911
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 16:21:46 2009 +0200

    Added utility class for features which need to observe an entity and
    therefore also want to clean up when the entity gets destroyed.

51	0	src/components/ogre/EntityObserverBase.cpp
87	0	src/components/ogre/EntityObserverBase.h
5	2	src/components/ogre/Makefile.am

commit b84f03933a722a3cf8bbb67eae77d1abed9255b1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:29:30 2009 +0200

    Updated bindings.

2	2	src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg
29	10	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
8	0	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
1	0	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg
104	50	src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp
28	28	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit f6fc06590d80e68bf6729a8a3637b5dc8dff01b6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:28:34 2009 +0200

    Added methods for allowing an EntityMover to change how a visualization
    is moved.

19	1	src/components/ogre/authoring/AuthoringHandler.cpp
8	1	src/components/ogre/authoring/AuthoringHandler.h
14	0	src/components/ogre/authoring/AuthoringManager.cpp
8	3	src/components/ogre/authoring/AuthoringManager.h

commit a08e1803987e4d89e3567c01ac9872d747faaaff
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:27:27 2009 +0200

    Use the EntityMover class after all.

1	1	src/components/ogre/authoring/EntityMoveAdjuster.cpp
2	2	src/components/ogre/authoring/EntityMoveAdjuster.h
2	4	src/components/ogre/authoring/EntityMoveManager.h

commit 231b1735b6a0105c39f3549865e86d0cf3de996d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:26:40 2009 +0200

    Make sure to return the old control delegate when done, and also
    expose the control delegate through an accessor.

8	0	src/components/ogre/authoring/EntityMover.cpp
2	0	src/components/ogre/authoring/EntityMover.h

commit eaef51666c34b1abdb2346c6b521cc98b7e7b0a9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:25:19 2009 +0200

    Added the option of using a control delegate for controlling the
    position and orientation of the visualization.

19	4	src/components/ogre/authoring/AuthoringVisualization.cpp
7	0	src/components/ogre/authoring/AuthoringVisualization.h

commit b887599369b3acef8ecb829f0ccc69eb1195313b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:24:18 2009 +0200

    Let the entity factory manage the bridge between authoring
    visualizations and entity movement. Also cleaned up some obsolete code.

5	11	src/components/ogre/EmberEntityFactory.cpp
17	5	src/components/ogre/EmberEntityFactory.h
2	2	src/components/ogre/EmberOgre.cpp

commit 8cb71cb4e1b6a7f74d49b461088a61524d90b0bf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:22:54 2009 +0200

    Added class for binding together the EntityMoveManager and the
    AuthoringManager, so that entities that are moved on the client have
    their authoring visualizations updated.

54	0	src/components/ogre/authoring/AuthoringMoverConnector.cpp
53	0	src/components/ogre/authoring/AuthoringMoverConnector.h
4	2	src/components/ogre/authoring/Makefile.am

commit 6e4845d79bd7bbd145b819ceeb3f7c8f68a8596c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Oct 4 12:21:59 2009 +0200

    Added class for binding an authoring visualization to an entity
    movement, so that the visualization is updated as the entity is moved on
    the client.

47	0	src/components/ogre/authoring/AuthoringVisualizationMover.cpp
46	0	src/components/ogre/authoring/AuthoringVisualizationMover.h

commit 664d64830a63916e38bf1f36b4ebb2869024eed5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Oct 3 20:23:21 2009 +0200

    Use the base class in the signal.

1	1	src/components/ogre/authoring/EntityMoveAdjuster.cpp
2	2	src/components/ogre/authoring/EntityMoveAdjuster.h
3	1	src/components/ogre/authoring/EntityMoveManager.h
3	0	src/components/ogre/authoring/EntityMoverBase.h
2	2	src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg
28	28	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 2978245e276ca79e4f10436e740ce06cc8623195
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Oct 3 20:15:04 2009 +0200

    Added the mover object used for movement in the signal emitted when
    movement has begun. Also added a Moved signal to the actual mover.

2	2	src/components/ogre/authoring/EntityMoveAdjuster.cpp
2	1	src/components/ogre/authoring/EntityMoveAdjuster.h
8	7	src/components/ogre/authoring/EntityMoveManager.cpp
2	2	src/components/ogre/authoring/EntityMoveManager.h
4	0	src/components/ogre/authoring/EntityMoverBase.cpp
3	0	src/components/ogre/authoring/EntityMoverBase.h
3	2	src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg
26	21	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/widgets/Mover.lua

commit 9956b8121919d8c19066ef1edac7c929d2f16ddc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Oct 3 20:14:47 2009 +0200

    Added my build directory.

2	0	.gitignore

commit 8b364a538a1a0a57790b0d8028472dfbc267e065
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Oct 2 20:40:02 2009 +0200

    Added admin menu for toggling authoring visualizations on and off.

15	0	src/components/ogre/widgets/Admin.lua

commit f40e669e68b8e43c0abf8f50791d688edfac41dd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Oct 2 20:39:46 2009 +0200

    Expand bindings for varconf::Variable.

224	0	src/framework/bindings/lua/varconf/lua_Varconf.cpp
6	0	src/framework/bindings/lua/varconf/variable.pkg

commit 4ec554577d3073216cf3e0e64612e4e05a0d943f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 23:46:35 2009 +0200

    Switch incorrect logic.

2	2	src/components/ogre/authoring/AuthoringManager.cpp

commit c46e3da1bd66d377f3bd7967a39c18371a612605
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 23:46:02 2009 +0200

    Handle location changes as well as created entities.

35	1	src/components/ogre/authoring/AuthoringHandler.cpp
12	0	src/components/ogre/authoring/AuthoringHandler.h

commit 1720860626d435dd591e939423f14e614c89e28b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 22:02:14 2009 +0200

    Added docs.

41	1	src/components/ogre/authoring/AuthoringHandler.h
53	1	src/components/ogre/authoring/AuthoringManager.h
48	1	src/components/ogre/authoring/AuthoringVisualization.h

commit db8693715b7cfdb9aecf774d90b8054011d0353f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 22:01:55 2009 +0200

    Don't show the visualization beyond 100 meters.

1	1	src/components/ogre/authoring/AuthoringVisualization.cpp

commit b05e0eedc101e662510a5500f7f30d2bedf9b910
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 22:01:26 2009 +0200

    Allow the visualizations to be toggled by a config setting.

16	3	src/components/ogre/authoring/AuthoringManager.cpp

commit 7ed75323e97b794e53ce8ad968d454c8d5f81e4f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 30 22:00:35 2009 +0200

    Added default settings for authoring visualizations.

3	0	ember.conf

commit 5fdaf40e07419841dbbec3a3e969bdbcac1490db
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Sep 28 00:13:37 2009 +0200

    Hook up the authoring visualizations so that they will allow for entity
    picking. This makes the visualizations fully functional, in that they
    can be used to simplify editing of entities that otherwise have no
    clickable graphical representation (such as areas).

3	1	src/components/ogre/authoring/AuthoringHandler.cpp
10	0	src/components/ogre/authoring/AuthoringVisualization.cpp
70	0	src/components/ogre/authoring/AuthoringVisualizationCollisionDetector.cpp
70	0	src/components/ogre/authoring/AuthoringVisualizationCollisionDetector.h
4	2	src/components/ogre/authoring/Makefile.am

commit 5d0ad5f22ffe6192377587855801a16961036c8e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:24:35 2009 +0200

    Improved authoring visualizations.

12	1	src/components/ogre/authoring/AuthoringHandler.cpp
6	1	src/components/ogre/authoring/AuthoringHandler.h
12	2	src/components/ogre/authoring/AuthoringVisualization.cpp
4	1	src/components/ogre/authoring/AuthoringVisualization.h
2	2	src/components/ogre/authoring/Makefile.am

commit a6691c4778398d4499bf9461100a276d833604a5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:24:05 2009 +0200

    Changed signature for the entity factory. Also formatting cleanup.

93	153	src/components/ogre/EmberOgre.cpp

commit 60fb6b066d97e90d4fd6378521dbc9a8d5d5132a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:23:50 2009 +0200

    Added file missing in previous commit.

55	56	src/components/ogre/EmberEntityFactory.h

commit 0962ed8208746202ff09f0b545a7b3fa5ba50205
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:23:01 2009 +0200

    When the main view is recieved, create an AuthoringManager for it.

60	74	src/components/ogre/EmberEntityFactory.cpp

commit a2ea9fd2ff9184f38e35356d573bc66557b39228
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:22:46 2009 +0200

    Added support for visitors.

22	15	src/components/ogre/EmberEntity.cpp
8	0	src/components/ogre/EmberEntity.h

commit d84ba9731bb475ead53991a56f2d8f67c0a006ba
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:16:02 2009 +0200

    Fixed incorrect paths after renaming.

6	6	src/components/ogre/authoring/entityrecipes/Makefile.am

commit a558f05203244c96e93aeeb4deeb99b23c962731
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 23:15:07 2009 +0200

    Added a simple visitor for walking through the entity hierarchy.

48	0	src/components/ogre/IEntityVisitor.h
1	1	src/components/ogre/Makefile.am

commit 3e265bdbfcf6b1df32d6f67b007ba392ef90836f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 27 01:27:45 2009 +0200

    Added visualization of entities through authoring markers. This is meant
    to be used for easily authoring, even for entities which normally aren't
    graphically shown.

94	0	src/components/ogre/authoring/AuthoringHandler.cpp
60	0	src/components/ogre/authoring/AuthoringHandler.h
60	0	src/components/ogre/authoring/AuthoringManager.cpp
66	0	src/components/ogre/authoring/AuthoringManager.h
80	0	src/components/ogre/authoring/AuthoringVisualization.cpp
50	0	src/components/ogre/authoring/AuthoringVisualization.h

commit 874efa0d5aeb4ba32d6d9cfd219785f244ae5d51
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Sep 26 23:19:27 2009 +0200

    Put the classes residing in the "authoring" directory under the
    "Authoring" namespace. Also fixed up some formatting. This commit alters
    no behaviour or code other than the restructuring.

3	3	src/components/ogre/EmberOgre.cpp
82	80	src/components/ogre/EmberOgre.h
40	36	src/components/ogre/authoring/DetachedEntity.cpp
20	17	src/components/ogre/authoring/DetachedEntity.h
10	7	src/components/ogre/authoring/EntityMoveAdjuster.cpp
49	47	src/components/ogre/authoring/EntityMoveAdjuster.h
11	12	src/components/ogre/authoring/EntityMoveManager.cpp
32	31	src/components/ogre/authoring/EntityMoveManager.h
6	7	src/components/ogre/authoring/EntityMover.cpp
13	11	src/components/ogre/authoring/EntityMover.h
8	16	src/components/ogre/authoring/EntityMoverBase.cpp
5	4	src/components/ogre/authoring/EntityMoverBase.h
87	105	src/components/ogre/authoring/EntityRecipe.cpp
46	40	src/components/ogre/authoring/EntityRecipe.h
12	13	src/components/ogre/authoring/EntityRecipeManager.cpp
14	16	src/components/ogre/authoring/EntityRecipeManager.h
24	34	src/components/ogre/authoring/GUIAdapter.cpp
17	15	src/components/ogre/authoring/GUIAdapter.h
58	63	src/components/ogre/authoring/GUIAdapterBindings.cpp
18	16	src/components/ogre/authoring/GUIAdapterBindings.h
26	20	src/components/ogre/authoring/IMovementBridge.h
17	15	src/components/ogre/authoring/IPolygonPositionProvider.h
9	7	src/components/ogre/authoring/MaterialEditor.cpp
18	17	src/components/ogre/authoring/MaterialEditor.h
30	41	src/components/ogre/authoring/MovementAdapter.cpp
35	28	src/components/ogre/authoring/MovementAdapter.h
7	14	src/components/ogre/authoring/Polygon.cpp
36	35	src/components/ogre/authoring/Polygon.h
6	7	src/components/ogre/authoring/PolygonPoint.cpp
28	26	src/components/ogre/authoring/PolygonPoint.h
6	6	src/components/ogre/authoring/PolygonPointMovement.cpp
19	16	src/components/ogre/authoring/PolygonPointMovement.h
8	8	src/components/ogre/authoring/PolygonPointMover.cpp
34	33	src/components/ogre/authoring/PolygonPointMover.h
7	7	src/components/ogre/authoring/PolygonPointPickListener.cpp
18	16	src/components/ogre/authoring/PolygonPointPickListener.h
12	12	src/components/ogre/authoring/PolygonPointUserObject.cpp
20	22	src/components/ogre/authoring/PolygonPointUserObject.h
12	13	src/components/ogre/authoring/PolygonRenderer.cpp
17	14	src/components/ogre/authoring/PolygonRenderer.h
2	3	src/components/ogre/authoring/SnapToMovement.cpp
1	1	src/components/ogre/authoring/SnapToMovement.h
64	89	src/components/ogre/authoring/XMLEntityRecipeSerializer.cpp
7	3	src/components/ogre/authoring/XMLEntityRecipeSerializer.h
1	1	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
1	1	src/components/ogre/scripting/bindings/lua/EntityCreator.pkg
3	1	src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg
8	8	src/components/ogre/scripting/bindings/lua/EntityRecipe.pkg
3	1	src/components/ogre/scripting/bindings/lua/EntityRecipeManager.pkg
3	3	src/components/ogre/scripting/bindings/lua/GUIAdapter.pkg
419	406	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
25	43	src/components/ogre/widgets/EntityCreator.cpp
21	19	src/components/ogre/widgets/EntityCreator.h
4	4	src/components/ogre/widgets/EntityCreator.lua
5	5	src/components/ogre/widgets/EntityCreatorMovement.cpp
21	20	src/components/ogre/widgets/EntityCreatorMovement.h
6	6	src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
22	17	src/components/ogre/widgets/EntityCreatorMovementBridge.h
101	107	src/components/ogre/widgets/adapters/atlas/AdapterFactory.cpp
61	61	src/components/ogre/widgets/adapters/atlas/AdapterFactory.h
6	6	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
7	7	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h

commit 4f5a85c6c62f9d3479119b56d07fb0c9fe7d48c5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Sep 26 22:15:23 2009 +0200

    Renamed "manipulation" to "authoring" as that's a more fitting name.

2	2	configure.ac
3	3	src/components/ogre/EmberOgre.cpp
1	1	src/components/ogre/Makefile.am
85	0	src/components/ogre/authoring/DetachedEntity.cpp
61	0	src/components/ogre/authoring/DetachedEntity.h
80	0	src/components/ogre/authoring/EntityMoveAdjuster.cpp
132	0	src/components/ogre/authoring/EntityMoveAdjuster.h
92	0	src/components/ogre/authoring/EntityMoveManager.cpp
99	0	src/components/ogre/authoring/EntityMoveManager.h
97	0	src/components/ogre/authoring/EntityMover.cpp
89	0	src/components/ogre/authoring/EntityMover.h
142	0	src/components/ogre/authoring/EntityMoverBase.cpp
133	0	src/components/ogre/authoring/EntityMoverBase.h
356	0	src/components/ogre/authoring/EntityRecipe.cpp
261	0	src/components/ogre/authoring/EntityRecipe.h
81	0	src/components/ogre/authoring/EntityRecipeManager.cpp
78	0	src/components/ogre/authoring/EntityRecipeManager.h
171	0	src/components/ogre/authoring/GUIAdapter.cpp
183	0	src/components/ogre/authoring/GUIAdapter.h
162	0	src/components/ogre/authoring/GUIAdapterBindings.cpp
98	0	src/components/ogre/authoring/GUIAdapterBindings.h
103	0	src/components/ogre/authoring/IMovementBridge.h
52	0	src/components/ogre/authoring/IPolygonPositionProvider.h
15	0	src/components/ogre/authoring/Makefile.am
108	0	src/components/ogre/authoring/MaterialEditor.cpp
60	0	src/components/ogre/authoring/MaterialEditor.h
278	0	src/components/ogre/authoring/MovementAdapter.cpp
199	0	src/components/ogre/authoring/MovementAdapter.h
197	0	src/components/ogre/authoring/Polygon.cpp
202	0	src/components/ogre/authoring/Polygon.h
174	0	src/components/ogre/authoring/PolygonPoint.cpp
146	0	src/components/ogre/authoring/PolygonPoint.h
51	0	src/components/ogre/authoring/PolygonPointMovement.cpp
71	0	src/components/ogre/authoring/PolygonPointMovement.h
210	0	src/components/ogre/authoring/PolygonPointMover.cpp
164	0	src/components/ogre/authoring/PolygonPointMover.h
75	0	src/components/ogre/authoring/PolygonPointPickListener.cpp
81	0	src/components/ogre/authoring/PolygonPointPickListener.h
74	0	src/components/ogre/authoring/PolygonPointUserObject.cpp
103	0	src/components/ogre/authoring/PolygonPointUserObject.h
86	0	src/components/ogre/authoring/PolygonRenderer.cpp
84	0	src/components/ogre/authoring/PolygonRenderer.h
179	0	src/components/ogre/authoring/SnapToMovement.cpp
123	0	src/components/ogre/authoring/SnapToMovement.h
289	0	src/components/ogre/authoring/XMLEntityRecipeSerializer.cpp
88	0	src/components/ogre/authoring/XMLEntityRecipeSerializer.h
21	0	src/components/ogre/authoring/entityrecipes/Makefile.am
18	0	src/components/ogre/authoring/entityrecipes/barrel.entityrecipe
66	0	src/components/ogre/authoring/entityrecipes/birch.entityrecipe
60	0	src/components/ogre/authoring/entityrecipes/boulder.entityrecipe
26	0	src/components/ogre/authoring/entityrecipes/castle_house.entityrecipe
66	0	src/components/ogre/authoring/entityrecipes/castle_wall.entityrecipe
34	0	src/components/ogre/authoring/entityrecipes/crates.entityrecipe
186	0	src/components/ogre/authoring/entityrecipes/entityrecipe.xsd
26	0	src/components/ogre/authoring/entityrecipes/fence.entityrecipe
66	0	src/components/ogre/authoring/entityrecipes/fir.entityrecipe
30	0	src/components/ogre/authoring/entityrecipes/gravestone.entityrecipe
36	0	src/components/ogre/authoring/entityrecipes/mushroom.entityrecipe
65	0	src/components/ogre/authoring/entityrecipes/oak.entityrecipe
27	0	src/components/ogre/authoring/entityrecipes/stone_palissade.entityrecipe
54	0	src/components/ogre/authoring/entityrecipes/test.entityrecipe
18	0	src/components/ogre/authoring/entityrecipes/tinderbox.entityrecipe
18	0	src/components/ogre/authoring/entityrecipes/torch.entityrecipe
50	0	src/components/ogre/authoring/entityrecipes/vegetables.entityrecipe
0	85	src/components/ogre/manipulation/DetachedEntity.cpp
0	61	src/components/ogre/manipulation/DetachedEntity.h
0	80	src/components/ogre/manipulation/EntityMoveAdjuster.cpp
0	132	src/components/ogre/manipulation/EntityMoveAdjuster.h
0	92	src/components/ogre/manipulation/EntityMoveManager.cpp
0	99	src/components/ogre/manipulation/EntityMoveManager.h
0	97	src/components/ogre/manipulation/EntityMover.cpp
0	89	src/components/ogre/manipulation/EntityMover.h
0	142	src/components/ogre/manipulation/EntityMoverBase.cpp
0	133	src/components/ogre/manipulation/EntityMoverBase.h
0	356	src/components/ogre/manipulation/EntityRecipe.cpp
0	261	src/components/ogre/manipulation/EntityRecipe.h
0	81	src/components/ogre/manipulation/EntityRecipeManager.cpp
0	78	src/components/ogre/manipulation/EntityRecipeManager.h
0	171	src/components/ogre/manipulation/GUIAdapter.cpp
0	183	src/components/ogre/manipulation/GUIAdapter.h
0	162	src/components/ogre/manipulation/GUIAdapterBindings.cpp
0	98	src/components/ogre/manipulation/GUIAdapterBindings.h
0	103	src/components/ogre/manipulation/IMovementBridge.h
0	52	src/components/ogre/manipulation/IPolygonPositionProvider.h
0	15	src/components/ogre/manipulation/Makefile.am
0	108	src/components/ogre/manipulation/MaterialEditor.cpp
0	60	src/components/ogre/manipulation/MaterialEditor.h
0	278	src/components/ogre/manipulation/MovementAdapter.cpp
0	199	src/components/ogre/manipulation/MovementAdapter.h
0	197	src/components/ogre/manipulation/Polygon.cpp
0	202	src/components/ogre/manipulation/Polygon.h
0	174	src/components/ogre/manipulation/PolygonPoint.cpp
0	146	src/components/ogre/manipulation/PolygonPoint.h
0	51	src/components/ogre/manipulation/PolygonPointMovement.cpp
0	71	src/components/ogre/manipulation/PolygonPointMovement.h
0	210	src/components/ogre/manipulation/PolygonPointMover.cpp
0	164	src/components/ogre/manipulation/PolygonPointMover.h
0	75	src/components/ogre/manipulation/PolygonPointPickListener.cpp
0	81	src/components/ogre/manipulation/PolygonPointPickListener.h
0	74	src/components/ogre/manipulation/PolygonPointUserObject.cpp
0	103	src/components/ogre/manipulation/PolygonPointUserObject.h
0	86	src/components/ogre/manipulation/PolygonRenderer.cpp
0	84	src/components/ogre/manipulation/PolygonRenderer.h
0	179	src/components/ogre/manipulation/SnapToMovement.cpp
0	123	src/components/ogre/manipulation/SnapToMovement.h
0	289	src/components/ogre/manipulation/XMLEntityRecipeSerializer.cpp
0	88	src/components/ogre/manipulation/XMLEntityRecipeSerializer.h
0	21	src/components/ogre/manipulation/entityrecipes/Makefile.am
0	18	src/components/ogre/manipulation/entityrecipes/barrel.entityrecipe
0	66	src/components/ogre/manipulation/entityrecipes/birch.entityrecipe
0	60	src/components/ogre/manipulation/entityrecipes/boulder.entityrecipe
0	26	src/components/ogre/manipulation/entityrecipes/castle_house.entityrecipe
0	66	src/components/ogre/manipulation/entityrecipes/castle_wall.entityrecipe
0	34	src/components/ogre/manipulation/entityrecipes/crates.entityrecipe
0	186	src/components/ogre/manipulation/entityrecipes/entityrecipe.xsd
0	26	src/components/ogre/manipulation/entityrecipes/fence.entityrecipe
0	66	src/components/ogre/manipulation/entityrecipes/fir.entityrecipe
0	30	src/components/ogre/manipulation/entityrecipes/gravestone.entityrecipe
0	36	src/components/ogre/manipulation/entityrecipes/mushroom.entityrecipe
0	65	src/components/ogre/manipulation/entityrecipes/oak.entityrecipe
0	27	src/components/ogre/manipulation/entityrecipes/stone_palissade.entityrecipe
0	54	src/components/ogre/manipulation/entityrecipes/test.entityrecipe
0	18	src/components/ogre/manipulation/entityrecipes/tinderbox.entityrecipe
0	18	src/components/ogre/manipulation/entityrecipes/torch.entityrecipe
0	50	src/components/ogre/manipulation/entityrecipes/vegetables.entityrecipe
3	3	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/scripting/bindings/lua/required.h
2	2	src/components/ogre/widgets/EntityCreator.cpp
1	1	src/components/ogre/widgets/EntityCreator.h
1	1	src/components/ogre/widgets/EntityCreatorMovement.h
1	1	src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
2	2	src/components/ogre/widgets/EntityCreatorMovementBridge.h
1	1	src/components/ogre/widgets/adapters/atlas/AreaAdapter.cpp
1	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
3	3	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h
1	1	src/main/Makefile.am

commit 49956c87266ffcca5103655d0e05218c76b483cb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Sep 26 21:36:55 2009 +0200

    Removed obsolete class.

2	2	src/components/ogre/model/Makefile.am
0	100	src/components/ogre/model/ModelAttachedAttachment.cpp
0	69	src/components/ogre/model/ModelAttachedAttachment.h
0	1	src/components/ogre/model/ModelAttachment.cpp

commit 6b06de8bb6fc92d5fdbcfdbd342341539a052604
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Sep 26 19:12:52 2009 +0200

    Better docs.

21	1	src/components/ogre/DelegatingNodeController.h
8	0	src/components/ogre/NodeController.h

commit ead4f0bd9935f4c95d94db30b03bc9a9a7249505
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Sep 26 16:12:27 2009 +0200

    Improved docs.

4	1	src/framework/tasks/ITaskExecutionListener.h
9	3	src/framework/tasks/TaskExecutionContext.cpp
19	1	src/framework/tasks/TaskExecutionContext.h
1	1	src/framework/tasks/TaskExecutor.cpp

commit 61a6f2f432a3f8ec710f05e2b302286f26a1d751
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Sep 24 23:39:43 2009 +0200

    Added the feature of tasks also being executed in the main thread.
    In addition to that added better docs.

27	2	src/framework/tasks/ITask.h
19	0	src/framework/tasks/ITaskExecutionListener.h
1	2	src/framework/tasks/TaskExecutor.cpp
58	13	src/framework/tasks/TaskQueue.cpp
28	5	src/framework/tasks/TaskQueue.h

commit eaf55acc88c918d070bb1ce29b7533096dba6c32
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Sep 24 23:08:35 2009 +0200

    Added comments.

1	0	src/framework/tasks/TaskExecutor.cpp
33	5	src/framework/tasks/TaskExecutor.h
6	0	src/framework/tasks/TaskQueue.cpp
50	3	src/framework/tasks/TaskQueue.h

commit 86d8acc3dfb72b6a4847a45e4e43636b80ab7f4c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Sep 24 22:49:50 2009 +0200

    Added a framework for tasks and task queues.

1	0	configure.ac
1	1	src/framework/Makefile.am
42	0	src/framework/tasks/ITask.h
44	0	src/framework/tasks/ITaskExecutionListener.h
7	0	src/framework/tasks/Makefile.am
36	0	src/framework/tasks/TaskExecutionContext.cpp
36	0	src/framework/tasks/TaskExecutionContext.h
73	0	src/framework/tasks/TaskExecutor.cpp
56	0	src/framework/tasks/TaskExecutor.h
73	0	src/framework/tasks/TaskQueue.cpp
67	0	src/framework/tasks/TaskQueue.h
1	0	src/main/Makefile.am

commit d23bb697f0aac77c6dedc930e414f0a68c1639a7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 13 23:28:15 2009 +0200

    Reworked how the movement from the server is handled a little, and for
    now disabled the mechanism for ignoring movement updates which would
    have been sent by the client.

24	57	src/components/ogre/Avatar.cpp

commit 779b17da65add91c786196f798e8300fa4a38f47
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 13 13:50:59 2009 +0200

    Added better error checking.

54	41	src/components/ogre/EmberEntity.cpp

commit b9722378da145bb17ab4d68b92a9852fcc20f77d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Sep 13 13:27:02 2009 +0200

    Let the material be provided by the media instead of creating it
    ourselves.

6	14	src/components/ogre/EmberEntity.cpp
0	5	src/components/ogre/EmberEntity.h

commit a1924b3269b6d905682cfabb2a7af1da66d07f30
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 2 22:48:39 2009 +0200

    Only use the background loader if Ogre is compiled in threading mode.

20	31	src/components/ogre/model/Model.cpp

commit 44113584006a1df833fd966b84fd634f43bb0beb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 2 20:39:11 2009 +0200

    Added timing log information to the loading of models. This should
    perhaps be removed when we've optimized the loading a bit more.

10	2	src/components/ogre/model/Model.cpp
29	28	src/components/ogre/model/SubModelPart.cpp

commit 5c61bdf73639000073857246d24d0eaa0c6879d3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 2 20:38:38 2009 +0200

    Make sure to rescale the model when it's reloaded.

8	0	src/components/ogre/model/ModelAttachment.cpp
2	0	src/components/ogre/model/ModelAttachment.h

commit 804ae47419f7871b65d8cc0761564639fbcf76b8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 2 20:37:37 2009 +0200

    Don't report anything if we're not in debug mode.

20	1	src/framework/TimedLog.cpp

commit fb8a4111d4a789ff99be5be3d5d350ebfe989842
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Sep 2 20:33:16 2009 +0200

    Use a listener instead of calling poll, since it turns out that the poll
    call is blocking (a bug one could presume).
    Also make sure to prepare and load all materials and textures.

146	44	src/components/ogre/model/ModelBackgroundLoader.cpp
114	9	src/components/ogre/model/ModelBackgroundLoader.h

commit ec69dacfc8356a662a720de90b19e72e8d8243f6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 30 15:32:48 2009 +0200

    Added a utility timed logging class, useful when you need to time a
    certain task.

2	2	src/framework/Makefile.am
61	0	src/framework/TimedLog.cpp
79	0	src/framework/TimedLog.h

commit 53f1d06b03a69f946b59cfd6dad4cf308c9aef6b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 23 13:17:31 2009 +0200

    Finalized the picking of transparent entities.

24	35	src/components/ogre/EntityWorldPickListener.cpp
12	13	src/components/ogre/EntityWorldPickListener.h
6	0	src/components/ogre/ICollisionDetector.h
1	0	src/components/ogre/environment/SimpleWaterCollisionDetector.cpp

commit d9d5c4fd88e07733789db0029ebc4851ad0fa3d7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 22 23:19:00 2009 +0200

    If multiple entities are selected, show a selector widget which allows
    you to switch between them.

111	38	src/components/ogre/widgets/EntityPicker.lua
31	0	src/components/ogre/widgets/EntityPickerSelector.layout
1	1	src/components/ogre/widgets/Give.lua

commit 075b7d63b1c66111ead7ce67b69ec3017c182783
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 22 20:38:43 2009 +0200

    Provide a list of clicked entities, instead of just the first one.

56	61	src/components/ogre/EntityWorldPickListener.cpp
4	3	src/components/ogre/EntityWorldPickListener.h
1	1	src/components/ogre/scripting/bindings/lua/EntityWorldPickListener.pkg
17	0	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
2	0	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
1	0	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg
130	76	src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp
352	23	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/scripting/bindings/lua/stdlib.pkg
2	1	src/components/ogre/widgets/EntityPicker.lua

commit 7c281c6fab7a49e1f2330e9726ea51274a0517ac
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Aug 19 19:00:33 2009 +0200

    Moved the terrain parser to its own file.

7	206	src/components/ogre/WorldEmberEntity.cpp
40	87	src/components/ogre/WorldEmberEntity.h
2	2	src/components/ogre/terrain/Makefile.am
191	0	src/components/ogre/terrain/TerrainParser.cpp
79	0	src/components/ogre/terrain/TerrainParser.h

commit c5995b63652bee4a849fee84386479369c883afd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Aug 19 18:36:53 2009 +0200

    Honour the "fixed" positioning mode by not adjusting the entity.

8	5	src/components/ogre/NodeAttachment.cpp

commit f10d7ae61453fb55a76cd809101d0c69b25e9aa0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Aug 19 18:06:03 2009 +0200

    Honour the "floating" positioning mode.

6	6	src/components/ogre/NodeAttachment.cpp

commit 5a8f32c0f8ded8a31c8be186af0f169949b64435
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 9 23:43:39 2009 +0200

    Fixed a bug where node controllers weren't removed from the movement
    manager as they should, resulting in segfaults.

1	0	src/components/ogre/NodeController.cpp

commit 1aa6423068a7a2f14de5c0bd9a7c0c6bee80379b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 9 01:00:58 2009 +0200

    Support port numbers in the server address field, such as
    "amber.worldforge.org:3242".

8	1	src/components/ogre/widgets/ServerBrowser.lua

commit e7ac89e02cb406ff6d0a4c7685b226ac95d43b79
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:25:06 2009 +0200

    Provide support for both xml and bach codecs.

21	8	src/components/ogre/widgets/AtlasHelper.cpp
1	1	src/components/ogre/widgets/AtlasHelper.h
2	2	src/components/ogre/widgets/ServerLogger.lua

commit 61235bc73aa0f620863a9b5eba508ddcf7eb0220
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:24:42 2009 +0200

    Add a menu item for the server logger.

14	1	src/components/ogre/widgets/Admin.lua

commit 7f08cae16fd53c2b5b7d5752d2ec0db6fc249110
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:02:35 2009 +0200

    Updated bindings.

55	0	src/components/ogre/scripting/bindings/lua/AtlasHelper.pkg
1	0	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
94	99	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
166	163	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
1	1	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg
54	0	src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp
115	43	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit b0674faaa62bb3c29877956ee7c9814da0e76239
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:02:14 2009 +0200

    Load the server logger from start.

1	0	src/components/ogre/widgets/Bootstrap.lua
2	2	src/components/ogre/widgets/Makefile.am

commit fc0b7c7f17ca695e1bc5c800409c79b3b0f4aba4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:01:20 2009 +0200

    Added a very simple logging window which shows all data being sent and
    received from the server. It's simple and could be extended with more
    features in the future.

25	0	src/components/ogre/widgets/ServerLogger.layout
71	0	src/components/ogre/widgets/ServerLogger.lua

commit a52b4d455c604da0dc01624b5dedaf99004af7aa
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:00:40 2009 +0200

    Added helper class for common Atlas tasks which are a little bit
    cumbersome to do in script.

47	0	src/components/ogre/widgets/AtlasHelper.cpp
50	0	src/components/ogre/widgets/AtlasHelper.h

commit a2abeefc117ae7558d3a909ef4ceb480484a8dcc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Aug 7 01:00:12 2009 +0200

    Added lua bindings.

9	0	src/services/bindings/lua/ServerService.pkg
83	20	src/services/bindings/lua/lua_EmberServices.cpp

commit 6466701aa74960f0e0a54399c5e12d5820ff370d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Aug 6 21:06:40 2009 +0200

    Added ability to listen to all objects being sent and received throgh
    two new signals on the ServerService class.

31	30	src/services/server/ConnectedAdapter.cpp
8	8	src/services/server/ConnectedAdapter.h
60	0	src/services/server/Connection.cpp
61	0	src/services/server/Connection.h
54	0	src/services/server/IConnectionListener.h
0	37	src/services/server/IServerAdapter.cpp
2	2	src/services/server/Makefile.am
297	338	src/services/server/ServerService.cpp
24	14	src/services/server/ServerService.h
44	0	src/services/server/ServerServiceConnectionListener.cpp
42	0	src/services/server/ServerServiceConnectionListener.h

commit c4704cba09f7f43045855d324b353e8d1d3b901f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Aug 6 02:11:04 2009 +0200

    Added a collision detector for the simple water and set up the
    OceanRepresentation to be pickable.

1	0	src/components/ogre/ICollisionDetector.h
15	0	src/components/ogre/environment/Environment.h
2	2	src/components/ogre/environment/Makefile.am
8	0	src/components/ogre/environment/OceanRepresentation.cpp
30	0	src/components/ogre/environment/SimpleWater.cpp
14	6	src/components/ogre/environment/SimpleWater.h
74	0	src/components/ogre/environment/SimpleWaterCollisionDetector.cpp
71	0	src/components/ogre/environment/SimpleWaterCollisionDetector.h

commit 00e08058b38881e1c8ce96a146fad4fa40344c79
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Aug 6 00:36:44 2009 +0200

    Simplified the user object class.

2	22	src/components/ogre/EmberEntityUserObject.cpp
29	29	src/components/ogre/EmberEntityUserObject.h
1	1	src/components/ogre/model/ModelRepresentation.cpp

commit 7b05324ce4acddfab5f5b1443f35559b9613242c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Aug 6 00:16:22 2009 +0200

    Added an ocean action which will create an OceanRepresentation for an
    entity.

4	0	src/components/ogre/EmberEntityActionCreator.cpp
2	1	src/components/ogre/EmberEntityModelAction.cpp
2	3	src/components/ogre/EmberEntityModelAction.h
2	2	src/components/ogre/environment/Makefile.am
64	0	src/components/ogre/environment/OceanAction.cpp
67	0	src/components/ogre/environment/OceanAction.h
9	1	src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 4cc603d40a0e88b2e2781a5042ff53122a491e6b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Aug 5 23:31:33 2009 +0200

    Added a representation which binds the ocean to an entity.

0	2	src/components/ogre/EmberEntity.h
25	19	src/components/ogre/environment/Environment.h
2	2	src/components/ogre/environment/Makefile.am
74	0	src/components/ogre/environment/OceanRepresentation.cpp
103	0	src/components/ogre/environment/OceanRepresentation.h
16	18	src/components/ogre/environment/SimpleWater.cpp
14	7	src/components/ogre/environment/SimpleWater.h
11	16	src/components/ogre/model/ModelRepresentation.cpp
0	1	src/components/ogre/model/ModelRepresentation.h

commit a17f5cd6ba76449856e3ebb37687768ae268ba23
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Aug 4 13:07:08 2009 +0200

    Transferred the console command for altering the right hand attachment
    from AvatarEmberEntity.

98	67	src/components/ogre/Avatar.cpp
63	75	src/components/ogre/Avatar.h

commit 91427937e8eeb14695ef4782b7d641dc58bbeca7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Aug 4 12:39:47 2009 +0200

    Fixed some issues after refactoring.

28	14	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
57	46	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h

commit 4fcf6f030d15f564e17f0ff2047eb16b450fea61
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Aug 4 01:13:36 2009 +0200

    First check if foliage is shown before trying to get plants.

3	1	src/components/ogre/terrain/TerrainPage.cpp

commit 82eb0270e52e848586b8e364203586042ee2e749
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Aug 4 00:42:27 2009 +0200

    Use ConfigListenerContainer for listening to foliage settings update,
    and make isFoliageShown public so that pages can query for it.

9	12	src/components/ogre/terrain/TerrainGenerator.cpp
17	15	src/components/ogre/terrain/TerrainGenerator.h
1	1	src/services/config/ConfigListenerContainer.h

commit 71b9be0f585c307c3682ca745260ae42b8b022d3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Aug 4 00:18:30 2009 +0200

    Fixed an issue where an attachment wasn't properly destroyed when the
    graphical representation was.

6	8	src/components/ogre/EmberEntity.cpp

commit 94aaadc4b41dc9a518f935fa7a464853f6562a48
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 22:41:02 2009 +0200

    Reactivate the forest code after the entity refactoring.

23	29	src/components/ogre/environment/EmberEntityLoader.cpp

commit b3fa9f9d65878505b24ddad308620dfe9033b008
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 22:40:48 2009 +0200

    No need to use SceneNode when Node suffice.

2	2	src/components/ogre/EntityWorldPickListener.cpp
17	23	src/components/ogre/environment/Forest.cpp
31	33	src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
9	16	src/components/ogre/model/ModelRepresentation.cpp
67	105	src/components/ogre/widgets/IngameChatWidget.cpp

commit 03ffae4e7457a3d95ad0d34c01b104214fe7ea8e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 22:23:21 2009 +0200

    No need to use SceneNode when Node suffice.

1	1	src/components/ogre/environment/pagedgeometry/include/PassiveEntityPage.h
1	1	src/components/ogre/environment/pagedgeometry/source/PassiveEntityPage.cpp

commit d29c3f6e36af628c68ad1c8980c2645ded509292
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 20:37:37 2009 +0200

    Added an setVisible method which can be overridden in subclasses to the
    NodeAttachment. This can be used to hide the model in the
    modelattachment. The main reason for doing this (since the node
    attachment will detach the node it belongs to anyway) is that lights are
    still considered in the scene unless they are hidden.

5	0	src/components/ogre/NodeAttachment.cpp
6	0	src/components/ogre/NodeAttachment.h
15	4	src/components/ogre/model/ModelAttachment.cpp
2	0	src/components/ogre/model/ModelAttachment.h

commit 7327dcf40cdf108c67d5a02ffaaf81faf640e2b4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 01:46:28 2009 +0200

    Added docs.

41	0	src/components/ogre/model/ModelFitting.h

commit d7b989ce0eb070a74d0c1f20c5daee3cacb19061
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 01:12:03 2009 +0200

    Provide support for derived position and orientation for TagPoint nodes,
    since the cannot be nestled in Ogre.

56	10	src/components/ogre/model/ModelBoneProvider.cpp
103	0	src/components/ogre/model/ModelBoneProvider.h

commit 12bdcf66311f569e706089bc467b14f4d1171c23
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 01:11:45 2009 +0200

    Also apply offsets to attachments.

6	6	src/components/ogre/model/ModelAttachment.cpp

commit 4e881decbd1ede00b47648c1ddeffeeaa92e9210
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Aug 3 01:11:18 2009 +0200

    Update position at creation time.

1	0	src/components/ogre/NodeController.cpp

commit 56685e5375dc02236bb70172346ececcd2e8af6d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 22:44:32 2009 +0200

    Include the bbox of any particle systems in the calculations too.

20	12	src/components/ogre/model/Model.cpp

commit f9eaac9b765d90778f3f334095f57b18c5d5db63
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 22:14:33 2009 +0200

    Cleaned up code.

53	334	src/components/ogre/model/ModelRepresentation.cpp
25	30	src/components/ogre/model/ModelRepresentation.h

commit 3db1252209efb87f65d14a40c3ea6fac4bc1f80c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 22:11:40 2009 +0200

    Added lights to the model as well as entities and particle systems.
    
    This means that a Model instance is now completly self contained, so
    there's no need to set up the attachment of the lights or particle
    systems separately. It also means that the ability to use a position
    offset for these is lost. If there's a need for having an offset (either
    position or orientation) we would need to alter this so that the lights
    and particle systems somehow are separated from the entities.

108	58	src/components/ogre/model/Model.cpp
2	1	src/components/ogre/model/Model.h

commit 022c52d655242123ed088b74d9fec3d87bfa894b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 02:08:16 2009 +0200

    Include the particle systems in the Model, so that we don't need to
    attach them separately.

92	132	src/components/ogre/model/Model.cpp

commit 016d39597008925e79c5943f5f864767cd27218e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 02:07:51 2009 +0200

    Handle that the node can be null if there's no movable object to provide
    a TagPoint for.

4	2	src/components/ogre/model/ModelBoneProvider.cpp

commit ce4e27c472acdfcca36485ef7331d1165f49e06f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 01:05:09 2009 +0200

    Cleaned up code not used anymore.

11	1	src/components/ogre/model/ModelAttachment.cpp
62	111	src/components/ogre/model/ModelRepresentation.cpp
2	80	src/components/ogre/model/ModelRepresentation.h
0	25	src/components/ogre/scripting/bindings/lua/ModelRepresentation.pkg
0	103	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 2537c382692641af946e98d13b620f7882c51b92
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 00:25:34 2009 +0200

    Use the provider for scaling and orientation.

13	18	src/components/ogre/model/ModelMount.cpp
3	3	src/components/ogre/model/ModelMount.h

commit 8f64b8b7c64e9e5e84c89232173cce8a0b45983e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Aug 2 00:10:11 2009 +0200

    Fixed an issue with possible exceptions when destroying scene node
    providers where the provider had been hidden.

5	1	src/components/ogre/EmberEntity.cpp
8	3	src/components/ogre/SceneNodeProvider.cpp
0	8	src/components/ogre/model/ModelRepresentation.cpp

commit 083d5e53250671a6783b8fa546de068587923c21
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 21:51:45 2009 +0200

    Fixed broken script after changes to the motion manager.

1	1	src/components/ogre/widgets/Performance.lua

commit 1aae06bba6627bb4a77ca3fbeffe780d17e5fb13
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 21:45:12 2009 +0200

    Let the node provider handle the rotation and positioning, so that it
    can be extended to handle offsets and pre-existing rotations in certain
    implementations.

12	1	src/components/ogre/INodeProvider.h
1	3	src/components/ogre/NodeAttachment.cpp
7	0	src/components/ogre/SceneNodeProvider.cpp
7	0	src/components/ogre/SceneNodeProvider.h
12	1	src/components/ogre/model/ModelAttachment.cpp
2	0	src/components/ogre/model/ModelAttachment.h
8	1	src/components/ogre/model/ModelBoneProvider.cpp
10	0	src/components/ogre/model/ModelBoneProvider.h

commit 453d6182ef37dcbf9ced88452be68f5799023e64
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 21:44:15 2009 +0200

    Provide a little bit more expressive return type when attaching
    entities.

4	4	src/components/ogre/model/Model.cpp
2	2	src/components/ogre/model/Model.h

commit 999d68225cbae2e73ed1d7c2af2b8a278c5cab52
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 20:38:27 2009 +0200

    Added a new interface, "IVisualizable", which is implemented by objects
    which can provide simple, late binding visualizations, mainly for
    debugging reasons. This currently involves the ogre bounding boxes for
    the Models, and the eris bounding boxes shown for all entities.

17	5	src/components/ogre/AttachmentBase.cpp
14	0	src/components/ogre/AttachmentBase.h
11	22	src/components/ogre/EmberEntity.cpp
101	107	src/components/ogre/EmberEntity.h
5	1	src/components/ogre/IEntityAttachment.h
3	1	src/components/ogre/INodeProvider.h
61	0	src/components/ogre/IVisualizable.h
2	1	src/components/ogre/Makefile.am
11	0	src/components/ogre/NodeAttachment.cpp
14	0	src/components/ogre/NodeAttachment.h
14	0	src/components/ogre/SceneNodeProvider.cpp
21	6	src/components/ogre/SceneNodeProvider.h
21	7	src/components/ogre/WorldAttachment.cpp
13	0	src/components/ogre/WorldAttachment.h
26	0	src/components/ogre/model/ModelAttachment.cpp
14	0	src/components/ogre/model/ModelAttachment.h
10	0	src/components/ogre/model/ModelBoneProvider.cpp
14	0	src/components/ogre/model/ModelBoneProvider.h
2	0	src/components/ogre/model/ModelRepresentation.h
0	4	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
0	67	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
10	8	src/components/ogre/widgets/EntityEditor.lua
4	4	src/components/ogre/widgets/InspectWidget.cpp

commit 42dd3ad1f9c8cd26874c8d4dd5765dd78f3bbee9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 20:37:17 2009 +0200

    Provide access to the nodeprovider from the outside.

6	0	src/components/ogre/model/ModelMount.cpp
11	4	src/components/ogre/model/ModelMount.h

commit c842dcb2e705f01761fcb464cf5bd8c16a359bd1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 01:05:16 2009 +0200

    Move the visibility functionality to the node provider.

6	0	src/components/ogre/INodeProvider.h
1	14	src/components/ogre/NodeAttachment.cpp
14	0	src/components/ogre/SceneNodeProvider.cpp
1	0	src/components/ogre/SceneNodeProvider.h
6	0	src/components/ogre/model/ModelBoneProvider.cpp
1	0	src/components/ogre/model/ModelBoneProvider.h

commit 54ae75802f48545483c64cb416eeb32ed6be8dcd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 00:16:58 2009 +0200

    Make the attachment to model attached entities work. This means that for
    now we'll disable the ability for attachments to "migrate" to new
    attachments of the same kind, since the logic for that would be too
    confusing with the current setup.

1	1	src/components/ogre/Avatar.cpp
30	30	src/components/ogre/NodeAttachment.cpp
1	1	src/components/ogre/model/ModelAttachedAttachment.cpp
27	25	src/components/ogre/model/ModelAttachment.cpp
10	8	src/components/ogre/model/ModelBoneProvider.cpp
4	2	src/components/ogre/model/ModelBoneProvider.h

commit c28f6eef5abf4f34cf6f87e3d52a0c59e854fd37
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 00:15:59 2009 +0200

    Added better docs and general cleanup.

1	0	src/components/ogre/HiddenAttachment.h
25	15	src/components/ogre/IAnimated.h
40	17	src/components/ogre/IAttachmentControlDelegate.h
18	15	src/components/ogre/ICameraMotionHandler.h
8	1	src/components/ogre/ICollisionDetector.h
20	16	src/components/ogre/IEntityAttachment.h
20	19	src/components/ogre/IGraphicalRepresentation.h
16	14	src/components/ogre/IMovable.h
25	17	src/components/ogre/IMovementProvider.h
30	3	src/components/ogre/INodeProvider.h
52	46	src/components/ogre/IWorldPickListener.h
53	3	src/components/ogre/NodeAttachment.h
3	3	src/components/ogre/manipulation/EntityMover.cpp

commit 8cac02c06b9279c87e2d953758bbc6ee173aec7c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Aug 1 00:12:36 2009 +0200

    Added convenience method for getting a child as an EmberEntity
    directly, a method for reattaching all attachments of the children
    entities and removed some hard coded model attachment code.

88	148	src/components/ogre/EmberEntity.cpp
28	8	src/components/ogre/EmberEntity.h

commit bde7c7bbbffaa3d11a82ecb92c273f0f62b78a9b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 31 23:35:27 2009 +0200

    Make the detach method a little more fault tolerant, so that it can be
    called even when the supplies movable isn't currently attached. This
    guarantees that the attachment however is deregistered.

140	272	src/components/ogre/model/Model.cpp

commit 74d175085e41779ea8f05f6c2426221fb031fffd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 31 16:32:09 2009 +0200

    Added a ModelFitting class which represents an attachment which is
    attached to a model bone.

0	1	src/components/ogre/EmberEntity.cpp
2	2	src/components/ogre/model/Makefile.am
0	5	src/components/ogre/model/Model.cpp
2	1	src/components/ogre/model/ModelAttachedAttachment.h
85	1	src/components/ogre/model/ModelAttachment.cpp
27	4	src/components/ogre/model/ModelAttachment.h
61	0	src/components/ogre/model/ModelFitting.cpp
52	0	src/components/ogre/model/ModelFitting.h

commit 9d008d34ab2d0868e58e0f59e2b8a6d70f808a27
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 30 16:59:08 2009 +0200

    Renamed SceneNode* classes to Node* since they use a Node instead.

2	2	src/components/ogre/Avatar.cpp
49	0	src/components/ogre/DelegatingNodeController.cpp
45	0	src/components/ogre/DelegatingNodeController.h
0	49	src/components/ogre/DelegatingSceneNodeController.cpp
0	45	src/components/ogre/DelegatingSceneNodeController.h
5	5	src/components/ogre/Makefile.am
152	0	src/components/ogre/NodeAttachment.cpp
69	0	src/components/ogre/NodeAttachment.h
81	0	src/components/ogre/NodeController.cpp
63	0	src/components/ogre/NodeController.h
0	152	src/components/ogre/SceneNodeAttachment.cpp
0	70	src/components/ogre/SceneNodeAttachment.h
0	81	src/components/ogre/SceneNodeController.cpp
0	63	src/components/ogre/SceneNodeController.h
2	2	src/components/ogre/WorldAttachment.cpp
2	2	src/components/ogre/manipulation/EntityMoveManager.cpp
8	8	src/components/ogre/manipulation/EntityMover.cpp
3	3	src/components/ogre/manipulation/EntityMover.h
2	2	src/components/ogre/model/ModelAttachedAttachment.cpp
8	8	src/components/ogre/model/ModelAttachment.cpp
3	3	src/components/ogre/model/ModelAttachment.h

commit 6d2e5da1b68e668d75ca4f8be39a363d7bb7fb8d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 30 16:53:11 2009 +0200

    If the location has changed for an entity which has been initialized, be
    sure to update the scale of the attachment. This isn't needed for
    entities that are newly created though, since they will recieve a call
    to onBboxChanged later on in the init process.

4	0	src/components/ogre/EmberEntity.cpp

commit 9565168f74b9e8a4bc03ca9523d7d853a3942770
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 30 14:25:20 2009 +0200

    Make sure to detach from existing parent before attaching.

6	2	src/components/ogre/EmberEntity.cpp
6	1	src/components/ogre/SceneNodeProvider.cpp
1	1	src/components/ogre/model/ModelAttachment.cpp
5	1	src/components/ogre/model/ModelBoneProvider.cpp

commit 705387fa0d4745ead23e34c444116617a0bb14b5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 29 01:30:21 2009 +0200

    Use the existing ModelAttachment when there's a Model attached to a
    bone, but with the ModelBoneProvider node provider. This will allow for
    reuse of the existing functionality, but for Models attached to bones.

5	1	src/components/ogre/EmberEntity.cpp
16	7	src/components/ogre/model/ModelAttachment.cpp

commit 655ea3a87c06c87b8af9309d3d48550f86e50565
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 29 00:03:48 2009 +0200

    Fixed incorrect attachment.

1	1	src/components/ogre/model/ModelAttachment.cpp

commit b421f3c4f4f562628d9d9251bdfc46f8c92eb33c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 28 23:54:41 2009 +0200

    Refactor the scene node attachment so that it only deals with Ogre::Node
    instances instead of Ogre::SceneNode instances. This will make it easier
    to handle both scene nodes and bones. Also added a new kind of
    attachment, which is used for models which are attached to bones on
    another models.

1	1	src/components/ogre/AttachmentBase.cpp
1	1	src/components/ogre/AttachmentBase.h
1	1	src/components/ogre/Avatar.cpp
1	1	src/components/ogre/Avatar.h
35	15	src/components/ogre/EmberEntity.cpp
2	0	src/components/ogre/EmberEntity.h
41	0	src/components/ogre/INodeProvider.h
2	2	src/components/ogre/Makefile.am
35	38	src/components/ogre/SceneNodeAttachment.cpp
6	5	src/components/ogre/SceneNodeAttachment.h
60	0	src/components/ogre/SceneNodeProvider.cpp
50	0	src/components/ogre/SceneNodeProvider.h
6	4	src/components/ogre/WorldAttachment.cpp
1	1	src/components/ogre/camera/ThirdPersonCameraMount.cpp
1	1	src/components/ogre/camera/ThirdPersonCameraMount.h
6	4	src/components/ogre/manipulation/EntityMoverBase.cpp
6	2	src/components/ogre/manipulation/EntityMoverBase.h
63	68	src/components/ogre/manipulation/SnapToMovement.cpp
7	2	src/components/ogre/manipulation/SnapToMovement.h
4	2	src/components/ogre/model/Makefile.am
100	0	src/components/ogre/model/ModelAttachedAttachment.cpp
68	0	src/components/ogre/model/ModelAttachedAttachment.h
35	25	src/components/ogre/model/ModelAttachment.cpp
3	4	src/components/ogre/model/ModelAttachment.h
56	0	src/components/ogre/model/ModelBoneProvider.cpp
56	0	src/components/ogre/model/ModelBoneProvider.h
5	12	src/components/ogre/model/ModelMount.cpp
27	51	src/components/ogre/model/ModelMount.h
2	1	src/components/ogre/widgets/EntityCreator.cpp

commit 99acee3b299049b0d79f7da59e47ca08e512852b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 28 19:36:59 2009 +0200

    Adapted the entity mover to the new attachment system, and use a control
    delegate when the entity is being moved.

9	4	src/components/ogre/AttachmentBase.cpp
10	5	src/components/ogre/AttachmentBase.h
5	0	src/components/ogre/DelegatingSceneNodeController.cpp
2	0	src/components/ogre/DelegatingSceneNodeController.h
1	2	src/components/ogre/EmberEntity.cpp
0	5	src/components/ogre/EmberEntity.h
6	0	src/components/ogre/IEntityAttachment.h
9	0	src/components/ogre/SceneNodeAttachment.cpp
2	0	src/components/ogre/SceneNodeAttachment.h
6	0	src/components/ogre/SceneNodeController.cpp
3	0	src/components/ogre/SceneNodeController.h
6	0	src/components/ogre/WorldAttachment.cpp
2	0	src/components/ogre/WorldAttachment.h
35	4	src/components/ogre/manipulation/EntityMover.cpp
24	2	src/components/ogre/manipulation/EntityMover.h

commit 741782add44431f77c86e7b40430872814260b99
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 20:04:17 2009 +0200

    Use references when the values never can be null.

20	24	src/components/ogre/EmberEntityUserObject.cpp
33	32	src/components/ogre/EmberEntityUserObject.h
1	1	src/components/ogre/EntityWorldPickListener.cpp
18	16	src/components/ogre/manipulation/SnapToMovement.cpp
1	1	src/components/ogre/model/ModelRepresentation.cpp

commit 441df00e35ccd28680b24f5a0fadc5178803e0bf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 19:36:44 2009 +0200

    Moved the ICollisionDetector into its own file.

1	0	src/components/ogre/EmberEntityUserObject.cpp
1	48	src/components/ogre/EmberEntityUserObject.h
4	2	src/components/ogre/EntityWorldPickListener.cpp
91	0	src/components/ogre/ICollisionDetector.h
1	1	src/components/ogre/Makefile.am
1	0	src/components/ogre/MeshCollisionDetector.cpp
7	6	src/components/ogre/MeshCollisionDetector.h

commit df1c64341f0026738a87a1ce9a7646d5f1b2b829
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 17:41:23 2009 +0200

    Cleaned up code, fixed inclusion of removed headers and incorrect
    makefiles.

1	9	configure.ac
2	1	src/components/ogre/Avatar.cpp
28	24	src/components/ogre/Avatar.h
1	1	src/components/ogre/EmberEntity.cpp
7	0	src/components/ogre/EmberEntity.h
4	4	src/components/ogre/EmberEntityUserObject.cpp
3	3	src/components/ogre/EmberOgre.cpp
51	41	src/components/ogre/EmberOgre.h
1	0	src/components/ogre/camera/MainCamera.cpp
1	1	src/components/ogre/camera/Makefile.am
22	22	src/components/ogre/environment/CaelumEnvironment.cpp
1	1	src/components/ogre/environment/HydraxWater.cpp
6	4	src/components/ogre/environment/Makefile.am
1	1	src/components/ogre/manipulation/EntityMoverBase.cpp
12	53	src/components/ogre/model/ModelRepresentation.cpp
57	80	src/components/ogre/model/ModelRepresentation.h
4	4	src/components/ogre/model/SubModelPart.h
0	2	src/components/ogre/scripting/bindings/lua/required.h
1	1	src/components/ogre/terrain/TerrainPageGeometry.cpp
1	0	src/main/Makefile.am

commit e3c130c2135d7acc6e3f3587ca7cf9d3ef836a8a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 15:34:08 2009 +0200

    Added docs.

50	18	src/components/ogre/camera/ICameraMount.h
29	18	src/components/ogre/camera/ThirdPersonCameraMount.h

commit dcab4efdf5af43c8784f876ab65111a8b6276873
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 13:03:53 2009 +0200

    Rotate to fit with the WF space. It's not entirely clear to me however
    why we need to rotate the orientation which we send to the server.

2	0	src/components/ogre/Avatar.cpp
11	17	src/components/ogre/camera/ThirdPersonCameraMount.cpp

commit 6ba61bd458d94f2aa1cdb5f8e9c12a11d57c23d6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 12:56:01 2009 +0200

    Make sure to reset the mount upon creation.

2	0	src/components/ogre/model/ModelAttachment.cpp

commit e32e71d0e22ddf54418a56e57716705066a555bc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 26 12:55:50 2009 +0200

    Expose the reset method.

5	5	src/components/ogre/model/ModelMount.cpp
6	5	src/components/ogre/model/ModelMount.h

commit 0a8ddc06e798e51810424dafa01493b33fc6ca1d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 23 22:00:31 2009 +0200

    Detach scene nodes when they aren't visible anymore.

23	2	src/components/ogre/SceneNodeAttachment.cpp
8	1	src/components/ogre/SceneNodeAttachment.h

commit 6cb9e3cbb1623f939877213bbeab192d5aeb6e00
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 22 22:26:05 2009 +0200

    Removed unused code from EmberEntity.

5	276	src/components/ogre/EmberEntity.cpp
3	130	src/components/ogre/EmberEntity.h
0	11	src/components/ogre/IGraphicalRepresentation.h
5	5	src/components/ogre/manipulation/EntityMoveAdjuster.cpp
2	2	src/components/ogre/manipulation/EntityMover.cpp
0	5	src/components/ogre/model/ModelRepresentation.cpp
0	5	src/components/ogre/model/ModelRepresentation.h
1	8	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
0	11	src/components/ogre/scripting/bindings/lua/IGraphicalRepresentation.pkg
0	136	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
42	42	src/components/ogre/widgets/InspectWidget.cpp

commit 3abe7ceca3871cfe8ab7b7bc625e359b35d6dd7b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 21 01:06:51 2009 +0200

    Provide a temporary method for getting attached entities. This will make
    the entity picker work better.

38	32	src/components/ogre/Avatar.h
26	0	src/components/ogre/EmberEntity.cpp
8	0	src/components/ogre/EmberEntity.h
7	2	src/components/ogre/EmberOgre.h
14	0	src/components/ogre/scripting/bindings/lua/Avatar.pkg
1	0	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
14	1	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
192	41	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
2	2	src/components/ogre/widgets/EntityPicker.lua

commit 1815e7c19871206b5a3c6d6e547e5e62c0467d3f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 21 01:05:50 2009 +0200

    Fixed the compass after refactoring, but it's currently not optimal
    since it should use the third person setup for when the camera is in
    third person.

62	62	src/components/ogre/widgets/Compass.h
3	3	src/components/ogre/widgets/Compass.lua

commit f7c78fb537ca5fd1a9c5822c8bb865a0ccf116b6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 23:59:09 2009 +0200

    Listen to entities being added and removed from the avatar entity, and
    trigger the Avatar events for these. This will make the inventory work
    again after the refactoring.

13	1	src/components/ogre/Avatar.cpp
6	1	src/components/ogre/Avatar.h

commit 8d383baaa140f7e01ab64d81377b2df4c8f15099
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 23:36:11 2009 +0200

    Provide default virtual constructors for all interfaces and add better
    docs.

1	0	src/components/ogre/IAnimated.h
1	0	src/components/ogre/IAttachmentControlDelegate.h
21	0	src/components/ogre/ICameraMotionHandler.h
49	0	src/components/ogre/IEntityAttachment.h
6	0	src/components/ogre/IMovable.h
9	0	src/components/ogre/IMovementProvider.h
11	8	src/components/ogre/IWorldPickListener.h
4	0	src/components/ogre/camera/ICameraMount.h

commit 2773ba6057c2946cac11bc2288008365f48ce4d5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 23:35:55 2009 +0200

    Adapt lua to changes.

66	65	src/components/ogre/widgets/Inventory.lua

commit f94bcc9270133a333c5705b7adc4f258d304b7a8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 23:35:35 2009 +0200

    Make sure to delete controller at destruction.

1	0	src/components/ogre/SceneNodeAttachment.cpp

commit a1083ce6258895f4e1b0fc2ddde6f137fd85ae36
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 23:34:59 2009 +0200

    Make sure to delete attachment at destruction.

1	0	src/components/ogre/EmberEntity.cpp

commit fa0d8667faa14f54c142f99553e05ef690c998eb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 22:41:05 2009 +0200

    Provide a method for adding an exception to a log message.
    
    This is useful since it will allow for a unified exception error message output.

1	1	src/components/ogre/AvatarLogger.cpp
1	1	src/components/ogre/EmberOgre.cpp
1	1	src/components/ogre/EntityWorldPickListener.cpp
17	17	src/components/ogre/GUICEGUIAdapter.cpp
8	8	src/components/ogre/GUIManager.cpp
2	2	src/components/ogre/MovementController.cpp
1	1	src/components/ogre/OgreResourceLoader.cpp
10	10	src/components/ogre/ShadowCameraSetup.cpp
1	1	src/components/ogre/SimpleRenderContext.cpp
5	5	src/components/ogre/camera/MainCamera.cpp
3	3	src/components/ogre/camera/Recorder.cpp
2	2	src/components/ogre/environment/Foliage.cpp
2	2	src/components/ogre/environment/Forest.cpp
1	1	src/components/ogre/environment/GrassFoliage.cpp
1	1	src/components/ogre/environment/ShrubberyFoliage.cpp
1	1	src/components/ogre/environment/SimpleWater.cpp
1	1	src/components/ogre/environment/Water.cpp
2	2	src/components/ogre/manipulation/PolygonPoint.cpp
4	3	src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
1	1	src/components/ogre/model/Model.cpp
1	1	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
6	6	src/components/ogre/terrain/TerrainAreaParser.cpp
2	5	src/components/ogre/terrain/TerrainEditor.cpp
1	1	src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
5	5	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
9	9	src/components/ogre/terrain/XMLLayerDefinitionSerializer.cpp
1	1	src/components/ogre/widgets/Compass.cpp
10	10	src/components/ogre/widgets/IconBase.cpp
1	1	src/components/ogre/widgets/LoadingBar.cpp
3	3	src/components/ogre/widgets/MovableObjectRenderer.cpp
1	1	src/components/ogre/widgets/ServerWidget.cpp
45	45	src/components/ogre/widgets/Widget.cpp
9	9	src/components/ogre/widgets/adapters/atlas/AdapterFactory.cpp
1	1	src/components/ogre/widgets/icons/IconRenderer.cpp
15	10	src/framework/LoggingInstance.cpp
11	9	src/framework/LoggingInstance.h
2	2	src/main/Application.cpp
14	17	src/services/scripting/ScriptingService.cpp
58	121	src/services/server/ConnectedAdapter.cpp
66	76	src/services/server/ServerService.cpp
5	5	src/services/time/TimeImpl.cpp

commit 57cb4b206280b17048f59d5599622d694113a1d5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:45:51 2009 +0200

    Cleaned up code and layout a little and make sure to put the window
    topmost.

2	2	src/components/ogre/widgets/IndirectRenderingChecker.layout
7	7	src/components/ogre/widgets/IndirectRenderingChecker.lua

commit 5fb87b93d814d2ce0a93b278eea7866d703a5f55
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:45:42 2009 +0200

    Updated bindings.

12	6	src/components/ogre/scripting/bindings/lua/OgreInfo.pkg
24	96	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 532aa83e4d99f5883d9239c16b9d2795ba2189ea
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:45:25 2009 +0200

    Added docs and made all methods static.

1	1	src/components/ogre/OgreInfo.cpp
17	6	src/components/ogre/OgreInfo.h

commit 381afdc5a98c01f7a2f7fc5c372ade81fa34b662
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:14:48 2009 +0200

    Provide a free flying camera motion handler, and set up the movement
    controller to be able to switch between this and the avatar attached
    mount.

50	0	src/components/ogre/FreeFlyingCameraMotionHandler.cpp
46	0	src/components/ogre/FreeFlyingCameraMotionHandler.h
6	3	src/components/ogre/Makefile.am
48	35	src/components/ogre/MovementController.cpp
13	0	src/components/ogre/MovementController.h

commit e056a623c7a8e122fc04b0608f1ab3d936526355
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:14:35 2009 +0200

    Make sure to constraint the rotation to only be around the z axis.

23	30	src/components/ogre/Avatar.cpp
1	1	src/components/ogre/Avatar.h

commit cadd3212e23f8e3f2ac2ccc7230b2602380f4fd2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:13:17 2009 +0200

    Default to use the complete rotation instead of just around the vertical
    axis.

2	2	src/components/ogre/camera/MainCamera.cpp
1	1	src/components/ogre/camera/MainCamera.h

commit 65941491a5e9bcbb4dbe4caca17d55674d93446a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:12:40 2009 +0200

    Make sure to constraint the rotation to only be around the z axis.

7	5	src/components/ogre/camera/ThirdPersonCameraMount.cpp

commit dc5b1460ab6ab441dbfac2496dd34682ec2b9da8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:11:46 2009 +0200

    Check for the existance of a command before removing it, and log a
    warning if there's none found.

7	2	src/framework/ConsoleBackend.cpp

commit 6b1c16c2af3bf6146a8abc93eb6746096b7df08e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 21:11:22 2009 +0200

    Provide an utility method for creating unique resource names.

14	13	src/components/ogre/OgreInfo.cpp
13	11	src/components/ogre/OgreInfo.h

commit 60ea13e5ec32dbb3e2d1f7916123631adcee1e69
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 20 00:26:55 2009 +0200

    Further expanded on functionality for sending movement updates to the
    server.

75	113	src/components/ogre/Avatar.cpp
13	44	src/components/ogre/Avatar.h
2	2	src/components/ogre/MovementController.cpp
1	0	src/components/ogre/camera/ThirdPersonCameraMount.cpp
0	8	src/components/ogre/scripting/bindings/lua/Avatar.pkg
57	185	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 7cb8014167080bda419a1c025aa2d2c9e91776af
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 22:50:08 2009 +0200

    Listen to the general Ember loop event rather than the Ogre specific frame started
    event.

18	20	src/components/ogre/Avatar.cpp
8	11	src/components/ogre/Avatar.h
1	0	src/components/ogre/AvatarLogger.cpp
2	0	src/components/ogre/WorldEmberEntity.cpp

commit e60a1d51c1b2941d98a2c39a58236f2c7d63b93b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 22:35:37 2009 +0200

    Provide the time since the events last were emitted.

42	22	src/main/Application.cpp
47	38	src/main/Application.h
21	7	src/main/bindings/lua/Application.pkg
70	7	src/main/bindings/lua/lua_Main.cpp

commit 155be3e7a328ad9f59f58c334a8fbfb35b3bbe8f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 22:35:16 2009 +0200

    Remove the walk and run speed, and only provide a max speed instead.

2	4	ember.conf
5	15	src/components/ogre/Avatar.cpp
7	22	src/components/ogre/Avatar.h

commit 362ed95e24b5e13740f7e6f675f884fa3f2bec7d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 22:13:16 2009 +0200

    Allow attachments to be told to update their position from the outside.
    This allows the Avatar class to override the default entity movement
    update mechanism and provide its own entity positions.

4	0	src/components/ogre/AttachmentBase.cpp
2	0	src/components/ogre/AttachmentBase.h
22	7	src/components/ogre/Avatar.cpp
8	3	src/components/ogre/Avatar.h
5	4	src/components/ogre/AvatarAttachmentController.cpp
4	0	src/components/ogre/AvatarAttachmentController.h
2	2	src/components/ogre/AvatarCameraMotionHandler.cpp
1	1	src/components/ogre/AvatarCameraMotionHandler.h
1	1	src/components/ogre/ICameraMotionHandler.h
2	0	src/components/ogre/IEntityAttachment.h
8	8	src/components/ogre/MovementController.cpp
8	0	src/components/ogre/SceneNodeAttachment.cpp
2	0	src/components/ogre/SceneNodeAttachment.h
10	0	src/components/ogre/SceneNodeController.cpp
3	0	src/components/ogre/SceneNodeController.h
3	0	src/components/ogre/WorldAttachment.cpp
2	0	src/components/ogre/WorldAttachment.h
2	2	src/components/ogre/camera/CameraMountBase.cpp
1	1	src/components/ogre/camera/CameraMountBase.h
1	1	src/components/ogre/camera/ICameraMount.h
2	2	src/components/ogre/camera/MainCamera.cpp

commit 9a1445cf0d6c84525d66af66f85da3284213e8c9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 20:53:22 2009 +0200

    Added a camera motion handler which will delegate camera motions
    requests to the Avatar instance, which in turn will ask the entity
    representing the avatar to update its position.

15	11	src/components/ogre/Avatar.cpp
8	12	src/components/ogre/Avatar.h
40	0	src/components/ogre/AvatarCameraMotionHandler.cpp
40	0	src/components/ogre/AvatarCameraMotionHandler.h
6	0	src/components/ogre/EmberOgre.cpp
2	2	src/components/ogre/Makefile.am
1	0	src/components/ogre/camera/MainCamera.cpp
0	5	src/components/ogre/scripting/bindings/lua/Avatar.pkg
0	34	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 85d77134f5d68c269cd0c65b0f4a6f3981017f93
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 20:25:33 2009 +0200

    Added an abstract base class for all attachments that need both a valid
    child and parent entity. Also added an attachment for hidden entities,
    which won't have any graphical representation at all.:

71	0	src/components/ogre/AttachmentBase.cpp
69	0	src/components/ogre/AttachmentBase.h
40	0	src/components/ogre/HiddenAttachment.cpp
51	0	src/components/ogre/HiddenAttachment.h
2	2	src/components/ogre/Makefile.am
17	43	src/components/ogre/SceneNodeAttachment.cpp
5	26	src/components/ogre/SceneNodeAttachment.h
18	26	src/components/ogre/model/ModelAttachment.cpp
7	2	src/components/ogre/model/ModelAttachment.h

commit bc949c25447f9bb21706a6bb074cb9f039052ab4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 18:13:39 2009 +0200

    Fixed icorrect logic where model attachments were created when they
    shouldn't be.

1	1	src/components/ogre/model/ModelAttachment.cpp

commit bb9e4ac1aad278bafacf559754cc6ff88df3e999
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 17:53:06 2009 +0200

    Removed references to EmberPhysicalEntity and AvatarEmberEntity as these
    are obsolete classes.

0	2	src/components/ogre/Avatar.cpp
0	2	src/components/ogre/Avatar.h
0	2	src/components/ogre/AvatarEmberEntity.cpp
0	2	src/components/ogre/AvatarLogger.cpp
0	1	src/components/ogre/AvatarLogger.h
0	8	src/components/ogre/EmberEntity.h
6	2	src/components/ogre/EmberEntityFactory.cpp
1	2	src/components/ogre/EmberEntityFactory.h
4	6	src/components/ogre/EmberOgre.cpp
3	5	src/components/ogre/EmberOgre.h
0	2	src/components/ogre/EmberPhysicalEntity.h
1	4	src/components/ogre/GUIManager.cpp
1	2	src/components/ogre/GUIManager.h
0	1	src/components/ogre/IGraphicalRepresentation.h
2	2	src/components/ogre/Makefile.am
5	8	src/components/ogre/MousePicker.cpp
2	2	src/components/ogre/manipulation/EntityMover.cpp
2	2	src/components/ogre/manipulation/EntityMoverBase.cpp
0	2	src/components/ogre/model/ModelRepresentation.h
0	7	src/components/ogre/scripting/bindings/lua/AvatarEmberEntity.pkg
1	2	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
0	1	src/components/ogre/scripting/bindings/lua/IGraphicalRepresentation.pkg
0	4	src/components/ogre/scripting/bindings/lua/PersonEmberEntity.pkg
13	8	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
2	2	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
1	1	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg
15	15	src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp
0	36	src/components/ogre/scripting/bindings/lua/helpers/required.h
44	83	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
0	3	src/components/ogre/scripting/bindings/lua/required.h
49	49	src/components/ogre/sound/SoundEntity.cpp
17	17	src/components/ogre/sound/SoundEntity.h
0	2	src/components/ogre/terrain/TerrainEditor.cpp
1	1	src/components/ogre/widgets/Admin.lua
1	1	src/components/ogre/widgets/Chat.lua
1	3	src/components/ogre/widgets/EntityCreator.cpp
2	2	src/components/ogre/widgets/Give.lua
1	1	src/components/ogre/widgets/Help.cpp
1	1	src/components/ogre/widgets/Help.h
0	1	src/components/ogre/widgets/IngameChatWidget.cpp
0	224	src/components/ogre/widgets/InventoryWidget.cpp
0	100	src/components/ogre/widgets/InventoryWidget.h
112	115	src/components/ogre/widgets/JesusEdit.cpp
1	2	src/components/ogre/widgets/MakeEntityWidget.cpp
17	18	src/components/ogre/widgets/MakeEntityWidget.h
7	7	src/components/ogre/widgets/icons/IconManager.cpp

commit 906fc73df142ab9f37a9a346144a83fabe5674d5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 17:00:06 2009 +0200

    Moved the camera classes to their own "Camera" namespace.

1	0	configure.ac
3	2	src/components/ogre/Avatar.cpp
0	1261	src/components/ogre/AvatarCamera.cpp
0	776	src/components/ogre/AvatarCamera.h
0	1	src/components/ogre/AvatarTerrainCursor.cpp
4	5	src/components/ogre/EmberOgre.cpp
5	7	src/components/ogre/EmberOgre.h
1	1	src/components/ogre/GUIManager.cpp
3	3	src/components/ogre/Makefile.am
2	2	src/components/ogre/MousePicker.cpp
0	3	src/components/ogre/MovementController.cpp
0	1	src/components/ogre/WorldEmberEntity.cpp
79	0	src/components/ogre/camera/CameraMountBase.cpp
77	0	src/components/ogre/camera/CameraMountBase.h
26	0	src/components/ogre/camera/FirstPersonCameraMount.cpp
41	0	src/components/ogre/camera/FirstPersonCameraMount.h
78	0	src/components/ogre/camera/ICameraMount.h
428	0	src/components/ogre/camera/MainCamera.cpp
236	0	src/components/ogre/camera/MainCamera.h
7	0	src/components/ogre/camera/Makefile.am
84	0	src/components/ogre/camera/Recorder.cpp
45	0	src/components/ogre/camera/Recorder.h
167	0	src/components/ogre/camera/ThirdPersonCameraMount.cpp
126	0	src/components/ogre/camera/ThirdPersonCameraMount.h
0	1	src/components/ogre/environment/Forest.cpp
0	1	src/components/ogre/environment/GrassFoliage.cpp
0	1	src/components/ogre/environment/ShrubberyFoliage.cpp
1	1	src/components/ogre/manipulation/MovementAdapter.cpp
0	60	src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg
2	2	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
60	0	src/components/ogre/scripting/bindings/lua/MainCamera.pkg
112	109	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/scripting/bindings/lua/required.h
1	1	src/components/ogre/terrain/TerrainEditor.cpp
0	1	src/components/ogre/terrain/TerrainGenerator.cpp
0	1	src/components/ogre/widgets/Compass.cpp
0	1	src/components/ogre/widgets/EntityCreator.cpp
1	1	src/components/ogre/widgets/IngameChatWidget.cpp
0	1	src/components/ogre/widgets/MeshPreview.cpp
1	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
1	0	src/main/Makefile.am

commit 158ee84f27a250eb4a9e831ef01afe72df66ba2b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 15:59:32 2009 +0200

    Disable build of carpenter.

2	1	src/components/Makefile.am

commit a3185702a9c07aefcfd3116ac5ee961c47e8fb58
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 15:59:02 2009 +0200

    Moved to a more suitable place, even though it's not used currently.

1	1	configure.ac
1	1	src/components/Makefile.am
437	0	src/components/carpenter/BluePrint.cpp
253	0	src/components/carpenter/BluePrint.h
148	0	src/components/carpenter/Carpenter.cpp
220	0	src/components/carpenter/Carpenter.h
21	0	src/components/carpenter/Makefile.am
211	0	src/components/carpenter/blockspec/adapters.blockspec.xml
111	0	src/components/carpenter/blockspec/fences.blockspec.xml
268	0	src/components/carpenter/blockspec/floors.blockspec.xml
54	0	src/components/carpenter/blockspec/roofs.blockspec.xml
49	0	src/components/carpenter/blockspec/slopewalls.blockspec.xml
297	0	src/components/carpenter/blockspec/walls.blockspec.xml
6	0	src/components/carpenter/blueprints/empty.blueprint.xml
137	0	src/components/carpenter/blueprints/house.blueprint.xml
35	0	src/components/carpenter/blueprints/sty.blueprint.xml
26	0	src/components/carpenter/modelblockspecs/general.modelblocks.xml
0	432	src/components/ogre/carpenter/BluePrint.cpp
0	255	src/components/ogre/carpenter/BluePrint.h
0	148	src/components/ogre/carpenter/Carpenter.cpp
0	223	src/components/ogre/carpenter/Carpenter.h
0	21	src/components/ogre/carpenter/Makefile.am
0	211	src/components/ogre/carpenter/blockspec/adapters.blockspec.xml
0	111	src/components/ogre/carpenter/blockspec/fences.blockspec.xml
0	268	src/components/ogre/carpenter/blockspec/floors.blockspec.xml
0	54	src/components/ogre/carpenter/blockspec/roofs.blockspec.xml
0	49	src/components/ogre/carpenter/blockspec/slopewalls.blockspec.xml
0	297	src/components/ogre/carpenter/blockspec/walls.blockspec.xml
0	6	src/components/ogre/carpenter/blueprints/empty.blueprint.xml
0	137	src/components/ogre/carpenter/blueprints/house.blueprint.xml
0	35	src/components/ogre/carpenter/blueprints/sty.blueprint.xml
0	26	src/components/ogre/carpenter/modelblockspecs/general.modelblocks.xml

commit 42482865c83516fff67fba246664d513ac31ec54
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 15:52:04 2009 +0200

    Removed unused directory.

0	7	src/components/ogre/input/Makefile.am

commit b8495f2e8950348fc6ba1b83fbc73306cd5366d6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 15:44:49 2009 +0200

    Moved the cegui data files to a more suitable location.

1	1	configure.ac
1	1	src/components/Makefile.am
20	0	src/components/cegui/Makefile.am
28	0	src/components/cegui/datafiles/configs/CEGUIConfig.xsd
6	0	src/components/cegui/datafiles/configs/cegui.config
124	0	src/components/cegui/datafiles/fonts/COPYRIGHT.TXT
2	0	src/components/cegui/datafiles/fonts/DejaVuSans-10.xml
2	0	src/components/cegui/datafiles/fonts/DejaVuSans-14.xml
2	0	src/components/cegui/datafiles/fonts/DejaVuSans-8.xml
2	0	src/components/cegui/datafiles/fonts/DejaVuSans-Bold-10.xml
2	0	src/components/cegui/datafiles/fonts/DejaVuSans-Bold-8.xml
34	0	src/components/cegui/datafiles/fonts/Font.xsd
178	0	src/components/cegui/datafiles/imagesets/EmberLook.imageset
28	0	src/components/cegui/datafiles/imagesets/Imageset.xsd
4	0	src/components/cegui/datafiles/imagesets/compass.imageset
6	0	src/components/cegui/datafiles/imagesets/iconset_mason.imageset
13	0	src/components/cegui/datafiles/imagesets/iconset_standard.imageset
5	0	src/components/cegui/datafiles/imagesets/status_main.imageset
63	0	src/components/cegui/datafiles/layouts/GUILayout.xsd
4966	0	src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
399	0	src/components/cegui/datafiles/looknfeel/Falagard.xsd
3546	0	src/components/cegui/datafiles/looknfeel/TaharezLook.looknfeel
905	0	src/components/cegui/datafiles/looknfeel/Vanilla.looknfeel
3707	0	src/components/cegui/datafiles/looknfeel/WindowsLook.looknfeel
61	0	src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
54	0	src/components/cegui/datafiles/schemes/GUIScheme.xsd
1	1	src/components/ogre/Makefile.am
0	20	src/components/ogre/cegui/Makefile.am
0	28	src/components/ogre/cegui/datafiles/configs/CEGUIConfig.xsd
0	6	src/components/ogre/cegui/datafiles/configs/cegui.config
0	124	src/components/ogre/cegui/datafiles/fonts/COPYRIGHT.TXT
0	2	src/components/ogre/cegui/datafiles/fonts/DejaVuSans-10.xml
0	2	src/components/ogre/cegui/datafiles/fonts/DejaVuSans-14.xml
0	2	src/components/ogre/cegui/datafiles/fonts/DejaVuSans-8.xml
0	2	src/components/ogre/cegui/datafiles/fonts/DejaVuSans-Bold-10.xml
0	2	src/components/ogre/cegui/datafiles/fonts/DejaVuSans-Bold-8.xml
0	34	src/components/ogre/cegui/datafiles/fonts/Font.xsd
0	178	src/components/ogre/cegui/datafiles/imagesets/EmberLook.imageset
0	28	src/components/ogre/cegui/datafiles/imagesets/Imageset.xsd
0	4	src/components/ogre/cegui/datafiles/imagesets/compass.imageset
0	6	src/components/ogre/cegui/datafiles/imagesets/iconset_mason.imageset
0	13	src/components/ogre/cegui/datafiles/imagesets/iconset_standard.imageset
0	5	src/components/ogre/cegui/datafiles/imagesets/status_main.imageset
0	63	src/components/ogre/cegui/datafiles/layouts/GUILayout.xsd
0	4966	src/components/ogre/cegui/datafiles/looknfeel/EmberLook.looknfeel
0	399	src/components/ogre/cegui/datafiles/looknfeel/Falagard.xsd
0	3546	src/components/ogre/cegui/datafiles/looknfeel/TaharezLook.looknfeel
0	905	src/components/ogre/cegui/datafiles/looknfeel/Vanilla.looknfeel
0	3707	src/components/ogre/cegui/datafiles/looknfeel/WindowsLook.looknfeel
0	61	src/components/ogre/cegui/datafiles/schemes/EmberLookSkin.scheme
0	54	src/components/ogre/cegui/datafiles/schemes/GUIScheme.xsd

commit 2562ae0012fe84b4e1528cc14ed3c0477fbf5ace
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 19 15:31:56 2009 +0200

    Further refactoring of the camera system. There's now one MainCamera
    class which can be hooked up to different kinds of mounts (first person,
    third person etc.) and can have different types of reaction when the
    user tries to move (moving the camera independently, moving the avatar
    etc.).

6	6	ember.conf
141	144	src/components/ogre/Avatar.cpp
10	18	src/components/ogre/Avatar.h
875	402	src/components/ogre/AvatarCamera.cpp
503	392	src/components/ogre/AvatarCamera.h
0	365	src/components/ogre/AvatarController.cpp
0	248	src/components/ogre/AvatarController.h
6	6	src/components/ogre/AvatarTerrainCursor.cpp
2	4	src/components/ogre/AvatarTerrainCursor.h
15	10	src/components/ogre/EmberOgre.cpp
8	7	src/components/ogre/EmberOgre.h
2	2	src/components/ogre/GUIManager.cpp
3	3	src/components/ogre/GUIManager.h
39	0	src/components/ogre/ICameraMotionHandler.h
37	0	src/components/ogre/IMovementProvider.h
3	3	src/components/ogre/Makefile.am
10	9	src/components/ogre/MousePicker.cpp
283	0	src/components/ogre/MovementController.cpp
193	0	src/components/ogre/MovementController.h
2	2	src/components/ogre/scripting/bindings/lua/Avatar.pkg
27	86	src/components/ogre/scripting/bindings/lua/AvatarCamera.pkg
0	75	src/components/ogre/scripting/bindings/lua/AvatarController.pkg
4	4	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
42	0	src/components/ogre/scripting/bindings/lua/MovementController.pkg
31	31	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.cpp
47	47	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.h
1	1	src/components/ogre/scripting/bindings/lua/helpers/LuaConnector.pkg
5	5	src/components/ogre/scripting/bindings/lua/helpers/lua_Helpers.cpp
1	1	src/components/ogre/scripting/bindings/lua/helpers/required.h
245	1039	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/scripting/bindings/lua/required.h
2	2	src/components/ogre/widgets/EntityPicker.lua
1	1	src/components/ogre/widgets/IngameChatWidget.cpp
11	6	src/components/ogre/widgets/MainIconBar.lua

commit c84f5b2610253c892e216f4a7dbe6d2bfb47ca6d
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu Aug 14 00:49:08 2008 +0200

    Initial refactoring of the camera class and interfaces.

83	2	src/components/ogre/AvatarCamera.cpp
107	12	src/components/ogre/AvatarCamera.h

commit ac27fd7bbbf00d4467effb67c03f87dfd1382bc0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 22:02:13 2009 +0200

    Refactored the way the Avatar system is set up. We now don't use the
    AvatarEmberEntity, instead relying on the new attachment system with its
    delegates.

80	76	src/components/ogre/Avatar.cpp
15	44	src/components/ogre/Avatar.h
48	0	src/components/ogre/AvatarAttachmentController.cpp
46	0	src/components/ogre/AvatarAttachmentController.h
1	2	src/components/ogre/AvatarCamera.cpp
1	1	src/components/ogre/AvatarCamera.h
6	8	src/components/ogre/AvatarController.cpp
1	1	src/components/ogre/AvatarController.h
5	5	src/components/ogre/AvatarEmberEntity.cpp
1	1	src/components/ogre/AvatarEmberEntity.h
11	20	src/components/ogre/AvatarLogger.cpp
14	20	src/components/ogre/AvatarLogger.h
107	93	src/components/ogre/EmberEntity.cpp
11	4	src/components/ogre/EmberEntity.h
5	12	src/components/ogre/EmberEntityFactory.cpp
1	1	src/components/ogre/EmberEntityFactory.h
23	17	src/components/ogre/EmberOgre.cpp
7	1	src/components/ogre/EmberOgre.h
1	1	src/components/ogre/GUIManager.cpp
1	1	src/components/ogre/GUIManager.h
2	2	src/components/ogre/IAttachmentControlDelegate.h
1	1	src/components/ogre/IEntityAttachment.h
2	2	src/components/ogre/Makefile.am
9	2	src/components/ogre/SceneNodeAttachment.cpp
3	1	src/components/ogre/SceneNodeAttachment.h
1	1	src/components/ogre/WorldAttachment.cpp
1	1	src/components/ogre/WorldAttachment.h
26	26	src/components/ogre/WorldEmberEntity.cpp
6	7	src/components/ogre/environment/EmberEntityLoader.cpp
2	2	src/components/ogre/environment/Forest.cpp
17	17	src/components/ogre/environment/GrassFoliage.cpp
2	2	src/components/ogre/environment/ShrubberyFoliage.cpp
12	7	src/components/ogre/manipulation/EntityMoveManager.cpp
8	7	src/components/ogre/manipulation/EntityMover.cpp
3	3	src/components/ogre/manipulation/EntityMover.h
1	1	src/components/ogre/scripting/bindings/lua/Avatar.pkg
0	6	src/components/ogre/scripting/bindings/lua/AvatarEmberEntity.pkg
0	2	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
1	1	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
11	78	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
1	1	src/components/ogre/terrain/TerrainEditor.cpp
1	1	src/components/ogre/terrain/TerrainGenerator.cpp
10	10	src/components/ogre/widgets/EntityCreator.cpp
1	1	src/components/ogre/widgets/EntityPicker.lua
12	15	src/components/ogre/widgets/Help.cpp
12	12	src/components/ogre/widgets/Help.h
2	2	src/components/ogre/widgets/IngameChatWidget.cpp
1	1	src/components/ogre/widgets/InventoryWidget.cpp
7	7	src/components/ogre/widgets/MakeEntityWidget.cpp
2	2	src/components/ogre/widgets/MeshPreview.cpp
35	26	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit 1cb3887dfbd63fe16c7c2350dec8d5e53cf37315
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 17:14:26 2009 +0200

    Provide a controller for scene node attachment which uses the control
    delegate.

44	0	src/components/ogre/DelegatingSceneNodeController.cpp
43	0	src/components/ogre/DelegatingSceneNodeController.h
9	0	src/components/ogre/IAttachmentControlDelegate.h
7	4	src/components/ogre/Makefile.am
2	1	src/components/ogre/SceneNodeAttachment.cpp

commit 48264a193029e5618bd7314d0a82f0a104a0bb85
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 16:47:09 2009 +0200

    Make sure that entities which have no bbox still update their graphical
    representation.

5	0	src/components/ogre/EmberEntity.cpp
20	0	src/components/ogre/EmberEntity.h

commit 290fa067dab351f12bccbf6d1d0ca6be80c0f5df
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 16:23:14 2009 +0200

    Let the update of the scene node attachment happen through a controller,
    so that it directed differently when the entity is controlled by the
    user. This will allow for a more elegant solution than the current one,
    and will make it possible for the user to switch in game which entity
    should be controlled.

31	0	src/components/ogre/IAttachmentControlDelegate.h
3	0	src/components/ogre/IEntityAttachment.h
3	3	src/components/ogre/Makefile.am
0	150	src/components/ogre/OgreAttachment.cpp
0	76	src/components/ogre/OgreAttachment.h
134	0	src/components/ogre/SceneNodeAttachment.cpp
77	0	src/components/ogre/SceneNodeAttachment.h
65	0	src/components/ogre/SceneNodeController.cpp
57	0	src/components/ogre/SceneNodeController.h
6	2	src/components/ogre/WorldAttachment.cpp
2	0	src/components/ogre/WorldAttachment.h
11	11	src/components/ogre/model/ModelAttachment.cpp
3	3	src/components/ogre/model/ModelAttachment.h

commit a0dd1dcd5682a180de7d78d0bb63f6dbfe321e32
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 14:30:55 2009 +0200

    Added adjustment feature to the attachment, so that the graphical
    representation can be adjusted to better fit with what's shown (for
    example snapping to the ground).

3	3	src/components/ogre/AvatarEmberEntity.cpp
16	1	src/components/ogre/IEntityAttachment.h
16	1	src/components/ogre/OgreAttachment.cpp
2	0	src/components/ogre/OgreAttachment.h
15	3	src/components/ogre/WorldAttachment.cpp
9	1	src/components/ogre/WorldAttachment.h
1	1	src/components/ogre/WorldEmberEntity.cpp

commit 0143358635e7c33de9f330022a5a8a53c0f73670
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 13:11:35 2009 +0200

    Updated bindings.

0	15	src/components/ogre/scripting/bindings/lua/MotionManager.pkg
0	140	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 5d3f661194dbbee5be6e58b58f69393067074687
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 13:11:23 2009 +0200

    Adapted to changes in MotionManager.

4	4	src/components/ogre/model/ModelRepresentation.cpp
1	1	src/components/ogre/model/ModelRepresentation.h

commit c7611962bad5889a9c1a69cc9a04c135f330fae9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 13:10:02 2009 +0200

    Introduced the concept of attachments being able to transfer themselves
    to other attachments without requiring that the scene nodes are
    destroyed and recreated. Currently it's using dynamic_cast which isn't
    cmopletely optimal.

1	1	src/components/ogre/IGraphicalRepresentation.h
1	1	src/components/ogre/Makefile.am
49	1	src/components/ogre/OgreAttachment.cpp
12	1	src/components/ogre/OgreAttachment.h
29	2	src/components/ogre/model/ModelAttachment.cpp
5	1	src/components/ogre/model/ModelAttachment.h

commit 417cbfd5cbc3554c87f17e4b721337d33274ca9e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 13:08:19 2009 +0200

    Removed the usage of the motion manager, since this should happen on the
    attachment instead.

19	22	src/components/ogre/EmberEntity.cpp

commit e5599f7173275063017de326dbcbf8ea2ca05d0e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 18 13:01:42 2009 +0200

    Separated the interfaces into their own files, and cleaned up the
    manager to remove the hard connections to entities, and added better
    docs.

43	0	src/components/ogre/IAnimated.h
45	0	src/components/ogre/IMovable.h
12	11	src/components/ogre/MotionManager.cpp
49	37	src/components/ogre/MotionManager.h

commit 1fb28f9d0c7f266ff2f3c934bc1c195c662b8c0a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 21:14:40 2009 +0200

    Updated bindings.

1	1	src/components/ogre/scripting/bindings/lua/AvatarEmberEntity.pkg
54	55	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit b2f86762573d086dd8c5ada45d99fed08632cf96
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:10:50 2009 +0200

    Updated bindings.

1	1	src/components/ogre/scripting/bindings/lua/ModelRepresentation.pkg
0	33	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit a693901e3685ed5b1a641d44fb8432f78469cc10
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:09:45 2009 +0200

    The model mount is now handled by the appropriate attachment. This means
    that in some instances, like when entities are attached to bones, it
    won't be needed at all.

45	40	src/components/ogre/model/ModelRepresentation.cpp
4	6	src/components/ogre/model/ModelRepresentation.h

commit 8ef2b927b68d79adc0c429876922285fa31266c0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:08:51 2009 +0200

    Started to offload attachment duties to the actual attachment classes.

72	45	src/components/ogre/EmberEntity.cpp
7	0	src/components/ogre/EmberEntity.h
9	4	src/components/ogre/WorldEmberEntity.cpp

commit ab8a745807d8d51be9595c9bf418ee4117c6cef1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:07:48 2009 +0200

    Temporarily disable the forest while attachment is sorted.

2	1	src/components/ogre/environment/EmberEntityLoader.cpp

commit c2ff9027a9d23130a523b7bdae36a53f14281415
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:07:05 2009 +0200

    Added a couple of basic attachment types.

3	3	src/components/ogre/Makefile.am
87	0	src/components/ogre/OgreAttachment.cpp
63	0	src/components/ogre/OgreAttachment.h
78	0	src/components/ogre/WorldAttachment.cpp
60	0	src/components/ogre/WorldAttachment.h
2	2	src/components/ogre/model/Makefile.am
80	0	src/components/ogre/model/ModelAttachment.cpp
62	0	src/components/ogre/model/ModelAttachment.h

commit 6b9fdc354891534182bdd4b0934bbcfe8d99bbcf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 00:04:52 2009 +0200

    Added the concept of an attachment, which is an object which attaches a
    graphical representation of an entity to a parent entity.
    This will in most cases use the basic Ogre scene graph for attachment,
    but will allow us much more flexibility in doing attachment for meshes
    that are attached to bones, or more complex things like dynamic ropes
    etc.

44	0	src/components/ogre/IEntityAttachment.h

commit 9ca5b469547d5a05488b041312985b01b354c078
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 20:30:27 2009 +0200

    Removed references to EmberPhysicalEntity.

0	9	src/components/ogre/widgets/EntityEditor.lua

commit ea3d24a9de52f4433f04c9ef9943337829706b97
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:43:41 2009 +0200

    Temporarily disable the graphics for the world. In the longer run we
    want to remove the need for the WorldEmberEntity and instead represent
    the world as a IGraphicalRepresentation.

1	0	src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit fee6bf54939bf94db2900099082c90b9f8ba5b70
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:35:23 2009 +0200

    Use the ModelRepresentation instead of the deprecated
    EmberPhysicalEntity to get the model.

3	3	src/components/ogre/widgets/Status.lua

commit 5c3c7fd377fc89f3c154b9147c7ab31a952da3eb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:35:13 2009 +0200

    Updated bindings.

0	2	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
4	0	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
629	92	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 7d85707163c3c92dd0dcb757857fbfa0259f7098
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:34:44 2009 +0200

    Added file missed in previous commit.

15	3	src/components/ogre/model/ModelRepresentation.h

commit 46667cd6933a615d99f735ec24bf774ed71531fb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:33:58 2009 +0200

    Removed the methods for getting bounding boxes and spheres from the
    EmberEntity, since they only make sense for the actual model
    representation.

1	16	src/components/ogre/EmberEntity.cpp
0	15	src/components/ogre/EmberEntity.h
1	1	src/components/ogre/model/ModelRepresentation.cpp
1	1	src/components/ogre/model/ModelRepresentationManager.cpp
1	1	src/components/ogre/model/ModelRepresentationManager.h

commit 3f314f576a038f1140307da0eacf7f869c2da078
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 19:32:36 2009 +0200

    Updated lua bindings.

0	23	src/components/ogre/scripting/bindings/lua/EmberPhysicalEntity.pkg
74	0	src/components/ogre/scripting/bindings/lua/IGraphicalRepresentation.pkg
98	0	src/components/ogre/scripting/bindings/lua/ModelRepresentation.pkg
38	0	src/components/ogre/scripting/bindings/lua/ModelRepresentationManager.pkg

commit f21381bf0cf047d936a17f2a5be886e150486f05
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 00:20:34 2009 +0200

    Added docs.

3	0	src/components/ogre/EmberEntity.cpp
68	5	src/components/ogre/EmberEntity.h
17	0	src/components/ogre/IGraphicalRepresentation.h
1	1	src/components/ogre/model/ModelRepresentation.cpp
59	10	src/components/ogre/model/ModelRepresentation.h
0	1	src/components/ogre/terrain/TerrainGenerator.cpp

commit 3f8d35227e1c5587bd8498e35f6106b2ac2af208
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 15 00:19:41 2009 +0200

    Use instances of ModelRepresentation throughout instead of EmberEntity,
    since only the former will have ability to get world bounding box and
    spheres.

19	18	src/components/ogre/widgets/IngameChatWidget.cpp
5	5	src/components/ogre/widgets/IngameChatWidget.h

commit 0a4ee667423d305fe1d481e28e9e71b2b4fa66fc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 14 22:34:51 2009 +0200

    Moved ModelMount to the Model namespace where it belong, and cleaned up
    in EmberOgre.

4	16	src/components/ogre/EmberOgre.cpp
18	31	src/components/ogre/EmberOgre.h
2	2	src/components/ogre/Makefile.am
0	173	src/components/ogre/ModelMount.cpp
0	142	src/components/ogre/ModelMount.h
2	2	src/components/ogre/model/Makefile.am
177	0	src/components/ogre/model/ModelMount.cpp
147	0	src/components/ogre/model/ModelMount.h
1	1	src/components/ogre/model/ModelRepresentation.cpp
2	2	src/components/ogre/model/ModelRepresentation.h
1	3	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
4	67	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
3	2	src/components/ogre/widgets/EntityCreator.cpp
3	1	src/components/ogre/widgets/EntityCreator.h

commit 958bc2743be98856a71021f28a44a9a8d35c5e4c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 14 22:04:21 2009 +0200

    Refactored the entity hierarchy so that it's more shallow, and that the
    graphical representation of an entity now is handled through an instance
    of IGraphicalRepresentation rather than the EmberPhysicalEntity class.
    Initially we'll provide the ModelRepresentation class which performs the
    duties of the EmberPhysicalEntity class.
    Currently the attachment of entities on to a model is broken.

1	1	src/components/ogre/Avatar.cpp
35	33	src/components/ogre/AvatarEmberEntity.cpp
18	17	src/components/ogre/AvatarEmberEntity.h
67	16	src/components/ogre/EmberEntity.cpp
28	2	src/components/ogre/EmberEntity.h
2	1	src/components/ogre/EmberEntityActionCreator.cpp
4	3	src/components/ogre/EmberEntityActionCreator.h
1	43	src/components/ogre/EmberEntityFactory.cpp
0	5	src/components/ogre/EmberEntityFactory.h
6	6	src/components/ogre/EmberEntityHideModelAction.cpp
4	4	src/components/ogre/EmberEntityHideModelAction.h
34	9	src/components/ogre/EmberEntityModelAction.cpp
3	3	src/components/ogre/EmberEntityModelAction.h
16	8	src/components/ogre/EmberEntityPartAction.cpp
3	3	src/components/ogre/EmberEntityPartAction.h
6	1	src/components/ogre/EmberOgre.cpp
3	0	src/components/ogre/EmberOgre.h
29	29	src/components/ogre/EmberPhysicalEntity.cpp
0	5	src/components/ogre/EmberPhysicalEntity.h
66	0	src/components/ogre/IGraphicalRepresentation.h
2	2	src/components/ogre/Makefile.am
5	6	src/components/ogre/MotionManager.cpp
15	10	src/components/ogre/MotionManager.h
39	36	src/components/ogre/environment/EmberEntityLoader.cpp
40	37	src/components/ogre/environment/EmberEntityLoader.h
12	12	src/components/ogre/environment/Forest.cpp
14	10	src/components/ogre/environment/Forest.h
2	2	src/components/ogre/model/Makefile.am
785	0	src/components/ogre/model/ModelRepresentation.cpp
328	0	src/components/ogre/model/ModelRepresentation.h
62	0	src/components/ogre/model/ModelRepresentationManager.cpp
47	0	src/components/ogre/model/ModelRepresentationManager.h
0	1	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
18	2	src/components/ogre/scripting/bindings/lua/MotionManager.pkg
91	243	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
2	2	src/components/ogre/widgets/EntityPicker.lua
60	57	src/components/ogre/widgets/IngameChatWidget.cpp
7	5	src/components/ogre/widgets/IngameChatWidget.h
44	45	src/components/ogre/widgets/icons/IconManager.cpp

commit bed767dd560b6971f841a33831e9ea3081547fc5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 17 21:23:46 2009 +0200

    Set up the size of one page in indices at startup, to prevent a crash
    when there's no terrain present on the server.

1	2	src/components/ogre/terrain/TerrainGenerator.cpp
2	2	src/components/ogre/terrain/TerrainInfo.cpp
18	13	src/components/ogre/terrain/TerrainInfo.h

commit 0955a224b18c5fbd469251be52ba07dc3392a075
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Thu Jul 16 01:08:03 2009 +0400

    Calling EmberOgre::Convert as a class from Lua.

3	3	src/components/ogre/widgets/EntityPicker.lua
1	1	src/components/ogre/widgets/PickingInfo.lua

commit 6a2802e1f7bd78f75d9c091dbb5bf8b20821efc8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 10 00:53:40 2009 +0200

    Removed unused macros.

0	145	acinclude.m4

commit 6ad3680309e498b2fccc2bad4688359a66436b6e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 10 00:42:39 2009 +0200

    Removed unused macros. I couldn't remove libtool though since I got some
    strange errors when running configure then.

0	2	autogen.sh
7	6	configure.ac

commit 7061a406c9037e3aad60b4e18e4697acf2d16445
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 9 23:54:13 2009 +0200

    Added ability to automatically connect to a server through the
    metaserver:autoconnect value.

3	0	ember.conf
11	0	src/components/ogre/widgets/ServerBrowser.lua

commit cf3ac51c54c3c462a7b9d72f7faaa8a938247af4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 9 23:52:52 2009 +0200

    Added lua support for varconf values.

1	0	configure.ac
2	0	src/components/ogre/scripting/LuaScriptingProvider.cpp
1	1	src/framework/bindings/lua/Makefile.am
9	0	src/framework/bindings/lua/varconf/Makefile.am
2	0	src/framework/bindings/lua/varconf/Varconf.pkg
390	0	src/framework/bindings/lua/varconf/lua_Varconf.cpp
3	0	src/framework/bindings/lua/varconf/update.sh
50	0	src/framework/bindings/lua/varconf/variable.pkg
1	0	src/main/Makefile.am

commit 4a0454b382442b5fde0aad4bb91f2f760915f030
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 23:48:48 2009 +0200

    Make it parse movement mode even for the avatar.

18	17	src/components/ogre/AvatarEmberEntity.cpp

commit 6a3285b371d5a1f3fc52ee3c0db19924a0378227
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 22:09:47 2009 +0200

    Split movement and position mode up into two different concepts.

44	32	src/components/ogre/EmberEntity.cpp
55	19	src/components/ogre/EmberEntity.h
4	4	src/components/ogre/EmberPhysicalEntity.cpp
1	1	src/components/ogre/EmberPhysicalEntity.h
1	1	src/components/ogre/WorldEmberEntity.cpp
22	8	src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
37	4	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit d5b31da04e722268202b36d0e5cd55a00028ea13
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 8 00:03:04 2009 +0200

    Fixed incorrect usage of sizeof and the usage of the pointer.

4	2	src/components/ogre/terrain/TerrainPageGeometry.cpp

commit f2a2c6bc5adf513fe9c2975cde75363afed8652b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 23:26:59 2009 +0200

    Spelling.

1	1	src/components/ogre/terrain/TerrainPageGeometry.cpp

commit 9c7d3eb0c57db78b59c428de604605c1f71750d3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 23:21:43 2009 +0200

    Move the definition of the default height to the terrain classes. This
    could be made more optimized though.

1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
1	1	src/components/ogre/terrain/TerrainPage.cpp
8	3	src/components/ogre/terrain/TerrainPageGeometry.cpp
6	1	src/components/ogre/terrain/TerrainPageGeometry.h

commit 8d0b614e42272062f09435600a6db69b57136d04
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 22:53:40 2009 +0200

    Removed setting not needed as we're not building shared libs.

0	1	src/components/ogre/Makefile.am
0	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am
1	1	src/components/ogre/carpenter/Makefile.am
1	1	src/components/ogre/widgets/Makefile.am
0	1	src/components/ogre/widgets/adapters/Makefile.am
0	1	src/components/ogre/widgets/adapters/atlas/Makefile.am
0	1	src/framework/Makefile.am
0	1	src/framework/bindings/lua/atlas/Makefile.am

commit 01c7338be5f3001d33ebb29b6b3d653caacb57bc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jul 7 22:38:22 2009 +0200

    Set the height of uninitialized terrain to 0.

1	0	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp

commit 00aa95c65946154d5b545ff2d1766cc948f53968
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   Mon Jul 6 22:16:26 2009 +0100

    Remove cases where archives were archived, and give them all the the linker.

0	13	src/components/ogre/Makefile.am
0	1	src/components/ogre/environment/Makefile.am
0	2	src/components/ogre/ogreopcode/src/Makefile.am
0	2	src/components/ogre/widgets/Makefile.am
0	3	src/framework/Makefile.am
39	5	src/main/Makefile.am
0	14	src/services/Makefile.am

commit fcbde383e8865d2841a1dd5c822758ea4d0f7d93
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   Mon Jul 6 18:28:06 2009 +0100

    Run the script and remove use of libtool.

2	2	src/components/entitymapping/Makefile.am
12	12	src/components/ogre/Makefile.am
3	3	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am
3	3	src/components/ogre/carpenter/Makefile.am
4	4	src/components/ogre/environment/Makefile.am
2	2	src/components/ogre/environment/caelum/Makefile.am
2	2	src/components/ogre/environment/hydrax/Makefile.am
2	2	src/components/ogre/environment/meshtree/Makefile.am
2	2	src/components/ogre/environment/pagedgeometry/Makefile.am
2	2	src/components/ogre/gui/Makefile.am
2	2	src/components/ogre/input/Makefile.am
2	2	src/components/ogre/jesus/Makefile.am
2	2	src/components/ogre/manipulation/Makefile.am
2	2	src/components/ogre/mapping/Makefile.am
2	2	src/components/ogre/model/Makefile.am
4	4	src/components/ogre/ogreopcode/src/Makefile.am
2	2	src/components/ogre/ogreopcode/src/Opcode/Makefile.am
2	2	src/components/ogre/scripting/Makefile.am
2	2	src/components/ogre/scripting/bindings/lua/Makefile.am
2	2	src/components/ogre/scripting/bindings/lua/helpers/Makefile.am
2	2	src/components/ogre/scripting/bindings/lua/ogre/Makefile.am
2	2	src/components/ogre/sound/Makefile.am
2	2	src/components/ogre/terrain/Makefile.am
5	5	src/components/ogre/widgets/Makefile.am
3	3	src/components/ogre/widgets/adapters/Makefile.am
3	3	src/components/ogre/widgets/adapters/atlas/Makefile.am
2	2	src/components/ogre/widgets/icons/Makefile.am
2	2	src/extensions/Makefile.am
7	7	src/framework/Makefile.am
2	2	src/framework/bindings/lua/Makefile.am
3	3	src/framework/bindings/lua/atlas/Makefile.am
2	2	src/framework/bindings/lua/eris/Makefile.am
3	3	src/main/Makefile.am
2	2	src/main/bindings/lua/Makefile.am
13	13	src/services/Makefile.am
2	2	src/services/bindings/lua/Makefile.am
2	2	src/services/config/Makefile.am
2	2	src/services/input/Makefile.am
2	2	src/services/logging/Makefile.am
2	2	src/services/metaserver/Makefile.am
2	2	src/services/scripting/Makefile.am
2	2	src/services/server/Makefile.am
2	2	src/services/sound/Makefile.am
2	2	src/services/time/Makefile.am
2	2	src/services/wfut/Makefile.am

commit c068dbedf4f50a0e3fef0d1ad85e6a97e2c9552c
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   Mon Jul 6 18:27:48 2009 +0100

    A script to remove libtool.

8	0	scripts/remove_libtool.sh

commit 18637e2c27c20c7d790089567fb709eeba7a9dec
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 6 23:39:45 2009 +0200

    Check for supported tech.

14	13	src/components/ogre/environment/pagedgeometry/include/GrassLoader.h

commit e6f48942d7d49e03f63038eee2c158b41ccf9bfd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 6 23:09:49 2009 +0200

    Enable animation.

1	1	src/components/ogre/environment/FoliageLayer.cpp

commit 71d81d1d4a9393d4fe018652784cdebd37c752e5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 6 23:09:24 2009 +0200

    Enable proper exp2 fog.

23	9	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp
10	3	src/components/ogre/environment/pagedgeometry/source/GrassLoader.cpp

commit 6476c86bc520d05de1f23ac7c801cd23e23bc70c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jul 6 22:12:17 2009 +0200

    Updated to newer version of the paged geometry. We now also use the
    original namespace of "Forests" to avoid conflicts when updating.

2	2	src/components/ogre/environment/EmberEntityLoader.cpp
6	6	src/components/ogre/environment/EmberEntityLoader.h
1	1	src/components/ogre/environment/Foliage.h
2	2	src/components/ogre/environment/FoliageBase.h
2	2	src/components/ogre/environment/FoliageLayer.cpp
6	6	src/components/ogre/environment/FoliageLayer.h
1	1	src/components/ogre/environment/FoliageLoader.cpp
2	2	src/components/ogre/environment/FoliageLoader.h
7	7	src/components/ogre/environment/Forest.cpp
3	3	src/components/ogre/environment/Forest.h
12	12	src/components/ogre/environment/GrassFoliage.cpp
3	3	src/components/ogre/environment/GrassFoliage.h
3	3	src/components/ogre/environment/ShrubberyFoliage.cpp
1	1	src/components/ogre/environment/ShrubberyFoliage.h
45	45	src/components/ogre/environment/pagedgeometry/include/BatchPage.h
81	81	src/components/ogre/environment/pagedgeometry/include/BatchedGeometry.h
7	7	src/components/ogre/environment/pagedgeometry/include/DummyPage.h
109	104	src/components/ogre/environment/pagedgeometry/include/GrassLoader.h
64	58	src/components/ogre/environment/pagedgeometry/include/ImpostorPage.h
571	530	src/components/ogre/environment/pagedgeometry/include/PagedGeometry.h
2	2	src/components/ogre/environment/pagedgeometry/include/PassiveEntityPage.h
129	129	src/components/ogre/environment/pagedgeometry/include/PropertyMaps.h
15	15	src/components/ogre/environment/pagedgeometry/include/StaticBillboardSet.h
97	96	src/components/ogre/environment/pagedgeometry/include/TreeLoader2D.h
97	97	src/components/ogre/environment/pagedgeometry/include/TreeLoader3D.h
52	52	src/components/ogre/environment/pagedgeometry/include/WindBatchPage.h
44	44	src/components/ogre/environment/pagedgeometry/include/WindBatchedGeometry.h
210	117	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp
286	286	src/components/ogre/environment/pagedgeometry/source/BatchedGeometry.cpp
4	4	src/components/ogre/environment/pagedgeometry/source/DummyPage.cpp
377	211	src/components/ogre/environment/pagedgeometry/source/GrassLoader.cpp
223	219	src/components/ogre/environment/pagedgeometry/source/ImpostorPage.cpp
445	426	src/components/ogre/environment/pagedgeometry/source/PagedGeometry.cpp
2	2	src/components/ogre/environment/pagedgeometry/source/PassiveEntityPage.cpp
140	140	src/components/ogre/environment/pagedgeometry/source/PropertyMaps.cpp
97	97	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp
297	297	src/components/ogre/environment/pagedgeometry/source/TreeLoader2D.cpp
275	275	src/components/ogre/environment/pagedgeometry/source/TreeLoader3D.cpp
521	346	src/components/ogre/environment/pagedgeometry/source/WindBatchPage.cpp
420	420	src/components/ogre/environment/pagedgeometry/source/WindBatchedGeometry.cpp

commit 03c9890efe85161408c4ee99050e06f291428543
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 5 23:37:21 2009 +0200

    Renamed MathConverter.h to Convert.h

1	1	src/components/ogre/Avatar.cpp
1	1	src/components/ogre/AvatarCamera.cpp
1	1	src/components/ogre/AvatarController.cpp
273	0	src/components/ogre/Convert.h
1	1	src/components/ogre/EmberEntity.cpp
1	1	src/components/ogre/EmberOgrePrerequisites.h
1	1	src/components/ogre/EmberPhysicalEntity.cpp
1	1	src/components/ogre/Makefile.am
0	273	src/components/ogre/MathConverter.h
1	1	src/components/ogre/ModelMount.cpp
1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
1	1	src/components/ogre/WorldEmberEntity.cpp
1	1	src/components/ogre/environment/FoliageBase.cpp
1	1	src/components/ogre/environment/FoliageLayer.cpp
1	1	src/components/ogre/environment/FoliageLoader.cpp
1	1	src/components/ogre/environment/Forest.cpp
1	1	src/components/ogre/environment/GrassFoliage.cpp
1	1	src/components/ogre/environment/ShrubberyFoliage.cpp
1	1	src/components/ogre/jesus/Jesus.cpp
1	1	src/components/ogre/manipulation/EntityMover.cpp
1	1	src/components/ogre/manipulation/EntityMoverBase.cpp
1	1	src/components/ogre/manipulation/MovementAdapter.cpp
1	1	src/components/ogre/manipulation/Polygon.cpp
1	1	src/components/ogre/manipulation/PolygonPoint.cpp
1	1	src/components/ogre/manipulation/PolygonPointMover.cpp
1	1	src/components/ogre/manipulation/SnapToMovement.cpp
1	1	src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
118	0	src/components/ogre/scripting/bindings/lua/Convert.pkg
1	1	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
0	118	src/components/ogre/scripting/bindings/lua/MathConverter.pkg
1	1	src/components/ogre/scripting/bindings/lua/required.h
1	1	src/components/ogre/terrain/TerrainEditor.cpp
1	1	src/components/ogre/terrain/TerrainGenerator.cpp
1	1	src/components/ogre/terrain/TerrainPage.cpp
1	1	src/components/ogre/terrain/TerrainPageShadow.cpp
1	1	src/components/ogre/terrain/TerrainPageSurface.cpp
1	1	src/components/ogre/widgets/EntityCreator.cpp
1	1	src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
1	1	src/components/ogre/widgets/InventoryWidget.cpp
1	1	src/components/ogre/widgets/MakeEntityWidget.cpp
1	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit 17c39749531e12582a3c71ccd0aed426f552410a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 5 23:28:11 2009 +0200

    Move all conversion methods into the Convert class, and give them
    similar signatures.

5	5	src/components/ogre/Avatar.cpp
1	1	src/components/ogre/AvatarCamera.cpp
2	2	src/components/ogre/AvatarController.cpp
11	11	src/components/ogre/EmberEntity.cpp
3	3	src/components/ogre/EmberPhysicalEntity.cpp
44	53	src/components/ogre/MathConverter.h
1	1	src/components/ogre/ModelMount.cpp
1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
3	3	src/components/ogre/WorldEmberEntity.cpp
2	2	src/components/ogre/environment/FoliageBase.cpp
4	4	src/components/ogre/environment/FoliageLayer.cpp
2	2	src/components/ogre/environment/FoliageLoader.cpp
2	2	src/components/ogre/environment/Forest.cpp
2	2	src/components/ogre/environment/GrassFoliage.cpp
1	1	src/components/ogre/environment/ShrubberyFoliage.cpp
4	4	src/components/ogre/jesus/Jesus.cpp
1	1	src/components/ogre/manipulation/EntityMover.cpp
6	6	src/components/ogre/manipulation/EntityMoverBase.cpp
2	2	src/components/ogre/manipulation/MovementAdapter.cpp
4	4	src/components/ogre/manipulation/PolygonPoint.cpp
3	3	src/components/ogre/manipulation/PolygonPointMover.cpp
2	2	src/components/ogre/manipulation/SnapToMovement.cpp
1	1	src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
86	9	src/components/ogre/scripting/bindings/lua/MathConverter.pkg
223	130	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
2	2	src/components/ogre/terrain/TerrainEditor.cpp
5	5	src/components/ogre/terrain/TerrainGenerator.cpp
1	1	src/components/ogre/terrain/TerrainPage.cpp
1	1	src/components/ogre/terrain/TerrainPageShadow.cpp
1	1	src/components/ogre/widgets/Compass.cpp
5	5	src/components/ogre/widgets/EntityCreator.cpp
3	3	src/components/ogre/widgets/EntityPicker.lua
1	1	src/components/ogre/widgets/InventoryWidget.cpp
35	35	src/components/ogre/widgets/MakeEntityWidget.cpp
1	1	src/components/ogre/widgets/PickingInfo.lua
1	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit 12ce8d95a54a3c8363bf8a4cb908ca1d9cb61f57
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 5 22:17:31 2009 +0200

    Default graphical level to "medium" instead of "high", until we've got a
    level adjustment system in place.

1	1	ember.conf

commit 9e65ca4bacbbf5936581f224cdb9f73b70d45592
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 5 22:16:29 2009 +0200

    Change name from "modelmap" to "entitymap".

2	2	src/components/ogre/mapping/EmberEntityMappingManager.cpp
9	9	src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
6	6	src/components/ogre/modeldefinitions/Makefile.am
924	0	src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
0	924	src/components/ogre/modeldefinitions/modelmappings.modelmap.xml

commit 90966533a931eb6596d5f53a7690d20236473d54
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jul 5 22:02:54 2009 +0200

    Moved away the Ogre dependent entity mapping from "model", since there's
    no connection.

1	1	configure.ac
2	2	src/components/ogre/EmberEntityFactory.cpp
2	2	src/components/ogre/EmberOgre.cpp
5	4	src/components/ogre/EmberOgre.h
2	2	src/components/ogre/EmberPhysicalEntity.cpp
2	2	src/components/ogre/Makefile.am
97	0	src/components/ogre/mapping/EmberEntityMappingManager.cpp
97	0	src/components/ogre/mapping/EmberEntityMappingManager.h
6	0	src/components/ogre/mapping/Makefile.am
248	0	src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
68	0	src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.h
0	1	src/components/ogre/model/Makefile.am
0	101	src/components/ogre/model/mapping/EmberEntityMappingManager.cpp
0	100	src/components/ogre/model/mapping/EmberEntityMappingManager.h
0	6	src/components/ogre/model/mapping/Makefile.am
0	252	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.cpp
0	72	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.h
2	2	src/components/ogre/widgets/EntityCreator.cpp
2	2	src/components/ogre/widgets/ServerWidget.cpp
3	3	src/components/ogre/widgets/icons/IconManager.cpp

commit 7adbfa249118c3ead6221043f4cc727c8f0894b2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 02:29:32 2009 +0200

    Added Makefile for the Ogre specific mapping classes back.

6	0	src/components/ogre/model/mapping/Makefile.am

commit c402f201efb9174b21ffb134c28a08c24f6a0416
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 02:27:53 2009 +0200

    Moved the entity mapping framework to a more suitable namespace.

6	8	src/components/entitymapping/Actions/Action.cpp
14	16	src/components/entitymapping/Actions/Action.h
8	9	src/components/entitymapping/Actions/DummyAction.cpp
6	7	src/components/entitymapping/Actions/DummyAction.h
6	8	src/components/entitymapping/Cases/AttributeCase.cpp
9	12	src/components/entitymapping/Cases/AttributeCase.h
6	7	src/components/entitymapping/Cases/AttributeComparers/AttributeComparerWrapper.cpp
6	7	src/components/entitymapping/Cases/AttributeComparers/AttributeComparerWrapper.h
6	8	src/components/entitymapping/Cases/AttributeComparers/HeightComparerWrapper.cpp
9	11	src/components/entitymapping/Cases/AttributeComparers/HeightComparerWrapper.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericComparerWrapper.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericComparerWrapper.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsComparer.h
6	7	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.cpp
7	9	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericGreaterComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericGreaterComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericLesserComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericLesserComparer.h
7	9	src/components/entitymapping/Cases/AttributeComparers/NumericRangeComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericRangeComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericValueHolder.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/NumericValueHolder.h
6	8	src/components/entitymapping/Cases/AttributeComparers/StringComparer.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/StringComparer.h
6	8	src/components/entitymapping/Cases/AttributeComparers/StringComparerWrapper.cpp
6	8	src/components/entitymapping/Cases/AttributeComparers/StringComparerWrapper.h
6	8	src/components/entitymapping/Cases/Case.cpp
16	18	src/components/entitymapping/Cases/Case.h
12	14	src/components/entitymapping/Cases/CaseBase.cpp
33	35	src/components/entitymapping/Cases/CaseBase.h
6	8	src/components/entitymapping/Cases/EntityBaseCase.cpp
9	11	src/components/entitymapping/Cases/EntityBaseCase.h
6	8	src/components/entitymapping/Cases/EntityTypeCase.cpp
10	13	src/components/entitymapping/Cases/EntityTypeCase.h
6	9	src/components/entitymapping/Cases/OutfitCase.cpp
6	8	src/components/entitymapping/Cases/OutfitCase.h
8	10	src/components/entitymapping/ChangeContext.cpp
13	15	src/components/entitymapping/ChangeContext.h
12	14	src/components/entitymapping/Definitions/ActionDefinition.cpp
6	8	src/components/entitymapping/Definitions/ActionDefinition.h
12	14	src/components/entitymapping/Definitions/CaseDefinition.cpp
9	12	src/components/entitymapping/Definitions/CaseDefinition.h
18	20	src/components/entitymapping/Definitions/DefinitionBase.cpp
8	10	src/components/entitymapping/Definitions/DefinitionBase.h
15	17	src/components/entitymapping/Definitions/EntityMappingDefinition.cpp
8	10	src/components/entitymapping/Definitions/EntityMappingDefinition.h
10	12	src/components/entitymapping/Definitions/MatchDefinition.cpp
11	14	src/components/entitymapping/Definitions/MatchDefinition.h
10	12	src/components/entitymapping/EntityMapping.cpp
16	18	src/components/entitymapping/EntityMapping.h
32	34	src/components/entitymapping/EntityMappingCreator.cpp
37	39	src/components/entitymapping/EntityMappingCreator.h
9	11	src/components/entitymapping/EntityMappingManager.cpp
19	21	src/components/entitymapping/EntityMappingManager.h
7	9	src/components/entitymapping/IActionCreator.h
6	8	src/components/entitymapping/Matches/AbstractMatch.cpp
22	24	src/components/entitymapping/Matches/AbstractMatch.h
7	9	src/components/entitymapping/Matches/AttributeDependentMatch.cpp
9	11	src/components/entitymapping/Matches/AttributeDependentMatch.h
10	12	src/components/entitymapping/Matches/AttributeMatch.cpp
13	16	src/components/entitymapping/Matches/AttributeMatch.h
6	8	src/components/entitymapping/Matches/EntityTypeMatch.cpp
10	13	src/components/entitymapping/Matches/EntityTypeMatch.h
6	8	src/components/entitymapping/Matches/MatchBase.cpp
9	11	src/components/entitymapping/Matches/MatchBase.h
8	10	src/components/entitymapping/Matches/Observers/AttributeObserver.cpp
12	14	src/components/entitymapping/Matches/Observers/AttributeObserver.h
6	8	src/components/entitymapping/Matches/Observers/EntityCreationObserver.cpp
9	11	src/components/entitymapping/Matches/Observers/EntityCreationObserver.h
9	11	src/components/entitymapping/Matches/OutfitMatch.cpp
8	10	src/components/entitymapping/Matches/OutfitMatch.h
1	1	src/components/ogre/EmberEntityActionCreator.cpp
2	2	src/components/ogre/EmberEntityActionCreator.h
4	4	src/components/ogre/EmberEntityFactory.cpp
1	1	src/components/ogre/EmberEntityHideModelAction.h
1	1	src/components/ogre/EmberEntityModelAction.h
1	1	src/components/ogre/EmberEntityPartAction.h
10	5	src/components/ogre/EmberPhysicalEntity.h
10	10	src/components/ogre/model/mapping/EmberEntityMappingManager.cpp
3	3	src/components/ogre/model/mapping/EmberEntityMappingManager.h
25	24	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.cpp
5	5	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.h
1	1	src/components/ogre/widgets/EntityCreator.cpp
4	3	src/components/ogre/widgets/EntityCreatorActionCreator.cpp
2	2	src/components/ogre/widgets/EntityCreatorActionCreator.h
1	1	src/components/ogre/widgets/EntityCreatorHideModelAction.h
1	1	src/components/ogre/widgets/EntityCreatorModelAction.h
1	1	src/components/ogre/widgets/EntityCreatorPartAction.h
4	4	src/components/ogre/widgets/ServerWidget.cpp
6	6	src/components/ogre/widgets/icons/IconManager.cpp

commit 1740cbcb1d6e9b8163b6b64949a315349c0c319f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 01:18:54 2009 +0200

    Further renaming of ModelMapping to EntityMapping.

1	0	configure.ac
4	4	src/components/entitymapping/Makefile.am
6	6	src/components/ogre/EmberEntityActionCreator.cpp
8	8	src/components/ogre/EmberEntityActionCreator.h
22	22	src/components/ogre/EmberEntityFactory.cpp
7	7	src/components/ogre/EmberEntityHideModelAction.h
9	9	src/components/ogre/EmberEntityModelAction.h
8	8	src/components/ogre/EmberEntityPartAction.h
4	4	src/components/ogre/EmberOgre.cpp
2	2	src/components/ogre/EmberOgre.h
11	11	src/components/ogre/EmberPhysicalEntity.cpp
4	4	src/components/ogre/EmberPhysicalEntity.h
2	2	src/components/ogre/jesus/Jesus.cpp
2	2	src/components/ogre/jesus/Jesus.h
1	1	src/components/ogre/jesus/XMLJesusSerializer.cpp
101	0	src/components/ogre/model/mapping/EmberEntityMappingManager.cpp
100	0	src/components/ogre/model/mapping/EmberEntityMappingManager.h
0	101	src/components/ogre/model/mapping/EmberModelMappingManager.cpp
0	100	src/components/ogre/model/mapping/EmberModelMappingManager.h
251	0	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.cpp
72	0	src/components/ogre/model/mapping/XMLEntityMappingDefinitionSerializer.h
0	251	src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.cpp
0	72	src/components/ogre/model/mapping/XMLModelMappingDefinitionSerializer.h
6	6	src/components/ogre/widgets/EntityCreator.cpp
6	6	src/components/ogre/widgets/EntityCreatorActionCreator.cpp
5	5	src/components/ogre/widgets/EntityCreatorActionCreator.h
5	5	src/components/ogre/widgets/EntityCreatorHideModelAction.h
4	4	src/components/ogre/widgets/EntityCreatorModelAction.h
4	4	src/components/ogre/widgets/EntityCreatorPartAction.h
95	95	src/components/ogre/widgets/ServerWidget.cpp
8	8	src/components/ogre/widgets/icons/IconManager.cpp
1	1	src/main/Makefile.am

commit b4927abb695883d757d0497e37b7973031f65d82
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:51:21 2009 +0200

    Renamed ModelMapping to EntityMapping.

1	1	src/components/Makefile.am
1	1	src/components/entitymapping/Cases/CaseBase.cpp
1	1	src/components/entitymapping/Cases/CaseBase.h
71	0	src/components/entitymapping/Definitions/EntityMappingDefinition.cpp
78	0	src/components/entitymapping/Definitions/EntityMappingDefinition.h
0	71	src/components/entitymapping/Definitions/ModelMappingDefinition.cpp
0	78	src/components/entitymapping/Definitions/ModelMappingDefinition.h
62	0	src/components/entitymapping/EntityMapping.cpp
143	0	src/components/entitymapping/EntityMapping.h
321	0	src/components/entitymapping/EntityMappingCreator.cpp
172	0	src/components/entitymapping/EntityMappingCreator.h
147	0	src/components/entitymapping/EntityMappingManager.cpp
137	0	src/components/entitymapping/EntityMappingManager.h
3	3	src/components/entitymapping/IActionCreator.h
6	8	src/components/entitymapping/Makefile.am
1	1	src/components/entitymapping/Matches/Observers/AttributeObserver.cpp
1	1	src/components/entitymapping/Matches/Observers/AttributeObserver.h
1	1	src/components/entitymapping/Matches/Observers/EntityCreationObserver.h
0	62	src/components/entitymapping/ModelMapping.cpp
0	143	src/components/entitymapping/ModelMapping.h
0	321	src/components/entitymapping/ModelMappingCreator.cpp
0	172	src/components/entitymapping/ModelMappingCreator.h
0	147	src/components/entitymapping/ModelMappingManager.cpp
0	137	src/components/entitymapping/ModelMappingManager.h

commit a066abcd24901d70688e760a58121c0f1c967442
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:44:41 2009 +0200

    Renamed the "model mapping" framework to "entity mapping", and moved it
    to a more generic place (since't it's separate from Ogre).

45	0	src/components/entitymapping/Actions/Action.cpp
98	0	src/components/entitymapping/Actions/Action.h
55	0	src/components/entitymapping/Actions/DummyAction.cpp
57	0	src/components/entitymapping/Actions/DummyAction.h
66	0	src/components/entitymapping/Cases/AttributeCase.cpp
79	0	src/components/entitymapping/Cases/AttributeCase.h
50	0	src/components/entitymapping/Cases/AttributeComparers/AttributeComparerWrapper.cpp
62	0	src/components/entitymapping/Cases/AttributeComparers/AttributeComparerWrapper.h
61	0	src/components/entitymapping/Cases/AttributeComparers/HeightComparerWrapper.cpp
81	0	src/components/entitymapping/Cases/AttributeComparers/HeightComparerWrapper.h
49	0	src/components/entitymapping/Cases/AttributeComparers/NumericComparer.cpp
63	0	src/components/entitymapping/Cases/AttributeComparers/NumericComparer.h
62	0	src/components/entitymapping/Cases/AttributeComparers/NumericComparerWrapper.cpp
66	0	src/components/entitymapping/Cases/AttributeComparers/NumericComparerWrapper.h
58	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsComparer.cpp
65	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsComparer.h
57	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.cpp
68	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.h
57	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.cpp
68	0	src/components/entitymapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.h
57	0	src/components/entitymapping/Cases/AttributeComparers/NumericGreaterComparer.cpp
67	0	src/components/entitymapping/Cases/AttributeComparers/NumericGreaterComparer.h
57	0	src/components/entitymapping/Cases/AttributeComparers/NumericLesserComparer.cpp
66	0	src/components/entitymapping/Cases/AttributeComparers/NumericLesserComparer.h
59	0	src/components/entitymapping/Cases/AttributeComparers/NumericRangeComparer.cpp
68	0	src/components/entitymapping/Cases/AttributeComparers/NumericRangeComparer.h
52	0	src/components/entitymapping/Cases/AttributeComparers/NumericValueHolder.cpp
59	0	src/components/entitymapping/Cases/AttributeComparers/NumericValueHolder.h
57	0	src/components/entitymapping/Cases/AttributeComparers/StringComparer.cpp
66	0	src/components/entitymapping/Cases/AttributeComparers/StringComparer.h
59	0	src/components/entitymapping/Cases/AttributeComparers/StringComparerWrapper.cpp
66	0	src/components/entitymapping/Cases/AttributeComparers/StringComparerWrapper.h
45	0	src/components/entitymapping/Cases/Case.cpp
77	0	src/components/entitymapping/Cases/Case.h
108	0	src/components/entitymapping/Cases/CaseBase.cpp
180	0	src/components/entitymapping/Cases/CaseBase.h
68	0	src/components/entitymapping/Cases/EntityBaseCase.cpp
74	0	src/components/entitymapping/Cases/EntityBaseCase.h
49	0	src/components/entitymapping/Cases/EntityTypeCase.cpp
72	0	src/components/entitymapping/Cases/EntityTypeCase.h
50	0	src/components/entitymapping/Cases/OutfitCase.cpp
58	0	src/components/entitymapping/Cases/OutfitCase.h
73	0	src/components/entitymapping/ChangeContext.cpp
87	0	src/components/entitymapping/ChangeContext.h
53	0	src/components/entitymapping/Definitions/ActionDefinition.cpp
61	0	src/components/entitymapping/Definitions/ActionDefinition.h
75	0	src/components/entitymapping/Definitions/CaseDefinition.cpp
87	0	src/components/entitymapping/Definitions/CaseDefinition.h
63	0	src/components/entitymapping/Definitions/DefinitionBase.cpp
82	0	src/components/entitymapping/Definitions/DefinitionBase.h
54	0	src/components/entitymapping/Definitions/MatchDefinition.cpp
81	0	src/components/entitymapping/Definitions/MatchDefinition.h
71	0	src/components/entitymapping/Definitions/ModelMappingDefinition.cpp
78	0	src/components/entitymapping/Definitions/ModelMappingDefinition.h
64	0	src/components/entitymapping/IActionCreator.h
35	0	src/components/entitymapping/Makefile.am
47	0	src/components/entitymapping/Matches/AbstractMatch.cpp
165	0	src/components/entitymapping/Matches/AbstractMatch.h
62	0	src/components/entitymapping/Matches/AttributeDependentMatch.cpp
70	0	src/components/entitymapping/Matches/AttributeDependentMatch.h
80	0	src/components/entitymapping/Matches/AttributeMatch.cpp
101	0	src/components/entitymapping/Matches/AttributeMatch.h
59	0	src/components/entitymapping/Matches/EntityTypeMatch.cpp
77	0	src/components/entitymapping/Matches/EntityTypeMatch.h
47	0	src/components/entitymapping/Matches/MatchBase.cpp
72	0	src/components/entitymapping/Matches/MatchBase.h
79	0	src/components/entitymapping/Matches/Observers/AttributeObserver.cpp
82	0	src/components/entitymapping/Matches/Observers/AttributeObserver.h
70	0	src/components/entitymapping/Matches/Observers/EntityCreationObserver.cpp
74	0	src/components/entitymapping/Matches/Observers/EntityCreationObserver.h
100	0	src/components/entitymapping/Matches/OutfitMatch.cpp
83	0	src/components/entitymapping/Matches/OutfitMatch.h
62	0	src/components/entitymapping/ModelMapping.cpp
143	0	src/components/entitymapping/ModelMapping.h
321	0	src/components/entitymapping/ModelMappingCreator.cpp
172	0	src/components/entitymapping/ModelMappingCreator.h
147	0	src/components/entitymapping/ModelMappingManager.cpp
137	0	src/components/entitymapping/ModelMappingManager.h
0	45	src/components/ogre/model/mapping/Actions/Action.cpp
0	98	src/components/ogre/model/mapping/Actions/Action.h
0	55	src/components/ogre/model/mapping/Actions/DummyAction.cpp
0	57	src/components/ogre/model/mapping/Actions/DummyAction.h
0	66	src/components/ogre/model/mapping/Cases/AttributeCase.cpp
0	79	src/components/ogre/model/mapping/Cases/AttributeCase.h
0	50	src/components/ogre/model/mapping/Cases/AttributeComparers/AttributeComparerWrapper.cpp
0	62	src/components/ogre/model/mapping/Cases/AttributeComparers/AttributeComparerWrapper.h
0	61	src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.cpp
0	81	src/components/ogre/model/mapping/Cases/AttributeComparers/HeightComparerWrapper.h
0	49	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparer.cpp
0	63	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparer.h
0	62	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.cpp
0	66	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericComparerWrapper.h
0	58	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsComparer.cpp
0	65	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsComparer.h
0	57	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.cpp
0	68	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrGreaterComparer.h
0	57	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.cpp
0	68	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericEqualsOrLesserComparer.h
0	57	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericGreaterComparer.cpp
0	67	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericGreaterComparer.h
0	57	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericLesserComparer.cpp
0	66	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericLesserComparer.h
0	59	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericRangeComparer.cpp
0	68	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericRangeComparer.h
0	52	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericValueHolder.cpp
0	59	src/components/ogre/model/mapping/Cases/AttributeComparers/NumericValueHolder.h
0	57	src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparer.cpp
0	66	src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparer.h
0	59	src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.cpp
0	66	src/components/ogre/model/mapping/Cases/AttributeComparers/StringComparerWrapper.h
0	45	src/components/ogre/model/mapping/Cases/Case.cpp
0	77	src/components/ogre/model/mapping/Cases/Case.h
0	108	src/components/ogre/model/mapping/Cases/CaseBase.cpp
0	180	src/components/ogre/model/mapping/Cases/CaseBase.h
0	68	src/components/ogre/model/mapping/Cases/EntityBaseCase.cpp
0	74	src/components/ogre/model/mapping/Cases/EntityBaseCase.h
0	49	src/components/ogre/model/mapping/Cases/EntityTypeCase.cpp
0	72	src/components/ogre/model/mapping/Cases/EntityTypeCase.h
0	50	src/components/ogre/model/mapping/Cases/OutfitCase.cpp
0	58	src/components/ogre/model/mapping/Cases/OutfitCase.h
0	73	src/components/ogre/model/mapping/ChangeContext.cpp
0	87	src/components/ogre/model/mapping/ChangeContext.h
0	53	src/components/ogre/model/mapping/Definitions/ActionDefinition.cpp
0	61	src/components/ogre/model/mapping/Definitions/ActionDefinition.h
0	75	src/components/ogre/model/mapping/Definitions/CaseDefinition.cpp
0	87	src/components/ogre/model/mapping/Definitions/CaseDefinition.h
0	63	src/components/ogre/model/mapping/Definitions/DefinitionBase.cpp
0	82	src/components/ogre/model/mapping/Definitions/DefinitionBase.h
0	54	src/components/ogre/model/mapping/Definitions/MatchDefinition.cpp
0	81	src/components/ogre/model/mapping/Definitions/MatchDefinition.h
0	71	src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.cpp
0	78	src/components/ogre/model/mapping/Definitions/ModelMappingDefinition.h
0	64	src/components/ogre/model/mapping/IActionCreator.h
0	35	src/components/ogre/model/mapping/Makefile.am
0	47	src/components/ogre/model/mapping/Matches/AbstractMatch.cpp
0	165	src/components/ogre/model/mapping/Matches/AbstractMatch.h
0	62	src/components/ogre/model/mapping/Matches/AttributeDependentMatch.cpp
0	70	src/components/ogre/model/mapping/Matches/AttributeDependentMatch.h
0	80	src/components/ogre/model/mapping/Matches/AttributeMatch.cpp
0	101	src/components/ogre/model/mapping/Matches/AttributeMatch.h
0	59	src/components/ogre/model/mapping/Matches/EntityTypeMatch.cpp
0	77	src/components/ogre/model/mapping/Matches/EntityTypeMatch.h
0	47	src/components/ogre/model/mapping/Matches/MatchBase.cpp
0	72	src/components/ogre/model/mapping/Matches/MatchBase.h
0	79	src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.cpp
0	82	src/components/ogre/model/mapping/Matches/Observers/AttributeObserver.h
0	70	src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.cpp
0	74	src/components/ogre/model/mapping/Matches/Observers/EntityCreationObserver.h
0	100	src/components/ogre/model/mapping/Matches/OutfitMatch.cpp
0	83	src/components/ogre/model/mapping/Matches/OutfitMatch.h
0	62	src/components/ogre/model/mapping/ModelMapping.cpp
0	143	src/components/ogre/model/mapping/ModelMapping.h
0	321	src/components/ogre/model/mapping/ModelMappingCreator.cpp
0	172	src/components/ogre/model/mapping/ModelMappingCreator.h
0	147	src/components/ogre/model/mapping/ModelMappingManager.cpp
0	137	src/components/ogre/model/mapping/ModelMappingManager.h

commit 94e37080f932ac7d176101f31d4939fbe4d3f110
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:37:56 2009 +0200

    The foliage pages are expected to be sparsely populated, so don't log an
    error if we can't find a batch.

2	3	src/components/ogre/terrain/TerrainPageFoliage.cpp

commit 2b09061ec5bc895390bcc1ebe63987e1f01f5077
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:37:12 2009 +0200

    Allow the "snap to" movement function to be toggled by a
    "+snaptomovement" command. This is by default bound to the left ctrl
    key.

1	0	ember.conf
0	1	src/components/ogre/manipulation/EntityMover.cpp
23	2	src/components/ogre/manipulation/EntityMoverBase.cpp
22	1	src/components/ogre/manipulation/EntityMoverBase.h

commit 2e537d5381a3eaa3a71d2e0adb8092fae8f76aa9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:33:46 2009 +0200

    Warn when re-registering an already registered command.

14	10	src/framework/ConsoleBackend.cpp

commit acdba74882d567967e61939d1764745a407a6c0d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jul 4 00:33:29 2009 +0200

    Also deregister any inverse command when shutting down.

4	1	src/framework/ConsoleCommandWrapper.cpp

commit ffb09ed9c677fcd1df8a2b1c436760d910a8fed4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 3 22:55:57 2009 +0200

    Added a flag for allowing commands to silently be registered and
    deregistered.

28	26	src/framework/ConsoleBackend.cpp
71	71	src/framework/ConsoleBackend.h
7	6	src/framework/ConsoleCommandWrapper.cpp
31	20	src/framework/ConsoleCommandWrapper.h

commit 7157cb532ea3596b1451d05d4d0743e32818a4a8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 3 22:29:37 2009 +0200

    Allow for multiple commands to be bound to a key.

57	34	src/services/input/InputCommandMapper.cpp
75	69	src/services/input/InputCommandMapper.h

commit bbdabb5dea0ce2608f68d1a11ef41e4509c8a2f5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 3 21:48:02 2009 +0200

    Fixed incorrect height usage in PolygonAdapter, and removed some old
    cruft.

2	9	src/components/ogre/terrain/TerrainGenerator.cpp
2	2	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit 2e8415981e30cf0bc258d688d350d569512350a7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 3 00:46:39 2009 +0200

    Make sure to repopulate the geometry before recreating the surfaces.

0	4	src/components/ogre/terrain/TerrainGenerator.cpp
1	0	src/components/ogre/terrain/TerrainPage.cpp

commit d9135eab4c5bfe0af8c71899edd09ecf5c0b45e3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jul 3 00:35:54 2009 +0200

    Make it so that getValidSegments always returns an updated list of
    segments. Also made the shadow use the new geometry class.

13	19	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
1	38	src/components/ogre/terrain/TerrainGenerator.cpp
9	40	src/components/ogre/terrain/TerrainPage.cpp
51	8	src/components/ogre/terrain/TerrainPageGeometry.cpp
32	21	src/components/ogre/terrain/TerrainPageGeometry.h
10	9	src/components/ogre/terrain/TerrainPageShadow.cpp
8	7	src/components/ogre/terrain/TerrainPageShadow.h
0	7	src/components/ogre/terrain/TerrainPageSurface.cpp
6	8	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp

commit c9558425bd8b768ca46b88f82999ba18e1f828d4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 23:26:17 2009 +0200

    Removed unused methods.

1	17	src/components/ogre/WorldEmberEntity.cpp
0	6	src/components/ogre/scripting/bindings/lua/TerrainGenerator.pkg
0	32	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
0	41	src/components/ogre/terrain/TerrainGenerator.cpp
0	6	src/components/ogre/terrain/TerrainGenerator.h

commit bbf8d2b25403e316023add3bccc0ed670e491501
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 23:14:07 2009 +0200

    After a page has been created, update the position of the entities on
    it.
    This is because the height data probably wasn't available before the
    page was loaded, so the entities didn't have any of the positions
    adjusted.

5	0	src/components/ogre/terrain/TerrainGenerator.cpp

commit a515ba83c374a44ff8ed621c5647000aba9e7005
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 23:06:37 2009 +0200

    Updated docs.

56	36	src/components/ogre/terrain/TerrainPage.h
44	12	src/components/ogre/terrain/TerrainPageGeometry.h

commit a3773e648a74734988d787dfb2595b462dae8896
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 22:47:03 2009 +0200

    Remove more eclipse files.

2	0	.gitignore

commit 2046ea87c8c618bd3eb8af5042d5a4e5aab85b13
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 22:45:50 2009 +0200

    Pass things which cannot be null as references.

4	4	src/components/ogre/EmberEntity.cpp
2	2	src/components/ogre/EmberEntity.h
1	1	src/components/ogre/EmberPhysicalEntity.cpp
1	1	src/components/ogre/EmberPhysicalEntity.h
36	34	src/components/ogre/WorldEmberEntity.cpp
35	35	src/components/ogre/WorldEmberEntity.h

commit 3652e049e467de4325a4fc95a03c0693b059034f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 22:31:20 2009 +0200

    Adapt to new method for getting height.

34	30	src/components/ogre/WorldEmberEntity.cpp
11	9	src/components/ogre/environment/FoliageBase.cpp
12	9	src/components/ogre/environment/FoliageLoader.cpp
1	1	src/components/ogre/scripting/bindings/lua/TerrainGenerator.pkg
0	35	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
4	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit ecfd640bc614b41328926f29d2478ef4339e99de
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 22:29:50 2009 +0200

    Fixed some issue with the blitting which was causing gaps.
    
    Note that the current blitting is incorrect, since the WF and Ogre
    spaces differ. In order for it to be correct in the Ogre Z-space, we
    need to access one row of segments "outside" of the actual page.

6	6	src/components/ogre/terrain/TerrainPageGeometry.cpp

commit 3e718470b4a7f663f67035ccf070d6c0a7538b8e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jul 2 22:28:13 2009 +0200

    Revert so that the getHeight method uses the interpolation method of
    getting the height. The reason is that this method is meant to be used
    by any feature which needs to get the correct height at any position. We
    now don't call this for the terrain page heightmap generation; that is
    done by accessing the raw height data from the segments instead.

4	8	src/components/ogre/terrain/TerrainGenerator.cpp
91	89	src/components/ogre/terrain/TerrainGenerator.h

commit 5581c016f656f17d6d43f1c38058527a65e185bc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jun 30 21:31:56 2009 +0200

    Fixed incorrect bitmap blitting.

21	20	src/components/ogre/terrain/TerrainPage.cpp
3	7	src/components/ogre/terrain/TerrainPageGeometry.cpp

commit 113eba64a61b81faa85e431079f2a4d5605d29d0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sun Jun 28 23:15:20 2009 +0200

    Initial refactoring of the terrain classes so that we peform lazy
    loading, and separate the geometry of the pages into the
    TerrainPageGeometry class.

7	5	src/components/ogre/environment/FoliageLayer.cpp
12	10	src/components/ogre/environment/FoliageLoader.cpp
2	2	src/components/ogre/terrain/Makefile.am
59	0	src/components/ogre/terrain/PlantAreaQuery.cpp
65	0	src/components/ogre/terrain/PlantAreaQuery.h
40	101	src/components/ogre/terrain/TerrainPage.cpp
22	54	src/components/ogre/terrain/TerrainPage.h
13	10	src/components/ogre/terrain/TerrainPageFoliage.cpp
19	18	src/components/ogre/terrain/TerrainPageFoliage.h
150	7	src/components/ogre/terrain/TerrainPageGeometry.cpp
92	5	src/components/ogre/terrain/TerrainPageGeometry.h
10	9	src/components/ogre/terrain/TerrainPageSurface.cpp
4	3	src/components/ogre/terrain/TerrainPageSurface.h
15	14	src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
4	3	src/components/ogre/terrain/TerrainPageSurfaceCompiler.h
11	11	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
34	33	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.h
7	6	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueSimple.cpp
9	7	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueSimple.h
8	7	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
4	3	src/components/ogre/terrain/TerrainPageSurfaceLayer.h

commit bb9f191b06be4f5597940bd70ad614c263376eb7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Mon Jun 22 22:50:57 2009 +0200

    Provide lazy loading of segments.

14	14	src/components/ogre/terrain/TerrainGenerator.cpp
7	2	src/components/ogre/terrain/TerrainPage.cpp

commit 527b381f650f78dfb44bfb3cb7047fdf7bb81e5f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Wed Jul 1 20:54:07 2009 +0200

    Added better logging of actions sent to the server.

58	51	src/services/server/ConnectedAdapter.cpp

commit 2b61ac4b47e1125f0dbb0a75638820507f9543bc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Sat Jun 20 19:23:14 2009 +0200

    Catch rendering exceptions and log them, instead of just crashing.

5	1	src/components/ogre/EmberOgre.cpp
5	1	src/components/ogre/SimpleRenderContext.cpp
38	34	src/components/ogre/widgets/Compass.cpp
11	2	src/components/ogre/widgets/LoadingBar.cpp
8	0	src/components/ogre/widgets/LoadingBar.h
8	4	src/components/ogre/widgets/MovableObjectRenderer.cpp
5	1	src/components/ogre/widgets/icons/IconRenderer.cpp

commit a4d7292b7965c787805ab1c10d9820dcce915ebc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jun 23 23:21:35 2009 +0200

    Added some comments and make sure to use references whenever the value
    cannot be null.

1	1	src/components/ogre/EmberEntity.cpp
1	1	src/components/ogre/scripting/bindings/lua/TerrainArea.pkg
2	2	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
19	21	src/components/ogre/terrain/TerrainArea.cpp
27	27	src/components/ogre/terrain/TerrainArea.h
1	1	src/components/ogre/terrain/TerrainGenerator.cpp
28	28	src/components/ogre/terrain/TerrainPage.cpp
8	9	src/components/ogre/terrain/TerrainPage.h

commit 13fa2d588b762da2169346fed760b168b92926fd
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 23:45:37 2009 +0200

    Remove Mercator include, not used

0	2	src/components/ogre/widgets/MakeEntityWidget.cpp

commit 83e7651a57060bea4e561ae89b83509b14475316
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 23:34:38 2009 +0200

    Changing path, it seems to give problems in some situations

1	1	src/components/ogre/terrain/TerrainGenerator.h

commit 31a8e482d119dda11c4ea5e19baceba97917e57f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 18:21:38 2009 +0200

    Moving code definitions inside the namespace, so the names are less verbose, and it's coherent with the rest of definitions in all the project

20	25	src/components/ogre/terrain/TerrainLayerDefinition.cpp
7	5	src/components/ogre/terrain/TerrainLayerDefinition.h

commit 0bd8999dbf22373aa0ff0a56c13f494eb5ccca6b
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 18:09:40 2009 +0200

    Removing references to TerrainGenerator, not really used

2	4	src/components/ogre/terrain/TerrainPageShadow.cpp
2	3	src/components/ogre/terrain/TerrainPageShadow.h

commit 367ee02146ff611a3e2365c35835aeab10c44f7a
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 17:50:32 2009 +0200

    Let WorldEmberEntity grab a pointer to TerrainGenerator in its constructor, instead of being provided by EmberEntityFactory to create it.  The latter has a pointer for its whole lifetime to the terrain generator for the solely purpose to create the world entity at the very beginning, so it's not worth the code :)

5	10	src/components/ogre/EmberEntityFactory.cpp
3	10	src/components/ogre/EmberEntityFactory.h
1	1	src/components/ogre/EmberOgre.cpp
4	2	src/components/ogre/WorldEmberEntity.cpp
1	1	src/components/ogre/WorldEmberEntity.h

commit e0ded6421657a3e1127153de9c8b44f813519e22
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 17:36:22 2009 +0200

    Making frameStarted method pure abstract, IMO is more clear.  Cleanup of headers and the like.

4	3	src/components/ogre/environment/FoliageBase.cpp
14	8	src/components/ogre/environment/FoliageBase.h
2	3	src/components/ogre/environment/GrassFoliage.cpp
0	5	src/components/ogre/environment/GrassFoliage.h
0	1	src/components/ogre/environment/ShrubberyFoliage.cpp

commit c37a8c30e2e182ab7f891769cf778debbf8da63c
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 17:29:50 2009 +0200

    Adding virtual, to mark that it's a virtual method redefined from Ogre::FrameListener

1	1	src/components/ogre/environment/Foliage.h

commit 1c398723c183812e2d9fed2c5cf2c60de0ac3ca9
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 17:04:14 2009 +0200

    Cleanup of headers, unused variable removed, declared but not defined method removed.

1	1	src/components/ogre/WorldEmberEntity.cpp
2	14	src/components/ogre/environment/Foliage.cpp
9	16	src/components/ogre/environment/Foliage.h
0	2	src/components/ogre/environment/ShrubberyFoliage.cpp

commit f2148512a7d8f02779d882320b4edf2d48137935
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:48:06 2009 +0200

    Remove header added twice

2	4	src/components/ogre/environment/GrassFoliage.cpp
0	2	src/components/ogre/environment/ShrubberyFoliage.cpp

commit 88fa8ddfe6363b3fea9931460f325cd36e05175f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:38:32 2009 +0200

    Removing files, they're not used at all

0	137	src/components/ogre/environment/Sky.cpp
0	66	src/components/ogre/environment/Sky.h

commit 00decdb98e06b7db9f6fef7b44fa20394f4e8abb
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:37:18 2009 +0200

    Cleanup of this class, led to it when searching references to TerrainGenerator

17	25	src/components/ogre/environment/Sky.cpp
14	14	src/components/ogre/environment/Sky.h

commit 87dfd3adfb719f62c789b5e37c04f5c1bb8cf262
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:09:17 2009 +0200

    Cleanup of headers (I was led here due to references to TerrainGenerator)

15	19	src/components/ogre/widgets/MakeEntityWidget.cpp

commit aa169667d42540f726a765771568cb705e55ac75
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:08:31 2009 +0200

    Include needed headers

3	0	src/components/ogre/AvatarEmberEntity.h

commit e0a8259cd1d324617c4bae3662193869da6da701
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 16:07:47 2009 +0200

    Updates to Lua bindings needed by other changes of the code

2	2	src/components/ogre/scripting/bindings/lua/ModelDefinition.pkg
0	6	src/components/ogre/scripting/bindings/lua/MotionManager.pkg
35	198	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit a5dea25230a617f27a0d5de4ebf0ba1e8804818f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 13:56:42 2009 +0200

    Complete cleanup of ModelManager class (lead from references to TerrainGenerator), shrinking size/complexity by half.  This includes removing unused methods and variables, cleanup of headers, removal from commented out code unused for several years, and removing references from other classes having commented out code for several years, too.

0	1	src/components/ogre/Avatar.cpp
5	122	src/components/ogre/MotionManager.cpp
29	59	src/components/ogre/MotionManager.h
0	66	src/components/ogre/model/Model.cpp
0	1	src/components/ogre/model/Model.h

commit 5141bda31d54fff8ad7b4a1cd581a7ef98213844
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 12:43:38 2009 +0200

    General cleanup of minor things: headers, forward declarations, code commented out, etc.

13	21	src/components/ogre/terrain/TerrainGenerator.cpp
22	47	src/components/ogre/terrain/TerrainGenerator.h

commit 31d8bfe7a415787b2f7d1fe5667b97ac4d253242
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 02:35:50 2009 +0200

    const correctness

2	2	src/components/ogre/environment/FoliageBase.cpp
1	1	src/components/ogre/environment/FoliageLayer.cpp

commit a4c15ff3b9daf446c2cd6d45410d350a61ad8277
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 02:28:55 2009 +0200

    Header cleanup while trying to remove references to TerrainPage

0	3	src/components/ogre/EmberEntity.cpp
0	1	src/components/ogre/EmberEntityFactory.h

commit 4e29e501e92a9842902e8e3250ca0a013b7f4860
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 02:12:44 2009 +0200

    It turns out that these can't be made const... yet.  A mistake thinking that it compiled fine made me to commit them when they shouldn't have been.

1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
2	2	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp

commit 7a9617d8f2b6b827967cd13e15ee3a462f07e47d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 02:10:14 2009 +0200

    Optimizing a loop (it runs about 10% faster in my machine), which is somewhat important because it runs 256K iterations for the current terrain.  Removing unused method, and changing the returning type of another one (2^31 ought to be enough vertex count for anyone ;) ).

14	29	src/components/ogre/terrain/TerrainPage.cpp
3	10	src/components/ogre/terrain/TerrainPage.h

commit 19af6208879ada4fb063621956907fa02b23e0bc
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 01:51:15 2009 +0200

    Using const pointer for TerrainGenerator

4	4	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
2	2	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp

commit 8b60eb48711e8d662ec2a36d792ce66d7a390c2d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri Jun 19 01:50:03 2009 +0200

    Using const pointer, it doesn't need to modify the pointed object

1	1	src/components/ogre/environment/FoliageLayer.cpp
2	2	src/components/ogre/environment/FoliageLoader.cpp
1	1	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit fb705910879dd9b74aa734605fc394b2666e0bee
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu Jun 18 23:38:07 2009 +0200

    Add doxygen documentation

7	1	src/components/ogre/terrain/ITerrainPageBridge.h

commit 55bf0c24499fd2ec58fe3ed622fe403f34a4971f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu Jun 18 22:17:36 2009 +0200

    Change the function to get the height from a point in the terrain from Mercator::Terrain::getHeightAndNormal() to Mercator::Terrain::get(), which is not very well named but means getHeight() and cuts the time of the call roughly in half (and it's very important since currently it's used in loops of 256K iterations several times, when updating terrains).  Removing unused (in practice) variable mSegments, removing some unused headers.

8	22	src/components/ogre/terrain/TerrainGenerator.cpp
0	2	src/components/ogre/terrain/TerrainGenerator.h

commit ce406f42d86d3ace32b9bd04a2712b5f0fc68bd4
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu Jun 18 18:32:08 2009 +0200

    Initialiting a max float to min value makes more sense than to initialize it to -max (min != -max and -min != max, the representation of the number might not even exist), and some reindentation.

23	26	src/components/ogre/terrain/TerrainPage.cpp

commit 2234995515b631e3b5ba8c09edc314e7bc4c4ee3
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 19:02:37 2009 +0200

    const correctness for intersection check

1	1	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
1	1	src/components/ogre/terrain/TerrainPageSurfaceLayer.h

commit 928b51c9edf2fe978a653ea1d483b575ab69ffea
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 18:04:12 2009 +0200

    Correcting indentation

3	3	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp

commit 43fab3ada5d98edc4e6ce0577dbc291b22ee1b29
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 17:00:51 2009 +0200

    Removed undefined and uncommented method

0	2	src/components/ogre/terrain/TerrainPage.h

commit 0241ed1447babb5777dea9dbe2bd4aaeb0ce78d9
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 01:32:15 2009 +0200

    Fixing typo in method name

2	2	src/components/ogre/terrain/TerrainGenerator.cpp
1	1	src/components/ogre/terrain/TerrainGenerator.h

commit 2aa7e8173e7bea5e24189c464baed1aa6bf4f734
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 01:19:05 2009 +0200

    Indent, to make the code [more] readable.

13	13	src/components/ogre/terrain/TerrainGenerator.cpp

commit 6ec065cf1dc2957c9ac4729ca1e28e8b9554703c
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Wed Jun 17 00:08:21 2009 +0200

    const correctness

1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeRenderable.h
1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h
1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp

commit 01af0422b37a88c3fa32655315d4f29f6ac1d821
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:43:17 2009 +0200

    Restoring previously removed header by mistake

1	0	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h

commit a18fc68ebe4f1b89731d445a85bcac9089a5b769
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:37:08 2009 +0200

    Minor style and indentation modifications, revisited because of the changes in the base class.

9	11	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h
7	8	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp

commit ae8dfa011d2eeaf128377259483ee23e0d655f72
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:26:14 2009 +0200

    const correctness, cleanup and a lot of indentation, in some parts the file was close to unreadable.

124	141	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h
1099	1086	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture.cpp

commit a432f84ee7baccd5fabe1a908e1daeb1cb09ca2d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:15:01 2009 +0200

    Minor style modifications

2	2	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp

commit c905a0a057591fe9676a09399f030689b6af907d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:14:17 2009 +0200

    Removal of empty forward declarations, and fixing indentation.

5	11	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberTerrainPageBridge.h

commit 5f5e47b29824b170ac7482703622de9ab30c0a63
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 23:01:09 2009 +0200

    const correctness.  Actually, this time part of the job was to remove superfluous const, as the ones in copies of variables being returned from methods or in copied parameters of methods.

12	12	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h
64	61	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D.h
19	27	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
18	23	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D.cpp

commit 38522a95d57f3b55552e896ef832a2bf7a447cf5
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 22:36:04 2009 +0200

    const correctness, removal of unused macros, header cleanup, removal of unused parameter and member variable of a call

17	25	src/components/ogre/terrain/TerrainGenerator.cpp
13	13	src/components/ogre/terrain/TerrainPage.cpp
13	17	src/components/ogre/terrain/TerrainPage.h

commit 6b056703dc627a4c9303d120639139ae35d2c549
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 22:32:35 2009 +0200

    const correctness, it's not only useful but needed because of requirements of other classes on which this one depends.

2	2	src/components/ogre/terrain/TerrainPageSurface.cpp
3	3	src/components/ogre/terrain/TerrainPageSurface.h

commit 329d08f993001022ab47da8c417bce344ffd2b8c
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 22:30:39 2009 +0200

    Adding this somewhat awkward code to preserve const correctness in other file.  std::map::operator[] has side effects on the map, since if it doesn't find the key it inserts the key with an empty value.  This is maybe not desired in the original code, but it doesn't add any check related to this.  In my opinion, it would be better to use std::vector<std::vector<int> > (or even a classic C array) to index an element of the matrix, which in my understanding it's what the original code is trying to do and the reason why it uses this matrix-like double-indexation (indexing different square sectors of a map, or something like that).

22	4	src/components/ogre/terrain/TerrainPageFoliage.cpp

commit 9c6ea7a9c255c4d1c4f12dd875ec514f1b110436
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 22:22:55 2009 +0200

    const correctness, including the use of const_iterator to not upset other classes unnecessarily.

5	5	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
2	2	src/components/ogre/terrain/TerrainPageSurfaceLayer.h

commit bc2aab44c955bfdce6fd9e077722d25dc6a16085
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 20:45:02 2009 +0200

    Removing unused macros, const correctness in one method

1	17	src/components/ogre/terrain/TerrainPageFoliage.cpp
6	2	src/components/ogre/terrain/TerrainPageFoliage.h

commit 6bdc51b2ef13e6f8261c10bbeeb192690ecd1152
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 20:10:28 2009 +0200

    Remove many header inclusions (using forward declarations where needed), dead code in macros

12	34	src/components/ogre/terrain/TerrainPage.cpp
17	6	src/components/ogre/terrain/TerrainPage.h

commit a0f6fc4b5bf3ef8e90dfb4573e46931f5c8ac77d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 19:59:41 2009 +0200

    const correctness and header cleanup

8	8	src/components/ogre/terrain/TerrainPageShadow.cpp
15	8	src/components/ogre/terrain/TerrainPageShadow.h

commit 0c2957a84936b8230e4a9e0abb50ccd0b04aabb4
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 19:48:11 2009 +0200

    const correctness

12	19	src/components/ogre/terrain/TerrainGenerator.cpp
8	8	src/components/ogre/terrain/TerrainGenerator.h

commit 5f6c2f9ffe0e70c8091c46fc6e63f3a910a0031f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 19:39:49 2009 +0200

    const correctness

2	2	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
2	2	src/components/ogre/terrain/TerrainPageSurfaceLayer.h

commit 2c8ae64b19b88c3f3b23b518fc6fceb9eef2416d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 18:28:36 2009 +0200

    Removing unneeded headers

1	1	src/components/ogre/widgets/MakeEntityWidget.cpp
0	3	src/components/ogre/widgets/adapters/atlas/AreaAdapter.cpp

commit 209190ae2e007c0e3b633d3630ad948fd62652b9
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 17:09:21 2009 +0200

    Reformatting automatically, since the format of this file is completely incoherent and renders the file quite unreadable

222	222	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D.h
443	425	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D.cpp

commit 70daf372e31a4786791e1962afb54db90129ba88
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 15:47:19 2009 +0200

    Remove unneeded inclusion of Mercator header

1	1	src/components/ogre/WorldEmberEntity.cpp

commit 497194ed8391898fad9361b5ec21e41c361b1cc9
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 15:36:00 2009 +0200

    Remove unneeded inclusion of Mercator headers and namespaces, they're not used at all

0	2	src/components/ogre/EmberEntity.cpp
0	6	src/components/ogre/EmberEntity.h

commit e7b30d8a49be994e6ad840df72876d470aba2e56
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 15:27:51 2009 +0200

    Remove unneeded inclusion of header

0	2	src/components/ogre/environment/FoliageBase.cpp

commit e15ec4a96cee7ee95f1a8301b73ae67047123426
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 00:46:57 2009 +0200

    Renaming method to avoid confusion with ModelPart visibility concepts -- different from what this method does (advised by Erik)

2	2	src/components/ogre/EmberEntityPartAction.cpp
1	1	src/components/ogre/EmberPhysicalEntity.cpp
1	1	src/components/ogre/EmberPhysicalEntity.h

commit e9b972d763c1f4c13ff453756d41cc2005450351
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 16 00:33:54 2009 +0200

    Loading resource groups one at a time, continue loading if one of them fails

9	7	src/components/ogre/OgreResourceLoader.cpp

commit 8c15da018b94d9546f93586142088463b815892f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 23:02:06 2009 +0200

    Merging two functions in one, so instead of repeating 10 lines of code with only one different line we only maintain one copy and one method signature with an added boolean parameter.  This function will be probably modified later to pre-load stuff, so it's important to keep things streamlined and not duplicating new chunks of code.  Cleanup of headers, and removal of dead, obsolete commented out code.

2	12	src/components/ogre/EmberEntityPartAction.cpp
9	21	src/components/ogre/EmberPhysicalEntity.cpp
7	10	src/components/ogre/EmberPhysicalEntity.h

commit a761983c3d999a9912d18ddba75d07adb02de900
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 21:47:16 2009 +0200

    Using const& for string parameter, and cleanup of headers

2	1	src/components/ogre/EmberEntityPartAction.cpp
5	4	src/components/ogre/EmberEntityPartAction.h

commit 14f575d84840009e2288b8ed1332370e37eb4392
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 20:58:41 2009 +0200

    Using const& for a string as parameter, so we avoid to copy the whole string back and forth everytime for nothing.

1	1	src/components/ogre/model/SubModelPart.cpp
1	1	src/components/ogre/model/SubModelPart.h

commit 63d7476773b825c1ca848eb7ed33d442c8a527c5
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 20:54:19 2009 +0200

    Cleanup of headers, adding constructor of a struct/class for cleaner and safer initialization (so it's not uninitialized by mistake), const safeness in one function parameter, and improving coding style conformance in a couple of loops.

11	13	src/components/ogre/model/SubModelPart.cpp
13	5	src/components/ogre/model/SubModelPart.h

commit 3d644054cea0480f440cb9777a95287ce3867c49
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 19:49:16 2009 +0200

    const correctness where possible.  Fixing function name, getShowContained(bool) to setShowContained(bool), because my understanding is that it's just a typo renaming the function, there's no documentation explaining why it's called get when it's a setter function, and because the function is not used (so that explains why the typo wasn't catched before).

11	11	src/components/ogre/model/ModelDefinition.cpp
11	11	src/components/ogre/model/ModelDefinition.h
1	1	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp

commit 634c70914f259fa1648d79df1e4137a92cd0dcbd
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 01:57:03 2009 +0200

    const correctness where possible

4	5	src/components/ogre/model/ModelDefinition.cpp
7	8	src/components/ogre/model/ModelDefinition.h

commit 2669d29301607e041ab98f24835de33c6201ec66
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 01:08:05 2009 +0200

    A bit of cleanup with headers, and removing unneeded typedef

1	0	src/components/ogre/model/SubModel.cpp
3	3	src/components/ogre/model/SubModel.h

commit a84eb5f3f39f9f512a4ff898c99212f56e215809
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue Jun 9 00:48:54 2009 +0200

    Avoiding the need for a copy when erasing iterators

4	9	src/components/ogre/model/ModelBackgroundLoader.cpp

commit cdf33a68c2900cc3b0b1b54d412c7b6b0b40a87c
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Mon Jun 8 20:58:42 2009 +0200

    Removal of duplicated code, header prioritization and reformatting (adhering to coding style where it diverged)

10	16	src/components/ogre/OgreResourceLoader.cpp
7	7	src/components/ogre/OgreResourceLoader.h
1	1	src/components/ogre/model/ModelBackgroundLoader.h
2	2	src/components/ogre/model/ModelDefinitionManager.cpp
20	14	src/components/ogre/model/ModelDefinitionManager.h

commit 27079e0b3677f87cc60b9eca4bd86fb7b3cf4c3c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Tue Jun 23 20:49:48 2009 +0200

    The extension is disabled in Ogre 1.6.3, so there's no need to do that
    ourselves.

3	0	src/components/ogre/OgreSetup.cpp

commit f2976cf40fef0fd05a1bcb5ad7a322534595072b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jun 19 14:09:55 2009 +0200

    Provide correct shaders.

37	37	src/components/ogre/environment/pagedgeometry/source/ImpostorPage.cpp
26	5	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp

commit b10c8e5dff6a644df58ca61693cf6fa2fcdc6220
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jun 19 00:10:33 2009 +0200

    Send the correct parameters.

13	1	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp

commit d41951db49bff1489af09a79699d168faf9e44b8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Thu Jun 18 00:08:26 2009 +0200

    Use the correct shader name.

3	2	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp

commit 6ea0be408c06f43ce77eb9f198dee81f9cd4725f
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Jun 17 19:20:29 2009 +0200

    Provide a fragment program too, else it will break on ATI cards.

74	31	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp

commit f0045d283fd302f189cdeb96033fbbab38d32966
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue Jun 9 00:00:16 2009 +0200

    Fixed fog on the bathed foliage.

18	11	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp

commit 852ff007e70d62011f0e894185e60e80415df8c5
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri Jun 5 00:27:08 2009 +0200

    Added checks for if the shaders really compiled.

7	1	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp

commit 012b51d7524eab191c813493faa0b51083c55199
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu Jun 4 23:40:36 2009 +0200

    On ATI cards under OpenGL you'll get all kinds of artifacts when you mix
    shaders and fixed functions in the same pass, so we'll provide a simple
    fragment shader too.

60	12	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp

commit 8862dd367bbf5b03623db4dc743ac3e03b7ac83b
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 28 22:42:25 2009 +0200

    Update to fit with newer caelum.

126	110	src/components/ogre/environment/pagedgeometry/include/GrassLoader.h

commit 616c2af4985c640874461e43da2a39905d5dac6e
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 16 01:09:46 2009 +0200

    Sync with trunk.

2	2	src/components/ogre/environment/pagedgeometry/Makefile.am
48	40	src/components/ogre/environment/pagedgeometry/include/BatchPage.h
88	82	src/components/ogre/environment/pagedgeometry/include/BatchedGeometry.h
329	323	src/components/ogre/environment/pagedgeometry/include/GrassLoader.h
331	321	src/components/ogre/environment/pagedgeometry/include/ImpostorPage.h
461	258	src/components/ogre/environment/pagedgeometry/include/PagedGeometry.h
3	3	src/components/ogre/environment/pagedgeometry/include/PassiveEntityPage.h
146	159	src/components/ogre/environment/pagedgeometry/include/PropertyMaps.h
283	283	src/components/ogre/environment/pagedgeometry/include/StaticBillboardSet.h
84	49	src/components/ogre/environment/pagedgeometry/include/TreeLoader2D.h
85	50	src/components/ogre/environment/pagedgeometry/include/TreeLoader3D.h
69	0	src/components/ogre/environment/pagedgeometry/include/WindBatchPage.h
50	0	src/components/ogre/environment/pagedgeometry/include/WindBatchedGeometry.h
372	270	src/components/ogre/environment/pagedgeometry/source/BatchPage.cpp
308	166	src/components/ogre/environment/pagedgeometry/source/BatchedGeometry.cpp
370	357	src/components/ogre/environment/pagedgeometry/source/GrassLoader.cpp
208	178	src/components/ogre/environment/pagedgeometry/source/ImpostorPage.cpp
877	633	src/components/ogre/environment/pagedgeometry/source/PagedGeometry.cpp
1	1	src/components/ogre/environment/pagedgeometry/source/PassiveEntityPage.cpp
287	279	src/components/ogre/environment/pagedgeometry/source/PropertyMaps.cpp
668	643	src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp
302	121	src/components/ogre/environment/pagedgeometry/source/TreeLoader2D.cpp
280	101	src/components/ogre/environment/pagedgeometry/source/TreeLoader3D.cpp
352	0	src/components/ogre/environment/pagedgeometry/source/WindBatchPage.cpp
426	0	src/components/ogre/environment/pagedgeometry/source/WindBatchedGeometry.cpp

commit 0dab43fde6223e64074fa1f1e52850119d593f4b
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 15 23:56:05 2009 +0200

    Provide better error output.

12	12	src/components/ogre/environment/ShrubberyFoliage.cpp

commit 16f02852bcdc012744a5b459e57c0c56ecfe06f2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   Fri Jun 19 01:43:27 2009 +0200

    Make the scripts a little more general.

28	28	make_dist_media.sh
2	1	refresh-amber-media-dev.sh

commit 91ada6a21358f89c9be3e07de894c1e79721d7bc
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Jun 17 19:21:01 2009 +0200

    Don't build shared libraries. This will cut the compile time in half.

1	0	configure.ac

commit 299db8b9a6aa9033058fb36f2f677763068711e6
Merge: a2d96fe 48744af
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu Jun 4 23:43:16 2009 +0200

    Merge git://git.worldforge.org/gsoc2009/mafm-ember into merge_mafms_changes
    
    Conflicts:
    	src/components/ogre/EmberOgre.cpp

commit a2d96feb483e4eec126b4f2ee1f37192dd70edbf
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu Jun 4 23:41:35 2009 +0200

    Removed the loading of JesusEdit.

1	1	src/components/ogre/GUIManager.cpp

commit 23d4853a7860d23628491570ae2c7844629c0090
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Jun 3 23:28:38 2009 +0200

    Provide a common method for safely performing functions on entities
    identified by their id. This allows us to safely do stuff on entities
    which might have been removed from the world.

19	0	src/components/ogre/widgets/Bootstrap.lua
1	4	src/components/ogre/widgets/EntityPicker.lua
5	3	src/components/ogre/widgets/Give.lua

commit 714a23c530dd41e7f020be0cbd0ac60a4d70e1ce
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue Jun 2 00:11:40 2009 +0200

    Don't store a reference to the entity picked, instead just store the id
    and do a lookup when trying to act on it. This will fix a crash when the
    entity has disappeared.

66	48	src/components/ogre/widgets/EntityPicker.lua

commit fd02407f2f684782289124e93d1009991102462c
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon Jun 1 23:41:09 2009 +0200

    Added disabling of hardware mipmapping on ATI cards since this lead to
    random OpenGL stack corruption. Future versions of Ogre might do this
    disabling automatically.

19	1	src/components/ogre/OgreSetup.cpp

commit 89396880df906e56c9fa202350ea14fa463f84f6
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon Jun 1 00:09:05 2009 +0200

    Use correct logic, so that the compass actually is shown.

2	2	src/components/ogre/widgets/Compass.lua

commit 44c5216fc0728e2970dcd35311231dfa80554a15
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 31 22:59:01 2009 +0200

    Make sure that the render texture exists. We might need to move some of
    this functionality to the SimpleRenderContext to make the coupling a
    little looser.

6	3	src/components/ogre/SimpleRenderContext.cpp
15	9	src/components/ogre/widgets/EntityCEGUITexture.cpp
4	2	src/components/ogre/widgets/MovableObjectRenderer.cpp
17	13	src/components/ogre/widgets/icons/IconRenderer.cpp

commit 48744af3a0fed6f700e2748a381e9d2968186438
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Sat May 30 00:26:14 2009 +0200

    Setting the & of references to the appropriate place, and using a const reference (instead of copying) for up vector -- it's const, so it's not harmful

2	2	src/services/sound/SoundService.cpp
2	2	src/services/sound/SoundService.h

commit dcd977d6392a7ec99d07bdb7194ac313222042bf
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri May 29 20:22:09 2009 +0200

    Restoring header/doxygen formatting

17	17	src/services/sound/SoundService.cpp
29	69	src/services/sound/SoundService.h

commit b396e01b86e863bb59e2defc4ed1dfb909c4eea5
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri May 29 20:18:09 2009 +0200

    Restoring header/doxygen formatting

1	4	src/services/sound/SoundSource.h

commit 66f296a91ca0b71232ed7f2116f53695c4e92139
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri May 29 20:05:41 2009 +0200

    Restoring header/doxygen formatting

16	16	src/services/sound/SoundSample.cpp
26	61	src/services/sound/SoundSample.h

commit 20dc846c23c97dbb22a2f593256985494c35acb2
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri May 29 20:01:28 2009 +0200

    Restoring header/doxygen formatting

17	17	src/services/sound/SoundGeneral.cpp
19	27	src/services/sound/SoundGeneral.h

commit 105f643efa12a8e52ba1cf4e896968eef260193e
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Fri May 29 18:28:30 2009 +0200

    Removing myself from copyright, I didn't create significant contributions to this area -- as initially thought.

0	1	src/services/sound/SoundGeneral.cpp
0	1	src/services/sound/SoundGeneral.h
0	1	src/services/sound/SoundSample.cpp
0	1	src/services/sound/SoundSample.h
0	1	src/services/sound/SoundService.cpp
0	1	src/services/sound/SoundService.h
0	2	src/services/sound/SoundSource.h

commit ef9cffdf59172d9873f6e337d4c6590bd847c84b
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 28 23:49:43 2009 +0200

    Actually remove all references to the obsolete components this time.

159	157	src/components/ogre/EmberOgre.cpp
2	2	src/components/ogre/EmberOgre.h
8	8	src/components/ogre/Makefile.am
2	2	src/components/ogre/environment/Makefile.am
23	23	src/components/ogre/environment/Tree.cpp
3	3	src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
165	3105	src/components/ogre/scripting/bindings/lua/lua_EmberOgre.cpp
4	4	src/components/ogre/widgets/Makefile.am
6	10	src/components/ogre/widgets/WidgetDefinitions.cpp

commit 78035c96c1028f61f3d3b910544a7bcd3e382688
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 28 23:10:04 2009 +0200

    Removed a couple of unused files from the source. These haven't been
    part of the build for a while, but they are completly unused and
    therefore only clutter the source.

1	2	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am
0	67	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightField.h
0	54	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.h
0	63	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldN.h
0	68	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldNTC.h
0	54	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRaw.h
0	60	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldRawTC.h
0	64	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_HeightFieldTC.h
0	62	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeData2D_Spline.h
0	46	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture.h
0	38	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_BaseTexture2.h
0	42	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Image.h
0	45	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTexture.h
0	41	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureEdit.h
0	48	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.h
0	63	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_None.h
0	54	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting.h
0	41	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2.h
0	39	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting2Edit.h
0	42	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting3.h
0	39	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting4.h
0	41	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting5.h
0	40	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting6.h
0	39	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7.h
0	42	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_Splatting7Edit.h
0	41	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_SplattingShader.h
0	39	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture_SplattingShaderEdit.h
0	485	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightField.cpp
0	421	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldBlendNeighbor.cpp
0	364	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldN.cpp
0	274	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldNTC.cpp
0	305	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRaw.cpp
0	337	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldRawTC.cpp
0	246	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_HeightFieldTC.cpp
0	147	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeData2D_Spline.cpp
0	259	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture.cpp
0	63	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_BaseTexture2.cpp
0	57	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Image.cpp
0	67	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTexture.cpp
0	66	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureEdit.cpp
0	167	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_InstantBaseTextureShadowed.cpp
0	443	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting.cpp
0	68	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2.cpp
0	74	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting2Edit.cpp
0	72	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting3.cpp
0	69	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting4.cpp
0	71	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting5.cpp
0	69	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting6.cpp
0	70	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7.cpp
0	75	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_Splatting7Edit.cpp
0	71	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShader.cpp
0	72	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTexture_SplattingShaderEdit.cpp

commit 19a8925762662ebf36bdef394a99af6c9541fcf5
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 28 23:05:10 2009 +0200

    Deactivated components that aren't currently used. They are still left
    in the source tree in the hope that they will find use again in the
    future, but removing them from the build will hopefully cut down on the
    build time.

1	2	src/components/Makefile.am
3	2	src/components/ogre/Makefile.am
75	74	src/components/ogre/environment/HydraxWater.cpp
8	8	src/components/ogre/environment/HydraxWater.h
2	1	src/components/ogre/environment/Makefile.am

commit 46f957fe5fde7050572cf39d5a1ce18da2c0daa9
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 28 22:43:09 2009 +0200

    Added extra sanity check.

4	2	src/components/ogre/environment/Foliage.cpp

commit afcec25c0005a02a63935941455eb99f47cd700a
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 15:35:31 2009 +0200

    Removing threaded parts of the application to call sound: it's not needed as per discussed, not safe (SoundInstance pointers pointing to object possibly being destroyed, despite stating otherwise), and not properly implemented anyway (apart from the aforementioned, it would need mutexes and other stuff being really used, for thread-safeness).

0	16	src/main/Application.cpp

commit 086aba2cab7aa26abeff63b6a47358f70fa47ff6
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 15:31:24 2009 +0200

    Removing pthread mutexes, not used

0	6	src/services/sound/SoundService.cpp
0	10	src/services/sound/SoundService.h

commit b2a422ec199fd933fafd0eecc57118c0513c6923
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 03:14:04 2009 +0200

    Removing header included twice

3	8	src/components/ogre/EmberOgre.cpp

commit c95a7814a7ddae0080e3e2b21feaeb78bc4eddf1
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 02:21:25 2009 +0200

    Header cleanup -- remove unneeded includes

0	1	src/components/ogre/Avatar.cpp
1	2	src/components/ogre/EmberEntity.cpp
0	1	src/components/ogre/sound/SoundAction.cpp
0	1	src/services/sound/SoundSample.cpp

commit c1fddd4b9b1a5bfcd1f07252c43ebcbfee6e7618
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 01:45:14 2009 +0200

    Header cleanup

3	5	src/services/sound/SoundService.cpp
1	2	src/services/sound/SoundService.h

commit e4b7872b2ca745355789f7936e5ba2ccc38589e1
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 00:32:58 2009 +0200

    Adding check and linking options for Boost::Thread, removing the one of pthreads

11	16	configure.ac

commit eb21c30d75cd55d27e28bdf025510b5bf5fee10b
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 00:30:39 2009 +0200

    Header cleanup

0	2	src/services/server/ServerService.cpp
1	0	src/services/server/ServerService.h

commit 6890c6e5afa2294c6fad41d1081e050735651c2f
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 00:26:53 2009 +0200

    Maybe ConsoleCommandWrapper should not be included (it's not needed for this file), but it's convenient to include it to not have to change many services using it.  It's better to include it before the generic <string>, anyway.

2	2	src/framework/ConsoleObject.h

commit 84d5959f6aa03875f7b9fa8487653ba78347b54d
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Thu May 28 00:22:58 2009 +0200

    const qualifier for getter methods

2	2	src/framework/Service.h

commit 59ce21a63d40ccd0904a75b909d6c73f0e647749
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 23:27:17 2009 +0200

    Removing dead, obsolete and commented out code

0	12	src/services/sound/SoundSample.cpp

commit 5b1ec6f0056c95c48027075ae1970a2ce7ded5ee
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 22:36:58 2009 +0200

    Removing unused method, which in addition is not correct (according to comments)

0	42	src/services/sound/SoundService.cpp
0	9	src/services/sound/SoundService.h

commit 39d78629d9d2fc5ab25e3d5165feb3d494a82fcb
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 22:13:42 2009 +0200

    Enhancements to documentation, and a bit of code cleanup

26	26	src/services/sound/SoundService.cpp
105	72	src/services/sound/SoundService.h

commit 35f0f44922d19c65aa3cda9b4c4a21cfd279c4ea
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 22:11:18 2009 +0200

    Relocation code to avoid having to forward-declare.  The moved clase maybe doesn't even belong in this file anyway...

45	46	src/services/sound/SoundSample.h

commit 5bf238aeacc5aedda5e9cd82d1f53b99335285d1
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 22:08:43 2009 +0200

    Documentation improvement and cosmetic/coding-style standardizations

6	3	src/services/sound/SoundSource.cpp
12	6	src/services/sound/SoundSource.h

commit 85d9ef8f2dba0280eb5e29d262a638608fa6e8d6
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 20:32:02 2009 +0200

    Adding missing include

1	0	src/components/ogre/sound/SoundGroup.cpp

commit 0944dce15b01500b3fae70e284f15a569f4d7156
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 19:56:52 2009 +0200

    Improved documentation again

4	8	src/services/sound/SoundSample.cpp
21	5	src/services/sound/SoundSample.h

commit 0df414a8a11ae9ed0712f2b4a737d94766c36be2
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 19:49:52 2009 +0200

    Added const guards, improving doxygen documentation

22	23	src/services/sound/SoundSample.cpp
117	80	src/services/sound/SoundSample.h

commit 00666a2f29447c82c87dac1a164431d9a89ad6d0
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 18:53:50 2009 +0200

    Fixing logic error: 'description' should be appended when it's NON-empty

3	2	src/services/sound/SoundGeneral.cpp

commit cc56c642565c6f88b716eda8b304c1ca638b669c
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Tue May 26 18:51:17 2009 +0200

    Enhanced doxygen comments and cleanup

27	25	src/services/sound/SoundGeneral.cpp
29	22	src/services/sound/SoundGeneral.h

commit 1106cca12b28bf315e2e70b57f7d58cb53720f50
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sat May 16 20:43:47 2009 +0400

    Fix includes for OGRE 1.6.1.

3	1	src/components/ogre/OgreSetup.cpp

commit f50ea600dbe73141eedf58cb05b6a435816e1099
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 15 00:37:43 2009 +0200

    Make sure the compass textures exists first.

12	8	src/components/ogre/widgets/Compass.lua

commit 930c9c60b01a8f1450e39515ff0588f7c6a98310
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu May 14 21:24:56 2009 +0200

    Tru to make sure that entities that are children to entities that are
    already attached also are attached in a similar way.

29	20	src/components/ogre/EmberPhysicalEntity.cpp
1	6	src/components/ogre/EmberPhysicalEntity.h

commit a4ea3bb5a5bd4a23d905dbddd7b62814ed58e4c0
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue May 12 14:11:27 2009 +0200

    Removed the references to Ogre.h in favour of including only the needed
    headers, in hope that it will decrease compile time.

36	34	src/components/ogre/Avatar.cpp
106	101	src/components/ogre/AvatarCamera.cpp
100	95	src/components/ogre/AvatarCamera.h
29	27	src/components/ogre/AvatarController.cpp
38	35	src/components/ogre/AvatarController.h
18	14	src/components/ogre/AvatarTerrainCursor.cpp
2	0	src/components/ogre/AvatarTerrainCursor.h
1	0	src/components/ogre/EmberEntity.cpp
3	0	src/components/ogre/EmberEntity.h
22	21	src/components/ogre/EmberEntityFactory.h
26	24	src/components/ogre/EmberEntityUserObject.h
75	74	src/components/ogre/EmberOgre.h
4	0	src/components/ogre/EmberPhysicalEntity.cpp
20	17	src/components/ogre/EntityWorldPickListener.cpp
14	13	src/components/ogre/EntityWorldPickListener.h
72	68	src/components/ogre/GUIManager.cpp
67	66	src/components/ogre/GUIManager.h
6	0	src/components/ogre/MathConverter.h
19	16	src/components/ogre/MeshCollisionDetector.cpp
12	10	src/components/ogre/MotionManager.cpp
20	1	src/components/ogre/OgreIncludes.h
8	8	src/components/ogre/OgreLogObserver.cpp
8	7	src/components/ogre/OgreLogObserver.h
28	27	src/components/ogre/OgreResourceLoader.cpp
15	15	src/components/ogre/OgreResourceLoader.h
8	7	src/components/ogre/OgreResourceProvider.cpp
8	7	src/components/ogre/OgreResourceProvider.h
35	31	src/components/ogre/OgreSetup.cpp
20	18	src/components/ogre/OgreSetup.h
6	5	src/components/ogre/OpcodeCollisionDetectorVisualizer.cpp
13	11	src/components/ogre/OpcodeCollisionDetectorVisualizer.h
13	13	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeTexture.h
12	11	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp
12	7	src/components/ogre/ShaderManager.cpp
32	26	src/components/ogre/SimpleRenderContext.cpp
80	77	src/components/ogre/SimpleRenderContext.h
9	6	src/components/ogre/XMLHelper.cpp
6	5	src/components/ogre/XMLHelper.h
55	54	src/components/ogre/carpenter/BluePrint.cpp
40	37	src/components/ogre/carpenter/BluePrint.h
11	11	src/components/ogre/carpenter/Carpenter.cpp
21	18	src/components/ogre/carpenter/Carpenter.h
12	10	src/components/ogre/environment/Environment.cpp
10	8	src/components/ogre/environment/Foliage.cpp
8	7	src/components/ogre/environment/Foliage.h
24	17	src/components/ogre/environment/LensFlare.cpp
7	6	src/components/ogre/environment/LensFlare.h
6	5	src/components/ogre/environment/SimpleEnvironment.cpp
15	12	src/components/ogre/environment/SimpleWater.cpp
22	18	src/components/ogre/environment/Sun.cpp
24	23	src/components/ogre/environment/Sun.h
32	21	src/components/ogre/environment/Water.cpp
13	12	src/components/ogre/environment/Water.h
15	15	src/components/ogre/environment/pagedgeometry/include/ImpostorPage.h
8	8	src/components/ogre/environment/pagedgeometry/include/StaticBillboardSet.h
61	54	src/components/ogre/jesus/Jesus.cpp
41	39	src/components/ogre/jesus/Jesus.h
5	4	src/components/ogre/jesus/JesusPickerObject.h
1	0	src/components/ogre/manipulation/EntityMover.cpp
1	0	src/components/ogre/manipulation/EntityMoverBase.cpp
9	7	src/components/ogre/manipulation/EntityRecipe.h
21	13	src/components/ogre/manipulation/MaterialEditor.cpp
1	0	src/components/ogre/manipulation/MovementAdapter.cpp
18	17	src/components/ogre/manipulation/MovementAdapter.h
5	6	src/components/ogre/manipulation/Polygon.cpp
14	11	src/components/ogre/manipulation/PolygonPoint.cpp
6	5	src/components/ogre/manipulation/PolygonPointMover.cpp
5	3	src/components/ogre/manipulation/PolygonPointPickListener.cpp
2	0	src/components/ogre/manipulation/SnapToMovement.cpp
4	3	src/components/ogre/manipulation/XMLEntityRecipeSerializer.h
7	6	src/components/ogre/model/AnimationSet.cpp
22	20	src/components/ogre/model/AnimationSet.h
3	0	src/components/ogre/model/Model.cpp
1	0	src/components/ogre/model/Model.h
10	6	src/components/ogre/model/ModelBackgroundLoader.cpp
18	15	src/components/ogre/model/ModelBackgroundLoader.h
112	104	src/components/ogre/model/ModelDefinition.h
16	13	src/components/ogre/model/ModelDefinitionManager.cpp
9	6	src/components/ogre/model/ParticleSystem.cpp
6	4	src/components/ogre/model/ParticleSystemBinding.cpp
11	9	src/components/ogre/model/SubModel.cpp
8	6	src/components/ogre/model/SubModelPart.cpp
93	92	src/components/ogre/model/XMLModelDefinitionSerializer.cpp
16	14	src/components/ogre/scripting/LuaScriptingProvider.cpp
8	7	src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.cpp
3	2	src/components/ogre/scripting/bindings/lua/ogre/required.h
1	0	src/components/ogre/sound/XMLSoundDefParser.h
27	23	src/components/ogre/terrain/Map.cpp
51	45	src/components/ogre/terrain/Map.h
58	56	src/components/ogre/terrain/TerrainEditor.cpp
60	59	src/components/ogre/terrain/TerrainEditor.h
78	75	src/components/ogre/terrain/TerrainGenerator.cpp
8	6	src/components/ogre/terrain/TerrainInfo.cpp
65	64	src/components/ogre/terrain/TerrainPage.h
28	25	src/components/ogre/terrain/TerrainPageFoliage.cpp
24	19	src/components/ogre/terrain/TerrainPageShadow.cpp
15	13	src/components/ogre/terrain/TerrainPageShadow.h
15	12	src/components/ogre/terrain/TerrainPageSurface.cpp
19	17	src/components/ogre/terrain/TerrainPageSurface.h
7	5	src/components/ogre/terrain/TerrainPageSurfaceCompiler.h
55	45	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
28	25	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueSimple.cpp
24	21	src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
24	22	src/components/ogre/terrain/TerrainPageSurfaceLayer.h
35	32	src/components/ogre/terrain/TerrainShader.cpp
15	15	src/components/ogre/terrain/TerrainShader.h
7	6	src/components/ogre/terrain/XMLLayerDefinitionSerializer.h
16	14	src/components/ogre/widgets/AssetsManager.cpp
1	0	src/components/ogre/widgets/EntityCreator.cpp
15	14	src/components/ogre/widgets/EntityCreator.h
7	6	src/components/ogre/widgets/IconBar.cpp
1	0	src/components/ogre/widgets/IngameChatWidget.h
29	28	src/components/ogre/widgets/InspectWidget.h
11	10	src/components/ogre/widgets/ListHolder.cpp
94	90	src/components/ogre/widgets/LoadingBar.cpp
24	23	src/components/ogre/widgets/LoadingBar.h
48	42	src/components/ogre/widgets/MeshPreview.cpp
11	10	src/components/ogre/widgets/ModelRenderer.cpp
17	11	src/components/ogre/widgets/MovableObjectRenderer.cpp
60	60	src/components/ogre/widgets/MovableObjectRenderer.h
8	5	src/components/ogre/widgets/OgreEntityRenderer.cpp
7	6	src/components/ogre/widgets/QuaternionAdapter.cpp
11	10	src/components/ogre/widgets/QuaternionAdapter.h
6	5	src/components/ogre/widgets/Vector3Adapter.cpp
10	9	src/components/ogre/widgets/Vector3Adapter.h
9	7	src/components/ogre/widgets/WidgetPool.h
14	12	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
10	8	src/components/ogre/widgets/icons/IconManager.cpp
28	22	src/components/ogre/widgets/icons/IconRenderer.cpp
40	38	src/components/ogre/widgets/icons/IconRenderer.h

commit 17daf253a4f38ffb0e96b2d9877d0a850a81b57f
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 22:55:58 2009 +0200

    Don't include the whole of Ogre.

202	13	src/components/ogre/OgreIncludes.h

commit becaea6f17637f78bd048a5121d68cbe926dfc1e
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 22:55:07 2009 +0200

    Fixes for attaching children, though it currently crashes.

1	1	src/components/ogre/EmberPhysicalEntity.cpp

commit 74479b6b311ebea28777e4f1ddc080d3f82eacb1
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 21:54:19 2009 +0200

    Make sure that if any child is added to an entity which is attached to a
    model, the child will also be attached.

16	4	src/components/ogre/EmberPhysicalEntity.cpp
9	1	src/components/ogre/EmberPhysicalEntity.h

commit fa6eebf7719e0854c4438c5e8c34e972069dd742
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon May 11 22:50:08 2009 +0400

    Disabling the fog in the lighting pass for low-level graphics terrain. Otherwise, it thinks that area in fog is lit (as lighting texture becomes white there).

1	1	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueSimple.cpp

commit 0d7fd41e752aebf962846bf9ff76c76edb91ff58
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 15:52:31 2009 +0200

    Added mapping for showing a simple box for the ocean. The textures will
    be stretched and it won't look very good, but at least it will show
    something.

1	0	src/components/ogre/modeldefinitions/modelmappings.modelmap.xml
21	0	src/components/ogre/modeldefinitions/ocean.modeldef

commit 1edf6dd738fa51e98c8cbc2b251d7a2b58262e78
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon May 11 14:48:40 2009 +0400

    Different size of scales array for different number of layers to prevent optimizing unused components away and trying to make ATI driver happy.

3	2	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp

commit 6cbbc093642374c3007a1e2138347f7e07d7b758
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 01:03:59 2009 +0200

    Removed debug output.

0	1	src/components/ogre/EmberPhysicalEntity.cpp

commit 9d7baa1a68b8ee34f637ccd373ecb2e8a218b7ad
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 11 00:51:34 2009 +0200

    Make sure that all child entities also gets attached, walk through the
    hierarcy and attach them all to the model. If any of them changes
    however it won't register, so that's something we might need to look
    into.

300	243	src/components/ogre/EmberEntity.cpp
60	61	src/components/ogre/EmberEntity.h
41	9	src/components/ogre/EmberPhysicalEntity.cpp
104	118	src/components/ogre/EmberPhysicalEntity.h

commit 561f29629603ec2a4c7c0d4c23eb5dd9f0535635
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 10 22:21:14 2009 +0200

    Attach even lights and particle systems, also fixed formatting.

331	253	src/components/ogre/EmberPhysicalEntity.cpp
450	325	src/components/ogre/model/Model.cpp
147	168	src/components/ogre/model/Model.h
99	64	src/main/Ember.cpp

commit cbdbd74de42d198321bb8e9e8a9b825dcd84009b
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 10 01:03:50 2009 +0200

    Fixed an issue where the config listener wasn't correctly disconnected
    when deleting, leading to dangling references.
    Also moved the ConfigListenerContainer into its own file.

76	76	src/components/ogre/Avatar.h
31	31	src/components/ogre/AvatarTerrainCursor.h
12	12	src/components/ogre/ShaderManager.h
29	29	src/components/ogre/ShadowCameraSetup.h
8	8	src/components/ogre/environment/CaelumSky.h
21	21	src/components/ogre/environment/CaelumSun.h
6	6	src/components/ogre/gui/CEGUILogger.h
61	61	src/components/ogre/widgets/IngameChatWidget.h
11	39	src/services/config/ConfigListener.cpp
26	67	src/services/config/ConfigListener.h
64	0	src/services/config/ConfigListenerContainer.cpp
84	0	src/services/config/ConfigListenerContainer.h
2	2	src/services/config/Makefile.am

commit 9ac05c4e37d826e30409c9800f84aec624078397
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sat May 9 17:27:18 2009 +0400

    Updating modeldefs for shrubs.

1	1	src/components/ogre/modeldefinitions/bush.modeldef
3	0	src/components/ogre/modeldefinitions/modelmappings.modelmap.xml
21	0	src/components/ogre/modeldefinitions/shrubA.modeldef
1	1	src/components/ogre/modeldefinitions/shrubB.modeldef

commit 6fa5a1e6099f437f63f47eb602fbc78047160b79
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 16:08:25 2009 +0400

    Scaling smoke trail by fire status attribute.

1	0	src/components/ogre/modeldefinitions/environment.modeldef.xml

commit 4beefbecda4702acd93e3e723e40d3dd2743369d
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 16:08:03 2009 +0400

    Rotating torch by 90° to make it stand on the ground.

1	1	src/components/ogre/modeldefinitions/torch.modeldef

commit 81662291f64803ef78fd5ad7a132be5921f19d96
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 16:04:50 2009 +0400

    Adding binding for time_to_live particle system attribute.

10	0	src/components/ogre/model/ParticleSystemBinding.cpp

commit 3795f2fe9688adf5cdee85f038151dfa6cb1fca0
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 14:21:43 2009 +0400

    Add tinderbox and torch entity recipes.

18	0	src/components/ogre/manipulation/entityrecipes/tinderbox.entityrecipe
18	0	src/components/ogre/manipulation/entityrecipes/torch.entityrecipe

commit d5d0757920262fb4cbdea49eea062bebcb51c08a
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 02:24:13 2009 +0400

    Scale campfire by width.

2	2	src/components/ogre/modeldefinitions/campfire.modeldef

commit ac1bca95c16efe1aebeddaf7949dde70ade6617d
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 8 00:28:13 2009 +0400

    Remove a hack with light bound to campfire. Only light bound to fire left which means world would be dark after fire gone.

0	16	src/components/ogre/modeldefinitions/campfire.modeldef

commit 06a596875a335c132719d9e9e069d964d2583ab6
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Thu May 7 13:19:26 2009 +0400

    Set border colour for shadow texture to sane value.

1	1	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp

commit b4fcd3c6fccc10e09b41d6de72d43e88bc7dd9f6
Merge: 23e9887 57a37c0
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed May 6 22:09:47 2009 +0200

    Merge branch 'snap_to_move'

commit 57a37c0a475fb85a109b15de885616d8c3eaea91
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed May 6 22:08:28 2009 +0200

    Made both EntityMover and EntityCreatorMovementBridge use the same base
    class, so that they both benefit from the snapping functionality.

9	65	src/components/ogre/manipulation/EntityMover.cpp
11	17	src/components/ogre/manipulation/EntityMover.h
57	19	src/components/ogre/manipulation/EntityMoverBase.cpp
48	9	src/components/ogre/manipulation/EntityMoverBase.h
8	6	src/components/ogre/manipulation/SnapToMovement.cpp
61	15	src/components/ogre/manipulation/SnapToMovement.h
4	58	src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
8	33	src/components/ogre/widgets/EntityCreatorMovementBridge.h

commit 23e9887ce1c06ff1de94d2b44830597da7bb724c
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Thu May 7 00:06:31 2009 +0400

    Renamed jetty mesh location to correct one.

1	1	src/components/ogre/modeldefinitions/jetty.modeldef

commit 6aae5a41bb88e77c009f46b9c5d824542c61e489
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed May 6 08:26:06 2009 +0200

    Started on a common super class for all functionality which moves an
    entity.

80	0	src/components/ogre/manipulation/EntityMoverBase.cpp
69	0	src/components/ogre/manipulation/EntityMoverBase.h
2	2	src/components/ogre/manipulation/Makefile.am

commit 90062eb7fb4f13ccd2d1510695ddd94e2a81a837
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed May 6 00:17:29 2009 +0200

    Fixed rotation of all bounding boxes.

7	6	src/components/ogre/manipulation/EntityMover.cpp
17	15	src/components/ogre/manipulation/SnapToMovement.cpp
10	10	src/components/ogre/manipulation/SnapToMovement.h

commit 4f22b320352a3b99e71738ce6ffec905f69b6306
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue May 5 23:40:52 2009 +0200

    Fixed rotation of entities with bounding boxes which aren't based in one
    corner, but seemed to have introduced issues with bounding boxes which
    are based in one corner on the way.

11	6	src/components/ogre/manipulation/SnapToMovement.cpp

commit b96408c389ec2ee5e986337aa3e16ad8ba5628de
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue May 5 23:39:56 2009 +0200

    Fixed some issues with how the objects were deleted. The ownership
    hierarcy here is however way too complicated and we need to simplify it.
    It's too easy to make a mistake as it is, leading to segfaults and other
    uglyness.

20	12	src/components/ogre/manipulation/MovementAdapter.cpp
8	5	src/components/ogre/manipulation/PolygonPointMovement.cpp
5	10	src/components/ogre/manipulation/PolygonPointMovement.h
9	9	src/components/ogre/widgets/EntityCreator.cpp
7	5	src/components/ogre/widgets/EntityCreatorMovement.cpp
6	10	src/components/ogre/widgets/EntityCreatorMovement.h

commit 4b192652f431327b2e7d448ec28d2c5386ab3010
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue May 5 18:25:56 2009 +0200

    Rotate it in a more correct way.

16	12	src/components/ogre/manipulation/SnapToMovement.cpp

commit 8259118d1513086196b6fba6f3e6b262e986a476
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 3 23:01:08 2009 +0200

    First working implementation, even though it's currently have a couple
    of issues.

2	3	src/components/ogre/manipulation/EntityMover.cpp
5	1	src/components/ogre/manipulation/EntityMover.h
6	1	src/components/ogre/manipulation/MovementAdapter.cpp
52	1	src/components/ogre/manipulation/SnapToMovement.cpp
8	0	src/components/ogre/manipulation/SnapToMovement.h

commit eee10e49c9b55f160f187395b2188d3860de2173
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 3 16:11:26 2009 +0200

    First draft of functionlity which tries to snap the moved entity to
    other entities.

11	1	src/components/ogre/manipulation/EntityMover.cpp
58	4	src/components/ogre/manipulation/SnapToMovement.cpp
9	1	src/components/ogre/manipulation/SnapToMovement.h

commit 4b32bc622057de5bd382fdaa200fa40cb0bc1297
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 19:32:58 2009 +0200

    Started on actual implementation.

18	2	src/components/ogre/manipulation/SnapToMovement.cpp
2	1	src/components/ogre/manipulation/SnapToMovement.h

commit fe9da9f81031ddc7784e7a4547ebf39c5a2e397c
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue May 5 19:57:22 2009 +0400

    Using 32 bit float texture for shadows. Seems half-float precision is not enough for our broad outdoor scene to properly render shadows from sunlight.

8	8	src/components/ogre/ShadowCameraSetup.cpp

commit 22800ce133e09277d1247f3cb4a50423d02e03f4
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue May 5 19:55:26 2009 +0400

    Putting set of render back faces param with true value (default).

1	0	src/components/ogre/ShadowCameraSetup.cpp

commit 2ff087d4dc674d1fa3e5bf99fb880cf7866fed29
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon May 4 19:57:59 2009 +0400

    Removing commented shadow setup.

0	74	src/components/ogre/WorldEmberEntity.cpp

commit b3fc815229afb2d9784689aa4f4b8eb6665e555e
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon May 4 13:44:36 2009 +0400

    Setting default shadow caster material. It would be used for UI objects like lines and dots for terrain and area editors.

2	0	src/components/ogre/ShadowCameraSetup.cpp

commit af32b9c1cafc250045ba7b66d9650e079057a156
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon May 4 13:38:10 2009 +0400

    Fixing log messages.

2	2	src/components/ogre/ShadowCameraSetup.cpp

commit b517a0296e8cda7560286431aaa10d22245437ae
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon May 4 23:05:57 2009 +0200

    Fixed issue where the wrong symbol was used to access one of the parent
    classes.

1	1	src/components/ogre/widgets/EntityEditor.lua

commit 988fd923b1cfa627d9d43739141090577d4ae8a4
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 3 00:43:28 2009 +0200

    Removed unecessary zero precision on floating points.

10	10	src/components/ogre/widgets/AssetsManager.layout
10	10	src/components/ogre/widgets/Chat.layout
2	2	src/components/ogre/widgets/Compass.layout
5	5	src/components/ogre/widgets/ConsoleWidget.layout
5	5	src/components/ogre/widgets/Debug.layout
6	6	src/components/ogre/widgets/EntityBrowser.layout
2	2	src/components/ogre/widgets/EntityCreator.layout
14	14	src/components/ogre/widgets/EntityEditor.layout
32	32	src/components/ogre/widgets/EntityPicker.layout
8	8	src/components/ogre/widgets/Environment.layout
9	9	src/components/ogre/widgets/Give.layout
4	4	src/components/ogre/widgets/HelpWidget.layout
6	6	src/components/ogre/widgets/IndirectRenderingChecker.layout
5	5	src/components/ogre/widgets/IngameChatWidget.layout
3	3	src/components/ogre/widgets/InspectWidget.layout
2	2	src/components/ogre/widgets/Inventory.layout
4	4	src/components/ogre/widgets/InventoryWidget.layout
23	23	src/components/ogre/widgets/JesusEdit.layout
9	9	src/components/ogre/widgets/JesusEditFile.layout
5	5	src/components/ogre/widgets/JesusEditPreview.layout
1	1	src/components/ogre/widgets/Label.layout
13	13	src/components/ogre/widgets/MakeEntityWidget.layout
29	29	src/components/ogre/widgets/MeshPreview.layout
150	150	src/components/ogre/widgets/ModelEdit.layout
3	3	src/components/ogre/widgets/Performance.layout
3	3	src/components/ogre/widgets/PickingInfo.layout
7	7	src/components/ogre/widgets/Quit.layout
18	18	src/components/ogre/widgets/ScriptEdit.layout
9	9	src/components/ogre/widgets/ServerBrowser.layout
57	57	src/components/ogre/widgets/ServerWidget.layout
3	3	src/components/ogre/widgets/Status.layout
2	2	src/components/ogre/widgets/Tasks.layout
4	4	src/components/ogre/widgets/TerrainEditor.layout

commit 4ce5fa7e1603effe71e6b422768f67e10893a557
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun May 3 00:36:16 2009 +0200

    Added a warning about servers with no available characters.

105	73	src/components/ogre/widgets/ServerWidget.cpp
6	0	src/components/ogre/widgets/ServerWidget.h
19	0	src/components/ogre/widgets/ServerWidget.layout

commit c60d1493b640cc8b28810c529a901c7a2ceb498c
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 22:42:29 2009 +0200

    Added a menu item for the environment editor.

6	0	src/components/ogre/widgets/Admin.lua

commit 0cf9c5f90e5a175f6b4af94873d5fd18c36655e9
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 22:40:03 2009 +0200

    Bump version.

1	1	configure.ac

commit 85f0bdc5ad3b232c2dc96f0c4ce0ffd5c052ee36
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sat May 2 23:36:54 2009 +0400

    Adjusting far shadow layer.

2	2	ember.conf
2	2	src/components/ogre/ShadowCameraSetup.cpp

commit 0412af7a09d1c6e902b16f666b8d4217bb3342ef
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sat May 2 22:36:23 2009 +0400

    Readded shadow far distance param.

2	0	ember.conf
13	0	src/components/ogre/ShadowCameraSetup.cpp
9	1	src/components/ogre/ShadowCameraSetup.h

commit 59f8d7e26bf0df5338acc54c59b386e69e01f26b
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sat May 2 16:44:02 2009 +0400

    Add comments about shadow settings. Add useaggressivefocusregion param. Removed fardistance.

8	3	ember.conf
13	14	src/components/ogre/ShadowCameraSetup.cpp
2	2	src/components/ogre/ShadowCameraSetup.h

commit 32b6f1f8e07b87e1c7439af6e9c17c0e51951acb
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 00:50:56 2009 +0200

    Use default values if the setting can't be found.

1	1	ember.conf
5	5	src/components/ogre/ShadowCameraSetup.cpp

commit e11d59fb2593492794b80fa45b89d556c14a232b
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 00:50:19 2009 +0200

    Added a method for registering a listener together with a default value,
    which will be used if the sought after setting can't be found.

13	1	src/services/config/ConfigListener.cpp
17	2	src/services/config/ConfigListener.h

commit 98d8098a9750c913b055c5ccf8268fa297e5c4ae
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 00:16:16 2009 +0200

    Moved the pssm camera setup into a separate class and hook it up to
    listen to varconf changes so the shadows can be altered on the fly from
    inside Ember. Also provide base values in ember.conf.

9	0	ember.conf
3	3	src/components/ogre/Makefile.am
7	68	src/components/ogre/ShaderManager.cpp
7	0	src/components/ogre/ShaderManager.h
151	0	src/components/ogre/ShadowCameraSetup.cpp
121	0	src/components/ogre/ShadowCameraSetup.h

commit c1bf8cbb05aeda89189e4221d61a57c48d20bda1
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat May 2 00:14:56 2009 +0200

    Use a regular pointer since we want to make sure that the shader manager
    is destroyed before Ogre is.

4	2	src/components/ogre/EmberOgre.cpp
1	1	src/components/ogre/EmberOgre.h

commit dfef156067cfa2bb14dcbdfa15509cdcdcf8c672
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 1 22:35:58 2009 +0200

    Moved to its correct place.

2	2	src/components/ogre/manipulation/Makefile.am
46	0	src/components/ogre/manipulation/SnapToMovement.cpp
55	0	src/components/ogre/manipulation/SnapToMovement.h
2	3	src/main/Makefile.am
0	46	src/main/SnapToMovement.cpp
0	55	src/main/SnapToMovement.h

commit 1cb13309b31283119933823cc8242cd6f0fa4bc1
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 1 19:43:19 2009 +0200

    Alter they way caelum is initialized, so that if an exception occurs
    during init we can properly clean up. When everything happens in the
    constructor, an exception will cause the destructor never to be called.

25	21	src/components/ogre/environment/CaelumEnvironment.cpp
4	4	src/components/ogre/environment/caelum/include/CaelumSystem.h
68	62	src/components/ogre/environment/caelum/src/CaelumSystem.cpp

commit 2791a95b1dcf58acc49bb52bf6795562b67f520d
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 1 19:40:02 2009 +0200

    Initial commit for class to handle snap-to entity movement.

3	2	src/main/Makefile.am
46	0	src/main/SnapToMovement.cpp
55	0	src/main/SnapToMovement.h

commit 09eaa891cd6d52ec20ecbdce4cd221d2e0a67838
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri May 1 19:36:59 2009 +0200

    Provide some more sane base values.

21	2	src/components/ogre/environment/SimpleEnvironment.cpp
3	0	src/components/ogre/environment/SimpleEnvironment.h

commit e2c4a6a2ab942f662fac0ea6f435ee51d66990ed
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 1 22:29:06 2009 +0400

    Adjusting second shadow layer.

5	7	src/components/ogre/ShaderManager.cpp

commit dc0fb4269f5c9eccfed0964e98281d6c9e492def
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Fri May 1 21:28:11 2009 +0400

    Adjusting shadows params.

8	4	src/components/ogre/ShaderManager.cpp

commit 17ab3940dce1cfc542c9ff6078eb1be91f379f88
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 26 20:26:45 2009 +0200

    Remove lights and particle systems when destroying model, and set the
    visibility of the lights when the visibility of the entity changes.

13	0	src/components/ogre/EmberPhysicalEntity.cpp
10	0	src/components/ogre/EmberPhysicalEntity.h
52	5	src/components/ogre/model/Model.cpp
39	8	src/components/ogre/model/Model.h
8	1	src/components/ogre/model/ParticleSystem.cpp
7	1	src/components/ogre/model/ParticleSystem.h

commit 7aa761a5c8c5008c86bcf781649dc0af09013a92
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon Apr 27 11:19:32 2009 +0400

    Fix for gcc 4.4.

1	0	src/framework/Log.cpp
1	0	src/framework/LoggingInstance.cpp

commit ba90df495eaf3b4754835f974015c6d7ba7027f7
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri Apr 24 20:12:43 2009 +0200

    News update.

14	10	NEWS

commit d3d6930da818b7d408865bc08833758a07e7c265
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Fri Apr 24 20:09:02 2009 +0200

    Updated model defs.

0	0	src/components/ogre/modeldefinitions/bearded_male.modeldef
0	0	src/components/ogre/modeldefinitions/buildings.modeldef
0	0	src/components/ogre/modeldefinitions/choppingblockA.modeldef
0	0	src/components/ogre/modeldefinitions/choppingblockB.modeldef
0	0	src/components/ogre/modeldefinitions/drystan_archer.modeldef
0	0	src/components/ogre/modeldefinitions/fencegate.modeldef
0	0	src/components/ogre/modeldefinitions/house_A.modeldef
0	0	src/components/ogre/modeldefinitions/humanoid.modeldef
0	0	src/components/ogre/modeldefinitions/inn.modeldef
0	0	src/components/ogre/modeldefinitions/mushroom.modeldef
0	0	src/components/ogre/modeldefinitions/mushroom_A.modeldef
0	0	src/components/ogre/modeldefinitions/mushroom_B.modeldef
0	0	src/components/ogre/modeldefinitions/outdoor_structures.modeldef
0	0	src/components/ogre/modeldefinitions/palissade.modeldef
4	3	src/components/ogre/modeldefinitions/spade.modeldef
3	2	src/components/ogre/modeldefinitions/sword.modeldef
0	0	src/components/ogre/modeldefinitions/vehicles.modeldef

commit 8cfeb781ffcfb49f321001faa2cd63a2703fa3e5
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Thu Apr 23 22:32:16 2009 +0200

    Bump autopackage version so that we can use the new hybrid functions.

1	1	autopackage/default.apspec.in

commit d2927c8c7ffe96cee04d00937f3a1f2c93abe525
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Apr 22 19:35:49 2009 +0200

    Added missing file.

1	1	src/components/ogre/Makefile.am

commit 904ba0553b359c3a83fc735024170a40f326fad2
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Apr 22 19:35:28 2009 +0200

    Relax schema rules a little.

3	3	src/components/ogre/manipulation/entityrecipes/entityrecipe.xsd

commit fc298735f548e46dcd1cea17d30ce8f72559fc25
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue Apr 21 23:59:55 2009 +0200

    Populate the entity browser automatically the first time it's shown.

1	0	src/components/ogre/widgets/EntityBrowser.layout
3	1	src/components/ogre/widgets/EntityBrowser.lua

commit 1e06f37ffdd176431a78a1f32349e0912e16a6f4
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Tue Apr 21 22:35:04 2009 +0200

    It seems that when setting FOG_NONE the values that go along with the
    fog (colour, density etc.) won't be set (atleast if no other fog has
    been set before). We'll therefore use FOG_EXP2 but with zero in all
    components. This will fix the issue with dark previews.

3	1	src/components/ogre/SimpleRenderContext.cpp
1	1	src/components/ogre/terrain/Map.cpp
2	2	src/components/ogre/widgets/Compass.cpp

commit 8bf60bcfdf1654f8c2a52bb24f38d384a44b066d
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon Apr 20 23:16:04 2009 +0200

    Remove the shadow camera setup when switching to low level.

2	0	src/components/ogre/ShaderManager.cpp

commit eeb7f59e2b8a6cc7d05338b873afd957a5e9765f
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon Apr 20 00:01:49 2009 +0200

    Added a material which uses shaders and all, but no shadows.

10	9	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
2	1	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.h

commit 8297fd93f0c995482a5011b8ba5aa72de05e578c
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 23:41:47 2009 +0200

    If the graphics level is "medium", disable shadows.

10	2	src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
48	19	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
15	1	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.h

commit 38ee203fd2430c8d689d99fcd6c1606558317e55
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 23:27:19 2009 +0200

    Expanded the API so that we can force a reselection of the technique.
    This is useful when the graphics level has changed.

2	2	src/components/ogre/terrain/TerrainGenerator.cpp
5	5	src/components/ogre/terrain/TerrainPage.cpp
4	3	src/components/ogre/terrain/TerrainPage.h
6	1	src/components/ogre/terrain/TerrainPageSurface.cpp
5	1	src/components/ogre/terrain/TerrainPageSurface.h

commit 3106560b449dd428ca9957594f90c3a5301f5488
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 23:26:57 2009 +0200

    Actually emit the signal when the level changes.

3	0	src/components/ogre/ShaderManager.cpp

commit a64a5dba63f3512ce344cfe9472a47468b664984
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:48:59 2009 +0200

    Fixed issue where sigc::bind would try to create a copy instead of a
    reference. Also updated some headers.

1	0	src/components/ogre/environment/FoliageBase.cpp
2	2	src/components/ogre/terrain/TerrainGenerator.cpp
1	1	src/components/ogre/terrain/TerrainGenerator.h
1	0	src/components/ogre/terrain/TerrainPage.cpp
1	0	src/components/ogre/terrain/TerrainPageSurface.cpp
1	1	src/components/ogre/terrain/TerrainPageSurface.h

commit 7282411d56d9e52d2849e6000eadec3e7f75ff1f
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:20:15 2009 +0200

    Reshuffled a bit to try to bring the compile time down.

12	18	src/components/ogre/MathConverter.h
1	0	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
39	0	src/components/ogre/Types.h
1	0	src/components/ogre/WorldEmberEntity.cpp
2	0	src/components/ogre/environment/Forest.cpp
2	0	src/components/ogre/environment/GrassFoliage.cpp
2	0	src/components/ogre/environment/ShrubberyFoliage.cpp
1	0	src/components/ogre/terrain/TerrainEditor.cpp
1	0	src/components/ogre/terrain/TerrainPage.cpp
1	1	src/components/ogre/terrain/TerrainPage.h
1	0	src/components/ogre/terrain/TerrainPageShadow.cpp
1	0	src/components/ogre/widgets/MakeEntityWidget.cpp
1	0	src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp

commit 316aab233e04a8b3467d4547fd07c23106d01f37
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:19:22 2009 +0200

    Listen for the changes to the graphical level and update the current
    pages' materials.

25	14	src/components/ogre/terrain/TerrainGenerator.cpp
13	6	src/components/ogre/terrain/TerrainGenerator.h

commit facf8ea1f4410db62a1150c67d781a05f40596f9
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:18:12 2009 +0200

    Check with the shader manager also to make sure that we'll honour what's
    set there when we select the terrain rendering material.

7	2	src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp

commit 61cde1f12bd694e6b5b567c01eff86e53e330af3
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:17:22 2009 +0200

    Provide an accessor for the shader manager.

5	0	src/components/ogre/EmberOgre.cpp
51	0	src/components/ogre/EmberOgre.h

commit d2f9ee44dadd7bae96944e6b8909341092c8c2ac
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:17:07 2009 +0200

    Added missing docs.

3	0	src/components/ogre/ShaderManager.h

commit 0f742cc919956274da2ea6f956089567eb0235b2
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 22:16:10 2009 +0200

    Added an event which is emitted when the graphical level changes.

3	0	src/components/ogre/ShaderManager.h

commit 18315b2dfe716dbf3288e7a42f0a3d76d7596408
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 21:26:01 2009 +0200

    Correct the copyright of the header. The original version was based on
    the Ogre ExampleApplication header, and thus retained its copyright
    notice. However, the currect version, since some years, doesn't have anything in common
    with that in any way.

1	5	src/components/ogre/EmberOgre.h

commit 8ad54afe98fe3093cb5b112fbb4097bc9ef1b5ae
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 21:11:07 2009 +0200

    Disable normal lightning and use a single mid day sun during the
    rendering of the map texture. This fixes the issue with dark compass
    terrain during nights.

66	1	src/components/ogre/terrain/Map.cpp
91	2	src/components/ogre/terrain/Map.h

commit 65b857014e8aa6c932f65257d2f04bc03144cebe
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 15:01:41 2009 +0200

    Provide a technique which won't use any shadows. This is mainly useful
    for rendering the world from far above for the compass.

63	20	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.cpp
5	4	src/components/ogre/terrain/TerrainPageSurfaceCompilerTechniqueShader.h

commit 7211b1166f4e958e99358c0c64d158b77508ea68
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 00:59:08 2009 +0200

    Use the "Low" material scheme for the compass camera, to avoid shadows
    etc.

1	0	src/components/ogre/terrain/Map.cpp

commit 7cf0e2bfd87cf0c9b5430fbac423a36b990c8819
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sun Apr 19 00:39:28 2009 +0200

    Provide our own shadow pass setup method.
    
    The reason we want to do this is because we want to reuse the current
    pass' settings for the shadow caster pass, even when using technique
    specific caster materials. The default method will however only do this
    when the SceneManager wide custom shadow caster material is set.
    By providing this we can much easier define different shadow caster
    materials for each technique.

1	0	src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h
130	0	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp
1	2	src/components/ogre/ShaderManager.cpp

commit 3520519bcea0c7f2cbcb6a33391088519d636209
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Apr 15 19:43:51 2009 +0200

    With version 1.6.2 Ogre will not create any open gl context itself if
    using the currentGLContect flag, but reuse the one created by SDL.
    However, it seems that something isn't correctly set up in SDL which
    results in all RTTs being filled with garbage. Instead we'll just use
    the parentWindowHandle value, which will let SDL handle the window, but
    Ogre set up the OpenGL context.

71	64	src/components/ogre/OgreSetup.cpp

commit efd0b720c3262fdf5df0818f505c803857ddfad9
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Wed Apr 8 23:44:32 2009 +0200

    Hook it up to listen to config changes.

13	3	src/components/ogre/ShaderManager.cpp
12	1	src/components/ogre/ShaderManager.h

commit 358138794d6afd233a91cd507dbba7743f4e84dd
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Mon Apr 13 22:39:07 2009 +0200

    Handle exceptions when loading meshes.

15	4	src/components/ogre/model/ModelBackgroundLoader.cpp

commit e92aafbb24f5f3f934a9afed8dab618892b49f30
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue Mar 31 16:17:41 2009 +0400

    Remove debug line.

0	1	src/components/ogre/ShaderManager.cpp

commit cc01e38fb420573e5a9c268852430900dda052ad
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue Mar 31 16:15:39 2009 +0400

    Performing shader detection earlier and let it change scheme in run-time.

3	3	src/components/ogre/EmberOgre.cpp
0	2	src/components/ogre/ShaderManager.cpp

commit 39d0dc3d6515db78edcfcebfc5b50882481afeb9
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue Mar 31 14:24:52 2009 +0400

    Make graphic level chooser work.

2	0	ember.conf
152	13	src/components/ogre/ShaderManager.cpp
29	2	src/components/ogre/ShaderManager.h
2	0	src/components/ogre/WorldEmberEntity.cpp

commit 971bed840c7b3abb1c95a7df604e1f409db7ad3c
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue Mar 31 10:21:58 2009 +0400

    Prototype graphics level chooser.

44	16	src/components/ogre/ShaderManager.cpp
51	0	src/components/ogre/ShaderManager.h

commit 1dbb0b1259960ccd397ecb3e43302dbc1069d6e8
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Tue Mar 31 01:13:14 2009 +0400

    Make it compile and do something.

3	1	src/components/ogre/EmberOgre.cpp
2	0	src/components/ogre/EmberOgre.h
3	2	src/components/ogre/Makefile.am
31	19	src/components/ogre/ShaderManager.cpp
4	2	src/components/ogre/ShaderManager.h

commit f74789cc9dad6ca49e4163131b60b2a91569a87a
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Sun Mar 29 16:03:42 2009 +0400

    Draft of shader manager.

3	0	src/components/ogre/EmberOgre.cpp
6	1	src/components/ogre/EmberOgre.h
89	0	src/components/ogre/ShaderManager.cpp
58	0	src/components/ogre/ShaderManager.h

commit 0523cd861c216a2ef283d599cbc7537a6fc1cc0a
Author: Erik Hjortsberg <erik.hjortsberg@iteam.se>
Date:   Sat Jan 10 21:21:12 2009 +0100

    Fixed some compiler warnings.

1	1	src/components/ogre/widgets/adapters/atlas/AdapterBase.cpp
8	6	src/components/ogre/widgets/adapters/atlas/AdapterBase.h

commit fd5f2f5d365ccdc0c99e7ce07025e39aadcd52ec
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon Jan 5 16:51:04 2009 +0300

    Enabling shadow casting of terrain.

1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageRenderable.cpp
1	1	src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp

commit da3cf7be75ccd84ac83c2753e7b33be3b92fc738
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   Mon Jan 5 16:50:37 2009 +0300

